<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 4.6.1                                                ***
  ***      File:  cart_add.php                                             ***
  ***      Built: Thu Dec 10 05:08:32 2015                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	$type = "";
	include_once("./includes/common.php");
	include_once("./messages/" . $language_code . "/cart_messages.php");
	include_once("./includes/products_functions.php");
	include_once("./includes/items_properties.php");
	include_once("./includes/shopping_cart.php");
	
	// set headers for block
	header("Pragma: no-cache");
	header("Expires: 0");
	header("Cache-Control: no-cache, must-revalidate");
	header("Content-Type: text/html; charset=" . CHARSET);


	$redirect_to_cart = get_param("redirect_to_cart");
	$callback = get_param("callback");
	$control_id = get_param("control_id");
	$form_name = get_param("form_name");

	$response = array();
	if ($form_name) { $response["form_name"] = $form_name; }
	if (strlen($control_id)) { $response["control_id"] = $control_id; }
	if (strlen($redirect_to_cart)) { $response["redirect_to_cart"] = $redirect_to_cart; }

	$blocks_parsed = 0;
	if ($redirect_to_cart == "popup") {
		$tax_rates = get_tax_rates();
		// set products index for ajax page to 10000 to exclude overlaping indexes
		$va_data = array();
		$va_data["products_index"] = 10000;
		// check shopping cart messages to show for layout
		if (isset($sc_message) && $sc_message) {
			$layout_message = $sc_message;
		}
		if (isset($sc_errors) && $sc_errors) {
			$layout_message = $sc_errors;
		}

		$is_frame_layout = true;
		$cms_page_code = "add_to_cart_frame";
		$script_name   = "#";
		include_once("./includes/page_layout.php");
		$popup_page = $t->get_var("main");
		if ($blocks_parsed) {
			$response["block"] = $popup_page;
		}
	}

	if (!$blocks_parsed) {
		if ($sc_errors) {
			$response["errors"] = $sc_errors;
		} else if ($sc_message) {
			$response["success"] = $sc_message;
		} else {
			$response["errors"] = $sc_errors;
		}
	}

	if ($callback) { echo "reloadCartBlocks("; }
	echo json_encode($response);
	if ($callback) { echo ");"; }

?>