<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 4.6.1                                                ***
  ***      File:  install_messages.php                                     ***
  ***      Built: Thu Dec 10 05:08:32 2015                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	// сообщения инсталляции
	define("INSTALL_TITLE", "Установка ViArt SHOP ");

	define("INSTALL_STEP_1_TITLE", "Установка: Шаг 1");
	define("INSTALL_STEP_1_DESC", "Спасибо за то что выбрали ViArt SHOP. <br> Для продолжения установки, пожалуйста, заполните поля ниже следуя подсказкам. Обратите внимание, что база данных, параметры подключения к которой вы укажите, уже должна быть создана. <br> Если Вы устанавливаете в базу данных, с использованием ODBC, например MS Access, Вы должны сначала создать для нее системный DSN.<br>");
	define("INSTALL_STEP_2_TITLE", "Установка: Шаг 2");
	define("INSTALL_STEP_2_DESC", "Установка: Завершение");
	define("INSTALL_STEP_3_TITLE", "Установка: Шаг 3");
	define("INSTALL_STEP_3_DESC", "Пожалуйста, выберите шаблон сайта. Впоследствии Вы сможете сменить его в меню администрирования.");
	define("INSTALL_FINAL_TITLE", "Установка: Завершение");
	define("SELECT_DATE_TITLE", "Выберите формат даты");

	define("DB_SETTINGS_MSG", "Параметры базы данных");
	define("DB_PROGRESS_MSG", "<b>Подождите... Идет процесс заполнения Базы данных<b>");
	define("SELECT_PHP_LIB_MSG", "Выберите используемый тип");
	define("SELECT_DB_TYPE_MSG", "Выберите тип базы данных");
	define("ADMIN_SETTINGS_MSG", "Административные установки");
	define("DATE_SETTINGS_MSG", "Формат даты");
	define("NO_DATE_FORMATS_MSG", "Данный формат не разрешён");
	define("INSTALL_FINISHED_MSG", "На этом установка <b>ViArt SHOP </b> закончена. <br><br> Теперь вы можете проследовать в административную часть и приступить к настройкам и управлению Вашим интернет-магазином.<br>");
	define("ACCESS_ADMIN_MSG", "Для доступа в административный раздел нажмите здесь");
	define("ADMIN_URL_MSG", "Адрес страницы администрирования");
	define("MANUAL_URL_MSG", "Документация:");
	define("THANKS_MSG", "Спасибо за выбор <b>ViArt SHOP</b>");

	define("DB_TYPE_FIELD", "Тип базы данных");
	define("DB_TYPE_DESC", "Пожалуйста, выберите <b>тип базы данных</b>, которую Вы используете. Если Вы используете SQL Server или Microsoft Access, то выберите ODBC. При установке с использованием базы ODBC, например MS Access, Вы должны сначала создать для нее системный DSN.");
	define("DB_PHP_LIB_FIELD", "Тип базы данных");
	define("DB_HOST_FIELD", "Имя сервера");
	define("DB_HOST_DESC", "Пожалуйста, введите <b>Имя</b> или <b>IP - адрес сервера</b>, на котором находится база данных для <b>ViArt SHOP</b>. Если сервер базы данных находится на Вашем локальном компьютере, то впишите в это поле \"<b>localhost</b>\", а порт оставьте пустым. Если Вы используете базу данных на сервере хостинг компании, то уточните настройки в документации, которую предоставляет эта хостинг компания.");
	define("DB_PORT_FIELD", "Порт");
	define("DB_NAME_FIELD", "Имя базы данных / DSN");
	define("DB_NAME_DESC", "Если Вы используете такие базы данных, как MySQL или PostgreSQL, то введите, пожалуйста, <b>имя базы данных</b>, в которой ViArt создаст необходимые таблицы. Эта база должна существовать заранее. Если Вы устанавливаете ViArt в целях тестирования на своем локальном компьютере, то большинство MySQL систем содержат базу\"<b>test</b>\", которую Вы можете использовать. В противном случае, создайте, пожалуйста, базу данных, например, \"ViArt\", и потом используйте её. Если Вы используете Microsoft Access или SQL Server, то <b>Имя базы данных</b> должно содержать <b>имя 0DSN</b>, который Вы настроили в \"Источниках данных (ODBC)\" в Панели управления Windows.");
	define("DB_USER_FIELD", "Имя пользователя БД");
	define("DB_PASS_FIELD", "Пароль");
	define("DB_USER_PASS_DESC", "<b>Имя пользователя</b> и <b>Пароль</b> - пожалуйста, введите имя пользователя и пароль для подключения к базе данных. Если Вы используете локальную тестовую установку, то возможно имя пользователя - \"<b>root</b>\", а пароль пустой. Это удобно для тестирования, но является недопустимым с точки зрения безопасности на работающем сервере.");
	define("DB_PERSISTENT_FIELD", "Постоянное соединение");
	define("DB_PERSISTENT_DESC", "поставьте галочку, чтобы использовать постоянное соединение для MySQL или Postgre. Если Вы не уверены, что это означает, не выбирайте данную опцию.");
	define("DB_CREATE_DB_FIELD", "Создать базу данных");
	define("DB_CREATE_DB_DESC", "включается для создания базы данных, если это возможно. Работает не всегда и только для MySQL и Postgre");
	define("DB_POPULATE_FIELD", "Создать таблицы");
	define("DB_POPULATE_DESC", "включите, поставив галочку, чтобы создать таблицы базы данных и заполнить их");
	define("DB_TEST_DATA_FIELD", "Тестовые данные");
	define("DB_TEST_DATA_DESC", "включите, поставив галочку, чтобы внести некоторые тестовые демонстрационные - данные");
	define("ADMIN_EMAIL_FIELD", "Электронный адрес администратора");
	define("ADMIN_LOGIN_FIELD", "Логин администратора");
	define("ADMIN_PASS_FIELD", "Пароль администратора");
	define("ADMIN_CONF_FIELD", "Подтвердите пароль");
	define("DATETIME_SHOWN_FIELD", "Формат даты и времени (показывается на сайте)");
	define("DATE_SHOWN_FIELD", "Формат даты (показывается на сайте)");
	define("DATETIME_EDIT_FIELD", "Формат даты и времени (для редактирования)");
	define("DATE_EDIT_FIELD", "Формат даты (для редактирования)");
	define("DATE_FORMAT_COLUMN", "Формат даты");

	define("DB_LIBRARY_ERROR", "PHP функции для {db_library} не определены. Пожалуйста, проверьте параметры настройки базы данных в вашем файле конфигурации - php.ini.");
	define("DB_CONNECT_ERROR", "Невозможно соединиться с базой данных. Пожалуйста, проверьте параметры подключения к базе данных.");
	define("INSTALL_FINISHED_ERROR", "Поздравляем! Процесс установки завершен.");
	define("WRITE_FILE_ERROR", "Нет разрешения перезаписи для файла <b> 'includes/var_definition.php' </b>. Пожалуйста, измените разрешения файла прежде, чем Вы продолжите установку.");
	define("WRITE_DIR_ERROR", "Нет разрешения записи в папку <b>, 'includes / ' </b>. Пожалуйста, измените разрешения папки прежде, чем Вы продолжите установку.");
	define("DUMP_FILE_ERROR", "Файл дампа ' {file_name} ' не найден.");
	define("DB_TABLE_ERROR", "Таблица ' {table_name} ' не найдена. Пожалуйста, заполните базу данных необходимыми данными.");
	define("TEST_DATA_ERROR", "Поставьте галочку <b>{POPULATE_DB_FIELD}</b>, если хотите внести тестовые данные");
	define("DB_HOST_ERROR", "Указанный сервер не найден.");
	define("DB_PORT_ERROR", "Невозможно соединиться с сервером базы данных по указанному порту.");
	define("DB_USER_PASS_ERROR", "Имя пользователя или пароль неверны.");
	define("DB_NAME_ERROR", "Параметры подключения правильны, но база данных '{db_name}' не найдена.");

	// сообщения обновления
	define("UPGRADE_TITLE", "Обновления");
	define("UPGRADE_NOTE", "Примечание: Пожалуйста, создайте резервную копию базы данных перед обновлением.");
	define("UPGRADE_AVAILABLE_MSG", "Доступна новая версия");
	define("UPGRADE_BUTTON", "Обновить до {version_number} сейчас");
	define("CURRENT_VERSION_MSG", "Ваша текущая версия");
	define("LATEST_VERSION_MSG", "Доступная версия для установки");
	define("UPGRADE_RESULTS_MSG", "Результат обновления");
	define("SQL_SUCCESS_MSG", "SQL запросов выполнено");
	define("SQL_FAILED_MSG", "SQL запросов с ошибками");
	define("SQL_TOTAL_MSG", "Всего выполненных SQL запросов");
	define("VERSION_UPGRADED_MSG", "Ваша версия обновлена до");
	define("ALREADY_LATEST_MSG", "У Вас установлена последняя версия");
	define("DOWNLOAD_NEW_MSG", "Обнаружена новая версия");
	define("DOWNLOAD_NOW_MSG", "Загрузить сейчас версию {version_number}");
	define("DOWNLOAD_FOUND_MSG", "Обнаружено, что для загрузки доступна новая версия {version_number}. Чтобы начать загрузку, пожалуйста, нажмите на ссылку ниже. После окончания загрузки и замены файлов не забудьте снова запустить процесс обновления.");
	define("NO_XML_CONNECTION", "Внимание! Невозможно соединиться с 'http://www.viart.com/'!");

	define("END_USER_LICENSE_AGREEMENT_MSG", "Лицензионное Соглашение");
	define("AGREE_LICENSE_AGREEMENT_MSG", "Я прочитал и принимаю Лицензионное Соглашение.");
	define("READ_LICENSE_AGREEMENT_MSG", "Лицензионное соглашение");
	define("LICENSE_AGREEMENT_ERROR", "<b>Перед продолжением, пожалуйста, ознакомьтесь и примите Лицензионное Соглашение!<b>");

?>