<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 4.6.1                                                ***
  ***      File:  messages.php                                             ***
  ***      Built: Thu Dec 10 05:08:32 2015                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	define("CHARSET", "utf-8");
	// сообщения даты
	define("YEAR_MSG", "Год");
	define("YEARS_QTY_MSG", "{quantity} лет");
	define("MONTH_MSG", "Месяц");
	define("MONTHS_QTY_MSG", "{quantity} месяц(а)(ев)");
	define("DAY_MSG", "День");
	define("DAYS_MSG", "Дней");
	define("DAYS_QTY_MSG", "{quantity} дней");
	define("HOUR_MSG", "Час");
	define("HOURS_QTY_MSG", "{quantity} часов");
	define("MINUTE_MSG", "Минута");
	define("MINUTES_QTY_MSG", "{quantity} минут");
	define("SECOND_MSG", "Секунда");
	define("SECONDS_QTY_MSG", "{quantity} секунд");
	define("WEEK_MSG", "Неделя");
	define("WEEKS_QTY_MSG", "{quantity} неделю(ли)");
	define("TODAY_MSG", "Сегодня");
	define("YESTERDAY_MSG", "Вчера");
	define("LAST_7DAYS_MSG", "Последние 7 дней");
	define("THIS_MONTH_MSG", "За месяц");
	define("LAST_MONTH_MSG", "Предыдущий месяц");
	define("THIS_QUARTER_MSG", "Этот квартал");
	define("THIS_YEAR_MSG", "Этот год");
	define("CURRENT_DATE_MSG", "Текущая дата");
	define("CURRENT_TIME_MSG", "Current Time");
	define("DATE_MSG", "Дата");

	//месяцы
	define("JANUARY", "Январь");
	define("FEBRUARY", "Февраль");
	define("MARCH", "Март");
	define("APRIL", "Апрель");
	define("MAY", "Май");
	define("JUNE", "Июнь");
	define("JULY", "Июль");
	define("AUGUST", "Август");
	define("SEPTEMBER", "Сентябрь");
	define("OCTOBER", "Октябрь");
	define("NOVEMBER", "Ноябрь");
	define("DECEMBER", "Декабрь");

	define("JANUARY_SHORT", "Янв ");
	define("FEBRUARY_SHORT", "Фев ");
	define("MARCH_SHORT", "Мар");
	define("APRIL_SHORT", "Апр ");
	define("MAY_SHORT", "Май ");
	define("JUNE_SHORT", "Июн");
	define("JULY_SHORT", "Июл");
	define("AUGUST_SHORT", "Авг ");
	define("SEPTEMBER_SHORT", "Сен ");
	define("OCTOBER_SHORT", "Окт ");
	define("NOVEMBER_SHORT", "Ноя ");
	define("DECEMBER_SHORT", "Дек ");

	// дни недели
	define("SUNDAY", "Воскресенье ");
	define("MONDAY", "Понедельник ");
	define("TUESDAY", "Вторник ");
	define("WEDNESDAY", "Среда ");
	define("THURSDAY", "Четверг ");
	define("FRIDAY", "Пятница ");
	define("SATURDAY", "Суббота ");

	define("SUNDAY_SHORT", "Вс ");
	define("MONDAY_SHORT", "Пн ");
	define("TUESDAY_SHORT", "Вт ");
	define("WEDNESDAY_SHORT", "Ср ");
	define("THURSDAY_SHORT", "Чт ");
	define("FRIDAY_SHORT", "Пт ");
	define("SATURDAY_SHORT", "Сб");

	// проверочные уведомления
	define("REQUIRED_MESSAGE", "Укажите:  <b>{field_name}</b>");
	define("UNIQUE_MESSAGE", "Значение в поле <b>{field_name}</b> уже есть в базе данных");
	define("VALIDATION_MESSAGE", "Проверка не пройдена для поля {field_name}");
	define("MATCHED_MESSAGE", "<b>{field_one}</b> и <b>{field_two}</b> не соответствуют");
	define("INSERT_ALLOWED_ERROR", "Извините, но вы не можете выполнять операции вставки");
	define("UPDATE_ALLOWED_ERROR", "Извините, но вы не можете выполнять операции изменения");
	define("DELETE_ALLOWED_ERROR", "Извините, но вы не можете выполнять операции удаления");
	define("ALPHANUMERIC_ALLOWED_ERROR", "Используйте только буквы латинского алфавита и (или) цифры для <b>{field_name}</b>");
	define("CORRECT_ERRORS_BELOW_MSG", "Please correct the errors below before continuing.");
	define("CORRECT_HIGHLIGHTED_FIELDS_MSG", "Please fill in all highlighted fields with correct values.");
	 
	define("INCORRECT_DATE_MESSAGE", "<b> {field_name} </b> имеет неправильное значение даты. Используйте календарные дни");
	define("INCORRECT_MASK_MESSAGE", "<b>{field_name}</b> не соответствует формату. Используйте следующие форматы '<b>{field_mask}</b>'");
	define("INCORRECT_EMAIL_MESSAGE", "Неверный формат электронного адреса в поле {field_name}");
	define("INCORRECT_VALUE_MESSAGE", "Значение поля <b>{field_name}</b> введено неправильно");
	 
	define("MIN_VALUE_MESSAGE", "Значение в поле <b>{field_name}</b> не может быть меньше чем {min_value}");
	define("MAX_VALUE_MESSAGE", "Значение в поле <b>{field_name}</b> не может быть больше чем {max_value}");
	define("MIN_LENGTH_MESSAGE", "Длина в поле <b>{field_name}</b> не может быть меньше чем {min_length} символов");
	define("MAX_LENGTH_MESSAGE", "Длина в поле <b>{field_name}</b> не может быть больше чем {max_length} символов");
	define("MIN_MAX_VALUE_MSG", "Please enter a value between {min_value} and {max_value}.");

	 
	define("FILE_PERMISSION_MESSAGE", "Нет прав на запись в файл <b>'{file_name}'</b>. Пожалуйста, измените права доступа, к файлу, прежде, чем продолжить.");
	define("FOLDER_PERMISSION_MESSAGE", "Нет прав на запись в папку <b>'{folder_name}'</b>. Пожалуйста, измените права доступа, к папке, прежде, чем продолжить.");
	define("INVALID_EMAIL_MSG", "Ваш электронный адрес указан неверно");
	define("DATABASE_ERROR_MSG", "Ошибка базы данных");
	define("BLACK_IP_MSG", "Данное действие для Вашего IP адреса не разрешено.");
	define("BANNED_CONTENT_MSG", "Текст содержит недопустимые на этом сайте выражения.");
	define("ERRORS_MSG", "Ошибка");
	define("REGISTERED_ACCESS_MSG", "Только для зарегистрированных пользователей.");
	define("SELECT_FROM_LIST_MSG", "Выберите из списка");

	// заголовки
	define("TOP_RATED_TITLE", "Самые рейтинговые");
	define("TOP_VIEWED_TITLE", "Самые просматриваемые");
	define("RECENTLY_VIEWED_TITLE", "Вы недавно смотрели");
	define("HOT_TITLE", "Анонс");
	define("LATEST_TITLE", "Последние");
	define("CONTENT_TITLE", "Содержание");
	define("RELATED_TITLE", "Сопутствующие");
	define("SEARCH_TITLE", "Поиск");
	define("ADVANCED_SEARCH_TITLE", "Расширенный поиск");
	define("LOGIN_TITLE", "Вход");
	define("CATEGORIES_TITLE", "Категории");
	define("MANUFACTURERS_TITLE", "Производители");
	define("SPECIAL_OFFER_TITLE", "Специальное предложение");
	define("NEWS_TITLE", "Новости");
	define("EVENTS_TITLE", "События");
	define("PROFILE_TITLE", "Профиль пользователя");
	define("USER_HOME_TITLE", "Главная страница");
	define("DOWNLOAD_TITLE", "Скачивание");
	define("FAQ_TITLE", "Часто задаваемые вопросы");
	define("POLL_TITLE", "Опрос");
	define("HOME_PAGE_TITLE", "Главная");
	define("CURRENCY_TITLE", "Валюты");
	define("SUBSCRIBE_TITLE", "Подписка на новости");
	define("UNSUBSCRIBE_TITLE", "Отписаться");
	define("UPLOAD_TITLE", "Загрузка");
	define("ADS_TITLE", "Объявления");
	define("ADS_COMPARE_TITLE", "Сравнение объявлений");
	define("ADS_SELLERS_TITLE", "Продавцы");
	define("AD_REQUEST_TITLE", "Запрос на это объявление");
	define("LANGUAGE_TITLE", "Языки");
	define("MERCHANTS_TITLE", "Продавцы");
	define("PREVIEW_TITLE", "Пред просмотры");
	define("ARTICLES_TITLE", "Статьи");
	define("SITE_MAP_TITLE", "Карта сайта");
	define("LAYOUTS_TITLE", "Модули");
	define("LINKS_TITLE", "Ссылки");
	define("PROFILES_TITLE", "Анкеты");
	define("DATING_TITLE", "Знакомство");
	define("RANDOM_TITLE", "Random");
	define("AUTHORS_MSG", "Авторы");
	define("AUTHOR_MSG", "Author");
	define("ALBUMS_MSG", "Альбомы");
	define("ALBUM_MSG", "Альбом");

	// menu items
	define("MENU_MSG", "Меню");
	define("MENU_ABOUT", "О нас");
	define("MENU_ACCOUNT", "Ваш профиль");
	define("MENU_BASKET", "Корзина");
	define("MENU_CONTACT", "Связь с нами");
	define("MENU_DOCUMENTATION", "Документация ");
	define("MENU_DOWNLOADS", "Скачивание");
	define("MENU_EVENTS", "События");
	define("MENU_FAQ", "FAQ");
	define("MENU_FORUM", "Форум");
	define("MENU_HELP", "Помощь");
	define("MENU_HOME", "Главная");
	define("MENU_HOW", "Как делать покупки");
	define("MENU_MEMBERS", "Пользователи");
	define("MENU_MYPROFILE", "Регистрация");
	define("MENU_NEWS", "Новости");
	define("MENU_PRIVACY", "Конфиденциальность");
	define("MENU_PRODUCTS", "Каталог");
	define("MENU_REGISTRATION", "Регистрация");
	define("MENU_SHIPPING", "Доставка");
	define("MENU_SIGNIN", "Вход");
	define("MENU_SIGNOUT", "Выйти");
	define("MENU_SUPPORT", "Центр запросов");
	define("MENU_USERHOME", "Моя страничка");
	define("MENU_ADS", "Объявления");
	define("MENU_ADMIN", "Администрирование");
	define("MENU_KNOWLEDGE", "База знаний");
	define("NAVIGATION_BAR_MSG", "Navigation Bar");
	define("MAIN_PAGES_MSG", "Главные страницы");

	// основные термины
	define("NO_MSG", "Нет");
	define("YES_MSG", "Да");
	define("NOT_AVAILABLE_MSG", "Отсутствует");
	define("MORE_MSG", "ещё...");
	define("READ_MORE_MSG", "подробнее…");
	define("ADD_MORE_MSG", "Add more");
	define("CLICK_HERE_MSG", "<font color=\"red\">нажать здесь</font>");
	define("ENTER_YOUR_MSG", "Введите свой");
	define("CHOOSE_A_MSG", "Выберите");
	define("PLEASE_CHOOSE_MSG", "Пожалуйста, выберите");
	define("SELECT_MSG", "Выбрать");
	define("DATE_FORMAT_MSG", "Используйте данный формат <b>{date_format}</b>");
	define("NEXT_PAGE_MSG", "Следующая");
	define("PREV_PAGE_MSG", "Предыдущая");
	define("FIRST_PAGE_MSG", "Первая");
	define("LAST_PAGE_MSG", "Последняя");
	define("OF_PAGE_MSG", "из");
	define("TOP_CATEGORY_MSG", "ТОП-категория");
	define("SEARCH_IN_CURRENT_MSG", "Текущая категория");
	define("SEARCH_IN_ALL_MSG", "Все категории");
	define("FOUND_IN_MSG", "Найдено в ");
	define("TOTAL_VIEWS_MSG", "Просмотры");
	define("VOTES_MSG", "Голоса");
	define("TOTAL_VOTES_MSG", "Всего голосов");
	define("TOTAL_POINTS_MSG", "Всего баллов");
	define("VIEW_RESULTS_MSG", "Просмотр результатов");
	define("PREVIOUS_POLLS_MSG", "Предыдущие опросы");
	define("TOTAL_MSG", "Всего");
	define("CLOSED_MSG", "Закрыто");
	define("CLOSE_WINDOW_MSG", "Закрыть окно");
	define("ASTERISK_MSG", "отмеченное  звездочкой (*) - обязательно для заполнения");
	define("PROVIDE_INFO_MSG", "Пожалуйста заполните разделы отмеченные красным цветом и затем нажмите ' {button_name} '");
	define("FOUND_ARTICLES_MSG", "Найдены <b> {found_records} </b> статьи, соответствующие сроку (ам) ' <b> {search_string} </b> '");
	define("NO_ARTICLE_MSG", "Статья с этим ID не доступна");
	define("NO_ARTICLES_MSG", "Статьи не найдены");
	define("COMMENT_MSG", "Comment");
	define("NOTES_MSG", "Примечания");
	define("KEYWORDS_MSG", "Ключевые слова");
	define("TAGS_MSG", "Tags");
	define("TAG_MSG", "Tag");
	define("LINK_URL_MSG", "Ссылка");
	define("DOWNLOAD_URL_MSG", "Скачать");
	define("SUBSCRIBE_FORM_MSG", "Чтобы получать наши новости, пожалуйста введите ваш адрес электронной почты и нажмите  кнопку ' {button_name} '.");
	define("UNSUBSCRIBE_FORM_MSG", "Пожалуйста введите ваш адрес электронной почты и нажмите  кнопку ' {button_name} '.");
	define("SUBSCRIBE_LINK_MSG", "Подписаться");
	define("UNSUBSCRIBE_LINK_MSG", "Отписаться");
	define("SUBSCRIBED_MSG", "Поздравляем! Вы являетесь подписчиком на новости нашего сайта.");
	define("ALREADY_SUBSCRIBED_MSG", "Вы уже подписаны на наши новости. Спасибо.");
	define("UNSUBSCRIBED_MSG", "Вы успешно удалили подписку на наши новости. Спасибо.");
	define("UNSUBSCRIBED_ERROR_MSG", "К сожалению ваш электронный адрес не зарегистрирован. Вероятно, вы отписались от новостей.");
	define("FORGOT_PASSWORD_MSG", "Забыли Ваш пароль?");
	define("FORGOT_PASSWORD_DESC", "Пожалуйста, введите адрес электронной почты,<br> который Вы использовали при регистрации");
	define("FORGOT_EMAIL_ERROR_MSG", "Мы сожалеем, но указанный адрес электронной почты отсутствует в нашей базе данных.");
	define("FORGOT_EMAIL_SENT_MSG", "Данные для входа в систему были отправлены на адрес вашей электронной почты.");
	define("RESET_PASSWORD_REQUIRE_MSG", "Некоторые обязательные параметры пропущены.");
	define("RESET_PASSWORD_PARAMS_MSG", "Введенные вами параметры не соответствуют имеющимся в базе данных");
	define("RESET_PASSWORD_EXPIRY_MSG", "Введенный Вами Код сброса, истек. Пожалуйста запросите новый код сброса вашего пароля.");
	define("RESET_PASSWORD_SAVED_MSG", "Ваш новый пароль сохранен.");
	define("PRINTER_FRIENDLY_MSG", "Печать");
	define("PRINT_PAGE_MSG", "Печать этой страницы");
	define("ATTACHMENTS_MSG", "Прикрепить файл");
	define("ATTACHMENT_MSG", "Вложение");
	define("VIEW_DETAILS_MSG", "Просмотреть детали");
	define("HTML_MSG", "HTML");
	define("PLAIN_TEXT_MSG", "Простой текст");
	define("META_DATA_MSG", "Мета Данные (Meta Data)");
	define("META_TITLE_MSG", "Название страницы (Meta Title)");
	define("META_KEYWORDS_MSG", "Ключевые слова (Meta Keywords)");
	define("META_DESCRIPTION_MSG", "Описание (Meta Description)");
	define("FRIENDLY_URL_MSG", "Быстрая ссылка");
	define("IMAGES_MSG", "Изображения");
	define("IMAGE_MSG", "Изображение");
	define("TINY_MSG", "Tiny");
	define("IMAGE_TINY_MSG", "Иконка");
	define("IMAGE_TINY_ALT_MSG", "Заголовок для иконки (ALT)");
	define("SMALL_MSG", "Small");
	define("IMAGE_SMALL_MSG", "Маленькое изображение для списка");
	define("IMAGE_SMALL_DESC", "для списка товаров");
	define("IMAGE_SMALL_ALT_MSG", "Заголовок для маленького изображения (ALT)");
	define("LARGE_MSG", "Large");
	define("IMAGE_LARGE_MSG", "Большое изображение на детальной странице");
	define("IMAGE_LARGE_DESC", "для страницы с детальным описанием");
	define("IMAGE_LARGE_ALT_MSG", "Заголовок для большого изображения (ALT) ");
	define("SUPERSIZED_MSG", "Supersized");
	define("IMAGE_SUPER_MSG", "Огромное изображение");
	define("IMAGE_SUPER_DESC", "максимальный размер в новом окне");
	define("IMAGE_POSITION_MSG", "Расположение изображения");
	define("UPLOAD_IMAGE_MSG", "Загрузить");
	define("UPLOAD_FILE_MSG", "Загрузить файл");
	define("SELECT_IMAGE_MSG", "Выбрать из загруженных");
	define("SELECT_FILE_MSG", "Выбрать файл");
	define("UPLOAD_PHOTO_MSG", "Upload Photo");
	define("MANAGE_PHOTOS_MSG", "Manage Photos");
	define("SHOW_BELOW_PRODUCT_IMAGE_MSG", "показать изображение под большим изображением товара");
	define("SHOW_IN_SEPARATE_SECTION_MSG", "показать изображение в отдельной секции");
	define("IS_APPROVED_MSG", "Включено (товары пользователей)");
	define("NOT_APPROVED_MSG", "Не одобрено");
	define("IS_ACTIVE_MSG", "Активно");
	define("CATEGORY_MSG", "Категория");
	define("SELECT_CATEGORY_MSG", "Выбрать категорию");
	define("REDIRECT_TO_CATEGORY_MSG", "Redirect to Category");
	define("DESCRIPTION_MSG", "Описание");
	define("SHORT_DESCRIPTION_MSG", "Короткое описание");
	define("FULL_DESCRIPTION_MSG", "Полное описание");
	define("HIGHLIGHTS_MSG", "Особенности");
	define("SPECIAL_OFFER_MSG", "Спец предложение");
	define("ARTICLE_MSG", "Статья");
	define("OTHER_MSG", "Другое");
	define("MEASUREMENT_UNITS_MSG", "Measurement Units");
	define("WIDTH_MSG", "Ширина");
	define("HEIGHT_MSG", "Высота");
	define("LENGTH_MSG", "Длина");
	define("WEIGHT_MSG", "Вес");
	define("QUANTITY_MSG", "Количество");
	define("CALENDAR_MSG", "Календарь");
	define("FROM_DATE_MSG", "Дата с");
	define("TO_DATE_MSG", "Дата по");
	define("TIME_PERIOD_MSG", "Период времени");
	define("GROUP_BY_MSG", "Группировать по");
	define("BIRTHDAY_MSG", "День Рождения");
	define("BIRTH_DATE_MSG", "Дата рождения");
	define("BIRTH_YEAR_MSG", "Год рождения");
	define("BIRTH_MONTH_MSG", "Месяц рождения");
	define("BIRTH_DAY_MSG", "День рождения");
	define("STEP_NUMBER_MSG", "{current_step} шаг из {total_steps}");
	define("WHERE_STATUS_IS_MSG", "Со статусом");
	define("ID_MSG", "ID");
	define("QTY_MSG", "Кол-во");
	define("TYPE_MSG", "Тип");
	define("NAME_MSG", "Название");
	define("TITLE_MSG", "Заголовок");
	define("DEFAULT_MSG", "По умолчанию");
	define("OPTIONS_MSG", "Опции");
	define("EDIT_MSG", "Редактировать");
	define("MULTI_EDIT_MSG", "Multi-edit");
	define("CONFIRM_DELETE_MSG", "Удалить запись {record_name}?");
	define("DESC_MSG", "Вниз");
	define("ASC_MSG", "Вверх");
	define("ACTIVE_MSG", "Активно");
	define("INACTIVE_MSG", "Неактивно");
	define("EXPIRED_MSG", "Истёк срок действия");
	define("EMOTICONS_MSG", "Смайлики");
	define("EMOTION_ICONS_MSG", "Смайлики");
	define("VIEW_MORE_EMOTICONS_MSG", "Больше смайликов");
	define("SITE_NAME_MSG", "Название сайта");
	define("SITE_URL_MSG", "Адрес сайта");
	define("SORT_ORDER_MSG", "Порядок сортировки");
	define("NEW_MSG", "Новый");
	define("USED_MSG", "Использован");
	define("REFURBISHED_MSG", "Обновлено");
	define("ADD_NEW_MSG", "Создать");
	define("SETTINGS_MSG", "Настройки");
	define("VIEW_MSG", "Просмотр");
	define("STATUS_MSG", "Статус");
	define("NONE_MSG", "Нет");
	define("PRICE_MSG", "Цена");
	define("TEXT_MSG", "Текст");
	define("WARNING_MSG", "Предупреждение");
	define("HIDDEN_MSG", "Скрыто");
	define("CODE_MSG", "Код");
	define("LANGUAGE_MSG", "Язык");
	define("DEFAULT_VIEW_TYPE_MSG", "Тип по умолчанию");
	define("CLICK_TO_OPEN_SECTION_MSG", "Кликните, чтобы открыть");
	define("CURRENCY_WRONG_VALUE_MSG", "Неправильный Код Валюты.");
	define("TRANSACTION_AMOUNT_DOESNT_MATCH_MSG", "<b>Кол-во транзакции</b> и <b>кол-во в заказе</b> не совпадают.");
	define("STATUS_CANT_BE_UPDATED_MSG", "Статус заказа #{order_id} не изменён. ");
	define("CANT_FIND_STATUS_MSG", "Не найден статус с ID:{status_id}");
	define("NOTIFICATION_SENT_MSG", "Уведомление отправлено");
	define("AUTO_SUBMITTED_PAYMENT_MSG", "Автоматическая оплата");
	define("FONT_METRIC_FILE_ERROR", "Невозможно подключить метрический файл шрифта");
	define("PER_LINE_MSG", "за линию");
	define("PER_LETTER_MSG", "за символ");
	define("PER_NON_SPACE_LETTER_MSG", "за не пробельный символ");
	define("LETTERS_ALLOWED_MSG", "символов допускается");
	define("LETTERS_ALLOWED_PER_LINEMSG", "символов допускается на странице");
	define("RENAME_MSG", "Переименовать");
	define("IMAGE_FORMAT_ERROR_MSG", "Формат изображения не поддерживается используемой GD - библиотекой ");
	define("GD_LIBRARY_ERROR_MSG", "Отсутствует GD - библиотека");
	define("INVALID_CODE_MSG", "Неверный код: ");
	define("INVALID_CODE_TYPE_MSG", "Неверный тип кода");
	define("INVALID_FILE_EXTENSION_MSG", "Неверное расширение файла:");
	define("FOLDER_WRITE_PERMISSION_MSG", "Папка не существует или у вас нет полномочий");
	define("UNDEFINED_RECORD_PARAMETER_MSG", "Параметр не определен: <b>{parameter_name}</b>");
	define("MAX_RECORDS_LIMITATION_MSG", "Вам не разрешено добавлять более <b>{max_records}</b> {records_name} для Вашей версии");
	define("ACCESS_DENIED_MSG", "У вас нет полномочий для доступа в эту секцию.");
	define("DELETE_RECORDS_BEFORE_PROCEED_MSG", "Пожалуйста, удалите {records_name} перед продолжением.");
	define("FOLDER_DOESNT_EXIST_MSG", "Нет папки:");
	define("FILE_DOESNT_EXIST_MSG", "Нет файла:");
	define("PARSE_ERROR_IN_BLOCK_MSG", "Ошибка в:");
	define("BLOCK_DOENT_EXIST_MSG", "Нет блока:");
	define("NUMBER_OF_ELEMENTS_MSG", "Число элементов");
	define("MISSING_COMPONENT_MSG", "Нет компонента/параметра.");
	define("RELEASES_TITLE", "Релизы");
	define("DETAILED_MSG", "Детализация");
	define("LIST_MSG", "Список");
	define("READONLY_MSG", "Только для чтения");
	define("CREDIT_MSG", "Кредит");
	define("ONLINE_MSG", "Онлайн");
	define("OFFLINE_MSG", "Оффлайн");
	define("SMALL_CART_MSG", "Малая корзина");
	define("NEVER_MSG", "Никогда");
	define("SEARCH_EXACT_WORD_OR_PHRASE", "целиком слово/фразу");
	define("SEARCH_ONE_OR_MORE", "одно или более слов");
	define("SEARCH_ALL", "все слова");
	define("RELATED_ARTICLES_MSG", "Связанные статьи");
	define("RELATED_FORUMS_MSG", "Форумы по товару");
	define("APPEARANCE_MSG", "Внешний вид");
	define("REMOVE_FILTER_MSG", "Удалить фильтр");

	define("RECORD_UPDATED_MSG", "Выполнено.");
	define("RECORD_ADDED_MSG", "Выполнено.");
	define("RECORD_DELETED_MSG", "Удалено.");
	define("FAST_PRODUCT_ADDING_MSG", "Быстрое добавление товара");
	define("CHANGES_SAVED_MSG", "Изменения сохранены");
	define("CURRENT_SUBSCRIPTION_MSG", "Текущая подписка");
	define("SUBSCRIPTION_EXPIRATION_MSG", "Дата окончания подписки");
	define("UPGRADE_DOWNGRADE_MSG", "Сменить тип пользователя");
	define("SUBSCRIPTION_MONEY_BACK_MSG", "Возврат средств за подписку");
	define("MONEY_TO_CREDITS_BALANCE_MSG", "средства будут возвращены на ваш счёт");
	define("USED_VOUCHERS_MSG", "Используемые ваучеры");
	define("VOUCHERS_TOTAL_MSG", "Всего ваучеров");
	define("SUBSCRIPTIONS_GROUPS_MSG", "Группы подписок");
	define("SUBSCRIPTIONS_GROUP_MSG", "Группы подписок");
	define("SUBSCRIPTIONS_MSG", "Подписки");
	define("SUBSCRIPTION_START_DATE_MSG", "Дата начала подписки");
	define("SUBSCRIPTION_EXPIRY_DATE_MSG", "Дата завершения подписки");
	define("RECALCULATE_COMMISSIONS_AND_POINTS_MSG", "Автоматически пересчитать комиссию или бонусы, предусмотренные для этого товара");
	define("SUBSCRIPTION_PAGE_MSG", "Страница подписки на новости");
	define("SUBSCRIPTION_WITHOUT_REGISTRATION_MSG", "Разрешить подписку без регистрации");
	define("SUBSCRIPTION_REQUIRE_REGISTRATION_MSG", "Подписка разрешена только для зарегистрированных");

	define("MATCH_EXISTED_PRODUCTS_MSG", "Идентифицировать товары по");
	define("MATCH_BY_ITEM_CODE_MSG", "коду товара");
	define("MATCH_BY_MANUFACTURER_CODE_MSG", "коду производителя");
	define("DISPLAY_COMPONENTS_AND_OPTIONS_LIST_MSG", "Показывать опции и компоненты");
	define("AS_LIST_MSG", "Списком");
	define("AS_TABLE_MSG", "Таблицей");

	define("ACCOUNT_SUBSCRIPTION_MSG", "Платный аккаунт");
	define("ACCOUNT_SUBSCRIPTION_DESC", "Для активации учётной записи требуется оплата");
	define("SUBSCRIPTION_CANCELLATION_MSG", "Отказ от платного аккаунта");
	define("CONFIRM_CANCEL_SUBSCRIPTION_MSG", "Вы уверены, что хотите отменить подписку?");
	define("CONFIRM_RETURN_SUBSCRIPTION_MSG", "Вы уверены, что хотите отказаться от подписки и вернуть {credits_amount} на Ваш баланс?");
	define("CANCEL_SUBSCRIPTION_MSG", "Отменит подписку");
	define("DONT_RETURN_MONEY_MSG", "Не возвращать средства");
	define("RETURN_MONEY_TO_CREDITS_BALANCE_MSG", "Возвращать средства за неиспользованный период  на кредитный баланс");
	define("UPGRADE_DOWNGRADE_TYPE_MSG", "Пользователь может переключать тип своего аккаунта (к примеру, с частного лица на оптовика)");

	define("PREDEFINED_TYPES_MSG", "Предопределённые типы");
	define("SHIPPING_TAX_PERCENT_MSG", "Процент за доставку");
	define("PACKAGES_NUMBER_MSG", "Количество упаковок");
	define("PER_PACKAGE_MSG", "нетто");
	define("CURRENCY_SHOW_DESC", "Пользователь может выбрать эту валюту для показа цен");
	define("CURRENCY_DEFAULT_SHOW_DESC", "Все цены по умолчанию показываются в этой валюте");
	define("RECOMMENDED_MSG", "Рекомендации");
	define("UPDATE_STATUS_MSG", "Статус обновления");

	define("FIRST_CONTROLS_ARE_FREE_MSG", "Контроль первых {free_price_amount}  бесплатен");
	define("FIRST_LETTERS_ARE_FREE_MSG", "Первые {free_price_amount} символов бесплатны");
	define("FIRST_NONSPACE_LETTERS_ARE_FREE_MSG", "Первые {free_price_amount} не пробельных символов бесплатны");

	// email и SMS сообщения
	define("EMAIL_NOTIFICATION_MSG", "Email извещение");
	define("EMAIL_NOTIFICATION_ADMIN_MSG", "Email извещение Администратора ");
	define("EMAIL_NOTIFICATION_USER_MSG", "Email извещение Пользователя");
	define("EMAIL_SEND_ADMIN_MSF", "Отправить извещение администратору ");
	define("EMAIL_SEND_USER_MSG", "Отправить извещение пользователю ");
	define("EMAIL_USER_IF_STATUS_MSG", "Известить пользователей,  при изменении статуса товара");
	define("EMAIL_TO_MSG", "Кому");
	define("EMAIL_TO_USER_DESC", "Использовать электронную почту пользователя, если пусто");
	define("EMAIL_FROM_MSG", "От");
	define("EMAIL_CC_MSG", "Копия");
	define("EMAIL_BCC_MSG", "Скрытая копия");
	define("EMAIL_REPLY_TO_MSG", "Ответить");
	define("EMAIL_RETURN_PATH_MSG", "Email для обратного адреса");
	define("EMAIL_SUBJECT_MSG", "Тема");
	define("EMAIL_MESSAGE_TYPE_MSG", "Тип Сообщения");
	define("EMAIL_MESSAGE_MSG", "Сообщение");
	define("SMS_NOTIFICATION_MSG", "SMS - извещение");
	define("SMS_NOTIFICATION_ADMIN_MSG", "SMS - извещение Администратора");
	define("SMS_NOTIFICATION_USER_MSG", "SMS - извещение Пользователя");
	define("SMS_SEND_ADMIN_MSG", "Отправить SMS - извещение администратору ");
	define("SMS_SEND_USER_MSG", "Отправить SMS - извещение пользователю ");
	define("SMS_USER_IF_STATUS_MSG", "Отправить SMS - извещение пользователю электронной почтой, когда статус изменен");
	define("SMS_RECIPIENT_MSG", "Кому");
	define("SMS_RECIPIENT_ADMIN_DESC", "телефон администратора");
	define("SMS_RECIPIENT_USER_DESC", "Телефон пользователя если пусто");
	define("SMS_ORIGINATOR_MSG", "Автор SMS");
	define("SMS_MESSAGE_MSG", "Текст SMS");

	// сообщения аккаунта
	define("LOGIN_AS_MSG", "Вы вошли как");
	define("LOGIN_INFO_MSG", "Параметры для входа в систему");
	define("ACCESS_HOME_MSG", "Для доступа к личной странице");
	define("REMEMBER_LOGIN_MSG", "Запомнить меня<br>на этом компьютере");
	define("ENTER_LOGIN_MSG", "Введите ваш логин и пароль, чтобы продолжить");
	define("LOGIN_PASSWORD_ERROR", "Пароль или Логин неверны");
	define("ACCOUNT_APPROVE_ERROR", "Жаль, ваш аккаунт еще не прошёл проверку.");
	define("ACCOUNT_EXPIRED_MSG", "Ваш аккаунт не действителен");
	define("SESSION_EXPIRED_MSG", "Сессия истекла");
	define("NEW_PROFILE_ERROR", "Вы не имеете прав для открытия нового аккаунта.");
	define("EDIT_PROFILE_ERROR", "Вы не имеете прав для редактирования профиля.");
	define("CHANGE_DETAILS_MSG", "Изменить свои данные");
	define("CHANGE_DETAILS_DESC", "Здесь Вы можете изменить информацию о себе<br>");
	define("CHANGE_PASSWORD_MSG", "Сменить пароль");
	define("CHANGE_PASSWORD_DESC", "а по ссылке ниже, изменить пароль");
	define("SIGN_UP_MSG", "Зарегистрироваться как");
	define("MY_ACCOUNT_MSG", "Мой Аккаунт");
	define("NEW_USER_MSG", "В первый раз");
	define("EXISTS_USER_MSG", "Для зарегистрированных");
	define("EDIT_PROFILE_MSG", "Редактирование Профиля");
	define("PERSONAL_DETAILS_MSG", "Персональные Данные");
	define("DELIVERY_DETAILS_MSG", "Данные для Доставки");
	define("SAME_DETAILS_MSG", "Если данные для доставки те же, отметьте здесь <br> В противном случае, заполните поля ниже.");
	define("DELIVERY_MSG", "Доставка");
	define("SUBSCRIBE_CHECKBOX_MSG", "Пожалуйста, поставьте метку, если Вы хотите получать наши новости.");
	define("ADDITIONAL_DETAILS_MSG", "Дополнительные детали");
	define("GUEST_MSG", "Гость");
	define("USER_MSG", "User");
	define("SELECT_USER_MSG", "Выбрать пользователя");

	 // частные объявления
	define("MY_ADS_MSG", "Мои объявления");
	define("MY_ADS_DESC", "Хотите разместить объявления рекламного, информационного или иного характера? Вы можете сделать это быстро и просто через этот пункт меню…");
	define("AD_GENERAL_MSG", "Общее");
	define("ALL_ADS_MSG", "Все");
	define("AD_SELLER_MSG", "Продавец");
	define("AD_START_MSG", "Начальная дата");
	define("AD_RUNS_MSG", "Продолжительность в днях");
	define("AD_QTY_MSG", "Количество");
	define("AD_AVAILABILITY_MSG", "Доставка");
	define("AD_COMPARED_MSG", "Разрешить сравнение");
	define("AD_UPLOAD_MSG", "Загрузить изображение");
	define("AD_LOCATION_MSG", "Место нахождения");
	define("AD_LOCATION_INFO_MSG", "Дополнительная Информация");
	define("AD_PROPERTIES_MSG", "Свойства объявления");
	define("AD_SPECIFICATION_MSG", "Спецификация Объявления");
	define("AD_MORE_IMAGES_MSG", "Больше Изображений");
	define("AD_IMAGE_DESC_MSG", "Описание к изображению");
	define("AD_DELETE_CONFIRM_MSG", "Вы хотите удалить этот товар?");
	define("AD_NOT_APPROVED_MSG", "Ещё не одобрен");
	define("AD_RUNNING_MSG", "Активно");
	define("AD_CLOSED_MSG", "Закрыто");
	define("AD_NOT_STARTED_MSG", "Не Начатый");
	define("AD_NEW_ERROR", "У Вас нет прав для создания объявления.");
	define("AD_EDIT_ERROR", "У Вас нет прав редактировать это Объявление.");
	define("AD_DELETE_ERROR", "У Вас нет прав удалять это Объявление.");
	define("NO_ADS_MSG", "Пока нет объявлений");
	define("NO_AD_MSG", "Объявление с этим ID не доступно в этой категории");
	define("FOUND_ADS_MSG", "Найдены <b> {found_records} </b> объявления, запросу  ' <b> {search_string} </b> '");
	define("AD_OFFER_MESSAGE_MSG", "Текст Вашего предложения");
	define("AD_OFFER_LOGIN_ERROR", "Для выполнения этой операции, пожалуйста авторизуйтесь.");
	define("AD_REQUEST_BUTTON", "Отослать запрос");
	define("AD_SENT_MSG", "Ваше предложение успешно отправлено продавцу. Спасибо.");
	define("ADS_SETTINGS_MSG", "Настройки объявлений");
	define("ADS_DAYS_MSG", "Период показа");
	define("ADS_HOT_DAYS_MSG", "Период показа в Горячих предложениях");
	define("AD_HOT_OFFER_MSG", "Горячее предложение");
	define("AD_HOT_ACTIVATE_MSG", "Добавить в секцию Горячих предложений");
	define("AD_HOT_START_MSG", "Дата активации начала показа");
	define("AD_HOT_DESCRIPTION_MSG", "Текст Горячего предложения");
	define("ADS_SPECIAL_DAYS_MSG", "Период показа в Спец предложениях");
	define("AD_SPECIAL_OFFER_MSG", "Спец предложение");
	define("AD_SPECIAL_ACTIVATE_MSG", "Добавить в секцию Спец предложений");
	define("AD_SPECIAL_START_MSG", "Дата активации начала показа");
	define("AD_SPECIAL_DESCRIPTION_MSG", "Текст спец предложения");
	define("AD_CREDITS_BALANCE_ERROR", "Недостаточно средств на вашем балансе, необходимо {more_credits} , чтобы разместить это Объявление. ");
	define("AD_CREDITS_MSG", "Пополнить счёт");
	define("ADS_SPECIAL_OFFERS_SETTINGS_MSG", "Настройки специальных предложений");
	//ad types
	define("AD_PRODUCT_TYPE_MSG", "Продукты");
	define("AD_ACCESSORY_TYPE_MSG", "Аксессуары");

	define("EDIT_DAY_MSG", "Редактирование");
	define("DAYS_PRICE_MSG", "Тариф");
	define("ADS_PUBLISH_PRICE_MSG", "Стоимость размещения");
	define("DAYS_NUMBER_MSG", "Количество дней");
	define("DAYS_TITLE_MSG", "Название периода (день, месяц и т.д.)");
	define("USER_ADS_LIMIT_MSG", "Сколько объявлений может добавить пользователь");
	define("USER_ADS_LIMIT_DESC", "оставьте пустым, если ограничения не предусмотрены");
	define("USER_ADS_LIMIT_ERROR", "Извините, но для Вас существует лимит на максимальное количество - не более  {ads_limit} наименований.");

	define("ADS_SHOW_TERMS_MSG", "Показывать Условия и Соглашения");
	define("ADS_SHOW_TERMS_DESC", "Пользователь должен ознакомиться и согласится с Правилами и Условиями");
	define("ADS_TERMS_MSG", "Текст Условий  и Соглашений");
	define("ADS_TERMS_USER_DESC", "С правилами, условиями и сроками ознакомлен (на) и согласен(на).");
	define("ADS_TERMS_USER_ERROR", "Чтобы разместить Ваше предложение, Вы должны ознакомиться и согласится с нашими правилами, условиями и сроками");
	define("ADS_ACTIVATION_MSG", "Активация объявлений");
	define("ACTIVATE_ADS_MSG", "Активация");
	define("ACTIVATE_ADS_NOTE", "Все новые объявления автоматически активируются и доступны");
	define("DEACTIVATE_ADS_MSG", "Де активация");
	define("DEACTIVATE_ADS_NOTE", "Все новые объявления автоматически Неактивны  и недоступны");

	define("MIN_ALLOWED_ADS_PRICE_MSG", "Минимальная цена");
	define("MIN_ALLOWED_ADS_PRICE_NOTE", "оставьте пустым, если ограничение не предусмотрено");
	define("MAX_ALLOWED_ADS_PRICE_MSG", "Максимальная цена");
	define("MAX_ALLOWED_ADS_PRICE_NOTE", "оставьте пустым, если ограничение не предусмотрено");

	// сообщения поиска
	define("SEARCH_FOR_MSG", "Поиск");
	define("SEARCH_IN_MSG", "Поиск в");
	define("SEARCH_TITLE_MSG", "Название");
	define("SEARCH_CODE_MSG", "Артикул");
	define("SEARCH_SHORT_DESC_MSG", "Краткое описание");
	define("SEARCH_FULL_DESC_MSG", "Подробное описание");
	define("SEARCH_CATEGORY_MSG", "Поиск в категории");
	define("SEARCH_MANUFACTURER_MSG", "Производитель");
	define("SEARCH_SELLER_MSG", "Продавец");
	define("SEARCH_PRICE_MSG", "Ценовой диапазон");
	define("SEARCH_WEIGHT_MSG", "Весовые ограничения");
	define("SEARCH_RESULTS_MSG", "Результаты поиска");
	define("FULL_SITE_SEARCH_MSG", "Поиск по сайту");
	define("KEYWORDS_CRITERION_MSG", "Keywords: <b>{keywords}</b>");
	define("AUTHOR_CRITERION_MSG", "Author: <b>{author}</b>");
	define("CATEGORY_CRITERION_MSG", "Category: <b>{category}</b>");
	define("DATE_CRITERION_MSG", "Date: <b>{date}</b>");
	define("TYPE_CRITERION_MSG", "Type: <b>{type}</b>");
	define("COUNTRY_CRITERION_MSG", "Country: <b>{country}</b>");
	define("STATE_CRITERION_MSG", "State: <b>{state}</b>");
	define("POSTAL_CODE_CRITERION_MSG", "Postal code: <b>{postal_code}</b>");
	define("AGE_CRITERION_MSG", "Age: <b>{age}</b>");

	// сообщения сравнений
	define("COMPARE_MSG", "Сравнить");
	define("COMPARE_REMOVE_MSG", "Убрать");
	define("COMPARE_REMOVE_HELP_MSG", "Нажмите здесь, чтобы удалить этот товар из таблицы сравнения");
	define("COMPARE_MIN_ALLOWED_MSG", "Для сравнения необходимо выбрать хотя бы 2 товара");
	define("COMPARE_MAX_ALLOWED_MSG", "Вы можете выбрать для сравнения не более 5 наименований");
	define("COMPARE_PARAM_ERROR_MSG", "Параметр сравнения имеет неправильное значение");

	// отправить сообщение другу
	define("TELL_FRIEND_TITLE", "Сообщить другу");
	define("TELL_FRIEND_SUBJECT_MSG", "Ваш друг послал Вам эту ссылку.");
	define("TELL_FRIEND_DEFAULT_MSG", "Привет {friend_name} - я думаю, что Вы могли бы заинтересоваться {item_title} на этом сайте {item_url}");
	define("TELL_YOUR_NAME_FIELD", "Ваше имя");
	define("TELL_YOUR_EMAIL_FIELD", "Ваш электронный адрес");
	define("TELL_FRIENDS_NAME_FIELD", "Имя друга");
	define("TELL_FRIENDS_EMAIL_FIELD", "Email друга");
	define("TELL_COMMENT_FIELD", "Комментарий");
	define("TELL_FRIEND_PRIVACY_NOTE_MSG", "Примечание: Мы не будем сохранять или повторно использовать ваш электронный адрес или вашего друга ни для какой другой цели.");
	define("TELL_SENT_MSG", "Ваше сообщение успешно отослано! <br> Спасибо!");
	define("TELL_FRIEND_MESSAGE_MSG", "Если вы заинтересованы в {item_title} на {item_url}\\n\\n{user_name} оставил вам сообщение:\\n{user_comment}");
	define("TELL_FRIEND_PARAM_MSG", "Партнёрская ссылка в сообщениях");
	define("TELL_FRIEND_PARAM_DESC", "добавлять к URL партнёрскую ссылку в сообщениях через функцию 'Сообщить другу', если это возможно");
	define("FRIEND_COOKIE_EXPIRES_MSG", "Запись Cookie истекает");

	define("CONTACT_US_TITLE", "Обратная связь");
	define("CONTACT_USER_NAME_FIELD", "Ваше имя");
	define("CONTACT_USER_EMAIL_FIELD", "Ваш электронный адрес");
	define("CONTACT_SUMMARY_FIELD", "Заголовок");
	define("CONTACT_DESCRIPTION_FIELD", "Описание");
	define("CONTACT_REQUEST_SENT_MSG", "Ваш запрос отослан");

	// internal messages system
	define("FOLDER_INBOX_MSG", "Inbox");
	define("FOLDER_SENT_MSG", "Sent");
	define("FOLDER_DRAFT_MSG", "Draft");
	define("FOLDER_TRASH_MSG", "Trash");
	define("READ_MSG", "Read");
	define("USER_NOT_FOUND_MSG", "User {username} wasn't found.");
	define("MESSAGE_SAVED_MSG", "Your message has been saved.");
	define("NO_MESSAGES_MSG", "No messages were found");
	define("SEND_ME_MESSAGE_MSG", "Send me a Message");
	define("WRITE_NEW_MESSAGE_MSG", "Write a new Message");
	define("REACH_BOX_LIMIT_MSG", "You reach box limit - {box_limit} messages. Delete some messages before proceed.");
	define("MESSAGES_DAY_LIMIT_ERROR", "You can't send more than {day_limit} messages per day.");

	// кнопки
	define("GO_BUTTON", "Выполнить");
	define("CONTINUE_BUTTON", "Продолжить");
	define("BACK_BUTTON", "Назад");
	define("NEXT_BUTTON", "Далее");
	define("PREV_BUTTON", "Назад");
	define("SIGN_IN_BUTTON", "Войти");
	define("LOGIN_BUTTON", "Вход");
	define("LOGOUT_BUTTON", "Выход");
	define("SEARCH_BUTTON", "Поиск");
	define("RATE_IT_BUTTON", "Оценить");
	define("ADD_BUTTON", "Добавить");
	define("UPDATE_BUTTON", "Обновить");
	define("APPLY_BUTTON", "Применить");
	define("REGISTER_BUTTON", "Зарегистрироваться");
	define("VOTE_BUTTON", "Голосовать");
	define("CANCEL_BUTTON", "Отмена");
	define("CLEAR_BUTTON", "Очистить");
	define("RESET_BUTTON", "Сброс");
	define("DELETE_BUTTON", "Удалить");
	define("DELETE_ALL_BUTTON", "Удалить все");
	define("SUBSCRIBE_BUTTON", "Подписаться");
	define("UNSUBSCRIBE_BUTTON", "Отписаться");
	define("SUBMIT_BUTTON", "Отправить");
	define("UPLOAD_BUTTON", "Загрузить");
	define("SEND_BUTTON", "Отправить");
	define("PREVIEW_BUTTON", "Пред просмотр");
	define("FILTER_BUTTON", "Фильтр");
	define("DOWNLOAD_BUTTON", "Скачать");
	define("REMOVE_BUTTON", "Убрать");
	define("EDIT_BUTTON", "Редактировать");
	define("CHANGE_BUTTON", "Изменить");
	define("SAVE_BUTTON", "Сохранить");
	define("REPLY_BUTTON", "Ответить");
	define("FORWARD_BUTTON", "Forward");

	// controls
	define("CHECKBOXLIST_MSG", "Флажки");
	define("LABEL_MSG", "Статичная надпись");
	define("LISTBOX_MSG", "Выпадающий список");
	define("RADIOBUTTON_MSG", "Радио-кнопки");
	define("TEXTAREA_MSG", "Область текста");
	define("TEXTBOX_MSG", "Поле текста");
	define("TEXTBOXLIST_MSG", "Список полей текста");
	define("WIDTH_AND_HEIGHT_MSG", "Width & Height");
	define("IMAGEUPLOAD_MSG", "Загрузка файла");
	define("IMAGE_SELECT_MSG", "Image Select");
	define("CREDIT_CARD_MSG", "Кредитная карта");
	define("GROUP_MSG", "Группа");

	// поля
	define("LOGIN_FIELD", "Логин");
	define("USERNAME_FIELD", "Логин");
	define("PASSWORD_FIELD", "Пароль");
	define("CONFIRM_PASS_FIELD", "Повторите ещё раз");
	define("NEW_PASS_FIELD", "Новый пароль");
	define("CURRENT_PASS_FIELD", "Текущий пароль");
	define("FULL_NAME_FIELD", "Полное имя");
	define("FIRST_NAME_FIELD", "Имя");
	define("LAST_NAME_FIELD", "Фамилия");
	define("NICKNAME_FIELD", "Ник (виден в пользовательской части)");
	define("PERSONAL_IMAGE_FIELD", "Персональное фото (аватар)");
	define("COMPANY_SELECT_FIELD", "Компания");
	define("SELECT_COMPANY_MSG", "Выбрать компанию");
	define("COMPANY_NAME_FIELD", "Название организации");
	define("EMAIL_FIELD", "Email");
	define("STREET_FIRST_FIELD", "Адрес (ул., дом,...)");
	define("STREET_SECOND_FIELD", "Адрес (продолжение)");
	define("CITY_FIELD", "Город");
	define("PROVINCE_FIELD", "Область");
	define("SELECT_STATE_MSG", "Выберите штат");
	define("STATE_FIELD", "Штат/регион/область");
	define("ZIP_FIELD", "Индекс");
	define("SELECT_COUNTRY_MSG", "Выбрать страну");
	define("COUNTRY_FIELD", "Страна");
	define("PHONE_FIELD", "Телефон");
	define("DAYTIME_PHONE_FIELD", "Рабочий телефон");
	define("EVENING_PHONE_FIELD", "Домашний телефон");
	define("CELL_PHONE_FIELD", "Мобильный телефон");
	define("FAX_FIELD", "Факс");
	define("VALIDATION_CODE_FIELD", "Пожалуйста, для подтверждения и защиты от спама,<br> введите показанный код");
	define("AFFILIATE_CODE_FIELD", "Партнёрская ссылка");
	define("AFFILIATE_CODE_HELP_MSG", "Впишите в поле ваш логин. Для партнёрской программы используйте следующую ссылку<br>  {affiliate_url} ");
	define("PAYPAL_ACCOUNT_FIELD", "PayPal аккаунт");
	define("TAX_ID_FIELD", "ИНН");
	define("MSN_ACCOUNT_FIELD", "MSN аккаунт");
	define("ICQ_NUMBER_FIELD", "Номер ICQ");
	define("USER_SITE_URL_FIELD", "URL сайта пользователя");
	define("HIDDEN_STATUS_FIELD", "Скрытый статус");
	define("HIDE_MY_ONLINE_STATUS_MSG", "Не показывать мой онлайн статус");
	define("SHOW_ON_SITE_FIELD", "Показать на сайте");
	define("SUMMARY_MSG", "Заголовок");
	define("MY_ADDRESS_BOOK_MSG", "My Address Book");
	define("MY_ADDRESS_BOOK_DESC", "Manage your address book of delivery addresses so the next time you order anything you could pick it up on from the list of delivery addresses without having to re-type the address over again.");
	define("ADDRESS_MSG", "Address");
	define("ADDRESS_TYPE_MSG", "Address Type");
	define("MY_ADDRESSES_MSG", "My Addresses");
	define("NO_ADDRESSES_MSG", "No addresses were found");
	define("SELECT_ADDRESS_MSG", "Select Address");
	define("SELECT_COUNTRY_FIRST_MSG", "Выберите сначала страну");
	define("NO_STATES_FOR_COUNTRY_MSG", "No states available for selected country");
	define("ACCESS_TOKEN_MSG", "Access Token");
	define("MY_MESSAGES_MSG", "My Messages");
	define("MY_MESSAGES_DESC", "Here you can communicate with other users without having to share your e-mail addresses.");
	define("TERMS_MSG", "Текст Условий  и Соглашений");
	define("TERMS_USER_DESC", "С правилами, условиями и сроками ознакомлен (на) и согласен(на).");

	// general form tabs
	define("GENERAL_TAB", "General");
	define("DESCRIPTION_TAB", "Description");
	define("LOCATION_TAB", "Location");
	define("IMAGES_TAB", "Images");
	define("PHOTOS_TAB", "Photos");

	//сообщения отсутствия записей
	define("NO_RECORDS_MSG", "Записей нет");
	define("NO_EVENTS_MSG", "Ни одного события не найдено");
	define("NO_QUESTIONS_MSG", "Ни одного вопроса не найдено");
	define("NO_NEWS_MSG", "Ни одной статьи новостей не найдено");
	define("NO_POLLS_MSG", "Ни одного опроса не найдено");
	define("NO_REMINDERS_MSG", "Ни одного напоминания не найдено");
	define("NO_DATA_WERE_FOUND_MSG", "Не зарегистрировано");


	// SMS сообщения
	define("SMS_TITLE", "SMS");
	define("SMS_TEST_TITLE", "Тестовое SMS");
	define("SMS_TEST_DESC", "Пожалуйста, введите номер своего мобильного телефона и нажмите 'SEND_BUTTON', чтобы получить тестовое сообщение");
	define("INVALID_CELL_PHONE", "Неверный номер мобильного телефона");

	define("ARTICLE_RELATED_PRODUCTS_TITLE", "Товары относящиеся к статье");
	define("CATEGORY_RELATED_PRODUCTS_TITLE", "Товары относящиеся к категории");
	define("SELECT_TYPE_MSG", "Выберите тип");
	define("OFFER_PRICE_MSG", "Цена Вашего предложения");
	define("OFFER_MESSAGE_MSG", "Сообщение предложения");

	define("MY_WISHLIST_MSG", "Мои пожелания");
	define("MY_WISHLIST_DESC", "Here you can view wishlist items saved in the past.");
	define("SELECT_WISHLIST_TYPE_MSG", "Выберите тип пожелания");
	define("MY_REMINDERS_MSG", "Сервис напоминаний");
	define("EDIT_REMINDER_MSG", "Изменить напоминание");


	define("SELECT_SUBFOLDER_MSG", "Выбор под папки");
	define("CURRENT_DIR_MSG", "Текущая директория");
	define("NO_AVAILIABLE_CATEGORIES_MSG", "Нет доступных категорий");
	define("SHOW_FOR_NON_REGISTERED_USERS_MSG", "Показывать незарегистрированным");
	define("SHOW_FOR_REGISTERED_USERS_MSG", "Для всех зарегистрированных");
	define("VIEW_ITEM_IN_THE_LIST_MSG", "Показывать в списке товаров");
	define("ACCESS_DETAILS_MSG", "Детальная страница");
	define("ACCESS_ITEMS_DETAILS_MSG", "Доступ к детальной странице");
	define("OTHER_SUBSCRIPTIONS_MSG", "Другие подписки");
	define("USE_CATEGORY_ALL_SITES_MSG", "Использовать для всех сайтов (отключите, если хотите настроить индивидуально)");
	define("USE_ITEM_ALL_SITES_MSG", "Использовать для всех сайтов (отключите, если хотите настроить индивидуально)");
	define("SAVE_SUBSCRIPTIONS_SETTINGS_BY_CATEGORY_MSG", "Сохранить настройки для всех категорий");
	define("SAVE_SITES_SETTINGS_BY_CATEGORY_MSG", "Сохранить настройки сайтов для всех категорий");
	define("ACCESS_LEVELS_MSG", "Уровни доступа");
	define("SITES_MSG", "Сайты");
	define("NON_REGISTERED_USERS_MSG", "Незарегистрированные пользователи");
	define("REGISTERED_CUSTOMERS_MSG", "Зарегистрированные пользователи");
	define("PREVIEW_IN_SEPARATE_SECTION_MSG", "Показать в отдельной секции");
	define("PREVIEW_BELOW_DETAILS_IMAGE_MSG", "Под основным изображением на детальной странице");
	define("PREVIEW_BELOW_LIST_IMAGE_MSG", "Под изображением в списке товаров");
	define("PREVIEW_POSITION_MSG", "Позиция");
	define("ADMIN_NOTES_MSG", "Примечания администратора");
	define("USER_NOTES_MSG", "Пользовательские примечания");
	define("CMS_PERMISSIONS_MSG", "Разрешения CMS");
	define("ARTICLES_PERMISSIONS_MSG", "Разрешения статей");
	define("WISHLIST_MSG", "Пожелания");
	define("TYPE_IS_NOT_AVAILIABLE_MSG", "Недоступный тип");
	define("TYPE_IS_NOT_SELECTED_MSG", "Тип не выбран");
	define("SHOW_ALL_MSG", "Показать всё");

	define("MEMBER_SINCE_MSG", "Создано");
	define("SITEMAP_TITLE_INDEX", "заголовок");
	define("SITEMAP_URL_INDEX", "url");
	define("SITEMAP_SUBS_INDEX", "subs");

	define("HOT_RELEASES_MSG", "Свежий релиз");
	define("PAY_FOR_AD_MSG", "Оплатить объявление");
	define("CHECK_SITE_MSG", "проверить сайт");

	define("CONTACT_US_MSG", "Связаться с нами");
	define("REGISTERED_USERS_ALLOWED_MESSAGES_MSG", "Только зарегистрированные могут отправлять сообщения.");
	define("NOT_ALLOWED_SEND_MESSAGES_MSG", "Извините, но вы не можете отправить сообщение.");
	define("MESSAGE_SENT_MSG", "Сообщение отправлено");
	define("MESSAGE_INTERVAL_ERROR", "Пожалуйста, подождите {interval_time} для отправки сообщения.");
	define("ONE_LINE_SUMMARY_MSG", "Краткий заголовок");
	define("DETAILED_COMMENT_MSG", "Подробный комментарий");
	define("REMINDER_MSG", "Напоминание");
	define("CHAINED_MENU_TITLE", "Липкое меню");
	//article statuses
	define("ARTICLE_NEW_MSG", "Новые");
	define("ARTICLE_PUBLISHED_MSG", "Опубликованные");
	define("ARTICLE_PENDING_MSG", "В ожидании");
	define("ARTICLE_HIDDEN_MSG", "Скрытые");
	//priorities
	define("PRIORITY_HIGH_MSG", "Высокий");
	define("PRIORITY_NORMAL_MSG", "Средний");
	define("PRIORITY_LOW_MSG", "Низкий");
	//customer types
	define("CUSTOMER_TYPE_MSG", "Клиент");
	//cookies constants
	define("COOKIE_CONTROL_MSG", "Управление кукисами");
	define("COOKIE_INFO_MSG", "<b>Cookies Control</b><br /><br />This site uses cookies to store information on your computer. If you turn off cookies, some site features will become unavailable.<br /><a href=\"page.php?page=use_of_cookies\">Read more</a><br /><br />Keep cookies?");
	define("CALL_CENTER_MODE_MSG", "Вы в режиме <b>Колл-Центр</b>. Это означает, что данные настройки чекаута видны только Вам как администратору сайту. <b>Вылогиньтесь из админки</b>, чтобы вернуться к обычному режиму.");

?>