<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 4.6.1                                                ***
  ***      File:  cart_messages.php                                        ***
  ***      Built: Thu Dec 10 05:08:32 2015                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	// cart messages
	define("CART_TITLE", "购物车");
	define("SMALL_CART_TITLE", "您的购物车");
	define("PRODUCTS_TITLE", "产品");
	define("LATEST_PRODUCTS_TITLE", "Latest Products");
	define("RELATED_PRODUCTS_TITLE", "相关产品");
	define("TOP_SELLERS_TITLE", "最畅销");
	define("PRODUCTS_RECOMMENDED_TITLE", "推荐产品");
	define("ONE_PAGE_CHECKOUT_TITLE", "One Page Checkout");
	define("CHECKOUT_LOGIN_TITLE", "结帐::登录");
	define("CHECKOUT_INFO_TITLE", "结帐::个人信息");
	define("CHECKOUT_PAYMENT_TITLE", "结帐::付款方式");
	define("CHECKOUT_CONFIRM_TITLE", "结帐::确认");
	define("CHECKOUT_FINAL_TITLE", "结帐::总决赛");
	define("CHANGES_LOG_TITLE", "更新日志");
	define("COMPARE_TITLE", "产品比较");
	define("CUSTOMERS_WHO_BOUGHT_TITLE", "购买此项的客户还买了");

	define("PRODUCT_MSG", "产品");
	define("PRICES_MSG", "价格");
	define("OUR_PRICE_MSG", "我们的价格");
	define("YOU_SAVE_MSG", "您节省了");
	define("PROD_OPTIONS_MSG", "选项");
	define("PROD_SUBCOMPONENTS_MSG", "子组件");
	define("OPTIONS_AND_COMPONENTS_MSG", "选项和组件");
	define("PROD_AVAILABILITY_MSG", "可用性");
	define("PROD_HIGHLIGHT_MSG", "亮点");
	define("PROD_SUPER_IMAGE_MSG", "点击此处查看大图像");
	define("PROD_PREVIEW_MSG", "预览");
	define("PROD_PREVIEW_CLICK_MSG", "点击这里查看预览");
	define("PROD_DESCRIPTION_MSG", "描述");
	define("PROD_SPECIFICATION_MSG", "规格");
	define("PROD_IMAGES_MSG", "图片");
	define("PROD_ACCESSORIES_MSG", "饰品");
	define("PROD_NOTE_MSG", "注意");
	define("PROD_SHIPPING_MSG", "航运");
	define("PROD_WEIGHT_MSG", "重量");
	define("PROD_DOWNLOAD_COLUMN", "链接");
	define("PROD_TITLE_COLUMN", "产品");
	define("PROD_CODE_MSG", "码");
	define("PROD_QTY_COLUMN", "数量");
	define("PROD_PRICE_COLUMN", "价格");
	define("PROD_TOTAL_COLUMN", "总");
	define("PROD_TAX_TOTAL_COLUMN", "总");
	define("GOODS_TOTAL_MSG", "货物进口总额");
	define("PAYMENT_AMOUNT_MSG", "Payment Amount");
	define("TOTAL_DISCOUNT_MSG", "总折扣");
	define("GOODS_WITH_DISCOUNT_MSG", "折扣后货物成本");
	define("SHIPPING_TRACKING_NUMBER_MSG", "运输包裹追踪号码");
	define("SHIPPING_EXPECTING_MSG", "发货预期日期");
	define("SELECT_SHIPPING_METHOD_MSG", "选择送货方式");
	define("SHIPPING_METHOD_MSG", "配送方式");
	define("PROCESSING_FEE_MSG", "处理费");
	define("MY_PRODUCTS_MSG", "我的产品");
	define("MY_PRODUCTS_DESC", "点击这里添加新的产品或修改现有的。");
	define("EDIT_PRODUCT_MSG", "编辑产品");
	define("ORDER_STEP_ONE_MSG", "步骤1。个人和交付数据。");
	define("ORDER_STEP_TWO_MSG", "步骤2。付款方式。");
	define("ORDER_STEP_THREE_MSG", "第3步。订单确认。");
	define("PROD_NEW_ERROR", "您没有权限创建一个新的产品。");
	define("PROD_EDIT_ERROR", "您没有权限编辑这个产品。");
	define("PROD_DELETE_ERROR", "您没有权限删除这个产品。");
	define("PROD_DELETE_CONFIRM_MSG", "你想删除这个产品吗？");
	define("PROD_NOT_APPROVED_MSG", "不批准");
	define("PROD_ACTIVE_MSG", "活性");
	define("PROD_GENERAL_TAB", "一般");
	define("PROD_DOWNLOADABLE_TAB", "可下载/软件");
	define("PROD_SPECIAL_OFFER_TAB", "特别提供");
	define("PROD_RECURRING_TAB", "经常性");
	define("PROD_NOTIFICATION_TAB", "通知");
	define("PROD_NOTES_TAB", "等级/注意事项");
	define("PROD_GENERAL_INFO_MSG", "一般产品信息");
	define("PROD_SHOWN_MSG", "本产品可用于销售");
	define("PROD_ORDER_MSG", "产品订购");
	define("PROD_TYPE_MSG", "产品类型");
	define("PROD_TYPE_NOTE", "注：如果您选择\"礼券\"类型，系统会自动生成一个礼品券优惠券下订单后，如果您选择了\"束\"，然后你应该添加此产品的子因为只有他们是可见的在结帐。");
	define("PROD_NAME_MSG", "产品名称");
	define("PROD_MANUFACTURER_MSG", "生产厂家");
	define("PROD_ISSUE_DATE_MSG", "产品发行日期");
	define("PROD_ADDITIONAL_OPTIONS_MSG", "其他选项");
	define("PROD_ALLOWED_COMPARISON_MSG", "允许产品比较");
	define("PROD_TAX_FREE_MSG", "免税产品");
	define("PROD_LANGUAGE_DESC", "产品选择的语言");
	define("PROD_PRICING_MSG", "定价");
	define("PROD_CHANGE_PRICE_MSG", "允许客户改变价格");
	define("PROD_LIST_PRICE_MSG", "价格（价格表）");
	define("PROD_DISCOUNT_PRICE_MSG", "折扣价");
	define("PROD_ACTIVATE_DISCOUNT_MSG", "激活折扣");
	define("PROD_TRADE_PRICE_MSG", "交易价格");
	define("PROD_DISCOUNT_TRADE_MSG", "折扣交易价格");
	define("PROD_BUYING_PRICE_MSG", "买价");
	define("PROD_SHOWN_DISCOUNT_MSG", "显示折扣（％）");
	define("PROD_OPTIONS_PRICE_MSG", "期权价格");
	define("PROD_OPTIONS_PRICE_DESC", "如果在一些块选项是不可用的，使用此字段来显示产品的平均价格");
	define("PROD_PRICE_PREVIEW_MSG", "价格预览（怎么会出现在页面上）");
	define("PROD_APPEARANCE_MSG", "样子");
	define("PROD_LANGUAGE_MSG", "语");
	define("CUSTOM_TEMPLATE_MSG", "自定义模板");
	define("HIDE_ADD_BUTTON_MSG", "隐藏的<b>的{ADD_TO_CART_MSG}</ b>\"的按钮");
	define("ON_PROD_LIST_MSG", "产品列表页");
	define("ON_PROD_DETAILS_MSG", "产品详细信息页");
	define("ON_TABLE_VIEW_MSG", "上表视图列表");
	define("ON_GRID_VIEW_MSG", "网格视图列表");
	define("ON_SEPARATE_PAGE_MSG", "在单独的页面");
	define("ON_CHECKOUT_PROCESS_MSG", "在结帐过程");
	define("PROD_PREVIEW_URL_MSG", "产品预览URL");
	define("PROD_STOCK_MSG", "库存");
	define("USE_STOCK_MSG", "使用库存水平");
	define("STOCK_QUANTITY_MSG", "库存数量");
	define("HIDE_OUT_STOCK_MSG", "隐藏产品时，它的股票");
	define("HIDE_OUT_STOCK_DESC", "不显示产品如果是在网上脱销");
	define("DISABLE_OUT_STOCK_MSG", "禁用限制产品");
	define("DISABLE_OUT_STOCK_DESC", "禁用的<b>的{ADD_TO_CART_MSG}</ b>\"的按钮，如果产品缺货");
	define("IN_STOCK_AVAILABILITY_MSG", "在存货");
	define("IN_STOCK_AVAILABILITY_DESC", "通常它的时间将产品运送时，它是股票或者如果库存水平是无限的");
	define("OUT_STOCK_AVAILABILITY_MSG", "缺货中有无现货");
	define("OUT_STOCK_AVAILABILITY_DESC", "通常它的时间将产品运送时，它是脱销");
	define("SHIPPING_RESTRICTIONS_MSG", "发货限制");
	define("PROD_OFFER_ACTIVATE_MSG", "本产品特别优惠部分");
	define("PROD_RATING_MSG", "产品评价");
	define("PROD_DIRECT_LINK_MSG", "直接链接到购买产品");
	define("PRODUCTS_REPORT_MSG", "产品报告");
	define("MERCHANT_SALES_MSG", "商家销售");
	define("MERCHANT_SALES_DESC", "本节可以看到您所提交的产品的销售清单。在这里，您也可以检查产生的佣金总额。");
	define("AFFILIATE_SALES_MSG", "加盟销售");
	define("AFFILIATE_SALES_DESC", "请点击这里查看列表中的所有销售属于我们的帐户。另外在这里你可以查看所产生的佣金总额。");
	define("COMMISSION_PAYMENTS_MSG", "佣金支付");
	define("COMMISSION_PAYMENTS_DESC", "请访问本节安排您收到的佣金支付。");
	define("PAYMENT_NAME_COLUMN", "付款方式名称");
	define("PAYMENT_TOTAL_COLUMN", "总数");
	define("PAYMENT_DATE_COLUMN", "付款日期");
	define("NO_COMMISSION_PAYMENTS_MSG", "支付佣金");
	define("COMMISSIONS_MSG", "委员会");
	define("COMMISSION_AMOUNT_COLUMN", "佣金数额");
	define("COMMISSION_DATE_COLUMN", "委员会");
	define("NO_COMMISSIONS_MSG", "没有发现任何佣金");
	define("AFFILIATE_MSG", "联盟");
	define("MERCHANT_MSG", "商人");
	define("CONTACT_MERCHANT_TITLE", "联系商家");
	define("PROD_SORT_BY_MSG", "排序方式：");
	define("PROD_SORT_DEFAULT_MSG", "預設值");
	define("PROD_SORT_MANUFACTURER_MSG", "製造商");
	define("PROD_SORT_CODE_MSG", "代碼");
	define("PROD_MOST_POPULAR_MSG", "最热门");
	define("PROD_FIELDS_TAB", "字段");
	define("PROD_TERMS_TAB", "条款");
	define("PROD_SHOW_TERMS_MSG", "显示条款及条件");
	define("PROD_SHOW_TERMS_DESC", "要提交该产品的用户，阅读并同意我们的条款和条件");
	define("PROD_TERMS_USER_ERROR", "要提交的产品，一定要仔细阅读并同意我们的条款和条件");
	define("MERCHANT_PRODUCTS_LIMIT_MSG", "产品数量可以添加商人");
	define("MERCHANT_PRODUCTS_LIMIT_DESC", "离开这一领域的空白，如果你不想限制数量的产品，商家可以发布");
	define("MERCHANT_PRODUCTS_LIMIT_ERROR", "很抱歉，但你可以添加以上{products_limit}产品。");
	define("FEES_COMMISSIONS_MSG", "费用和佣金");
	define("DISCOUNTS_FEES_COMMISSIONS_MSG", "折扣，费用，佣金");
	define("DISCOUNT_MSG", "折扣");
	define("MERCHANT_FEE_MSG", "商人费");
	define("AFFILIATE_COMMISSION_MSG", "联盟委员会");
	define("NO_OPTIONS_AVAILABLE_MSG", "任何购股权或组件");
	define("OPTION_MSG", "选项");
	define("SUBCOMPONENT_MSG", "子元件");
	define("SUBCOMPONENT_SELECTION_MSG", "子组件选择");
	define("ADD_SUBCOMPONENT_MSG", "添加的子组件");
	define("ADD_SUBCOMPONENT_SELECTION_MSG", "添加子组件选择");
	define("EDIT_OPTION_MSG", "编辑选项");
	define("OPTION_ORDER_MSG", "期权交易");
	define("OPTION_NAME_MSG", "选项名称");
	define("OPTION_HINT_MSG", "Option Hint");
	define("OPTION_HINT_DESC", "shown instead of Option Name");
	define("OPTION_CONTROL_MSG", "选项控制");
	define("CONTROL_TYPE_USE_DESC", "对于<b>的复选框列表</ B>，<B>列表框</ B>和<b>单选按钮</ B>在下面的行中，你需要增加它的价值。");
	define("OPTION_TEXT_MSG", "选项文字");
	define("OPTION_STYLE_MSG", "期权型");
	define("OPTION_STYLE_NOTE", "使用CSS来改变选项块布局");
	define("SHOW_OPTION_MSG", "显示属性");
	define("OPTION_REQUIRED_MSG", "选项必需");
	define("OPTIONS_APPEARANCE_MSG", "选项​​外观");
	define("CONTROL_STYLE_MSG", "控制方式");
	define("CONTROL_STYLE_NOTE", "使用CSS来改变控件的布局");
	define("BEFORE_TITLE_HTML_MSG", "在标题HTML");
	define("BEFORE_TITLE_HTML_NOTE", "这个HTML选项名称前出现");
	define("BEFORE_TITLE_COMPONENT_NOTE", "这个HTML组件名称前出现");
	define("AFTER_TITLE_HTML_MSG", "标题HTML后");
	define("AFTER_TITLE_HTML_NOTE", "这个HTML选项名称后出现");
	define("AFTER_TITLE_COMPONENT_NOTE", "HTML出现后的组件名称");
	define("BEFORE_CONTROL_HTML_MSG", "在控制HTML");
	define("BEFORE_CONTROL_HTML_NOTE", "这个HTML出现在每个选项的控制");
	define("BEFORE_CONTROL_COMPONENT_NOTE", "HTML出现之前，每个成分控制");
	define("AFTER_CONTROL_HTML_MSG", "后控制HTML");
	define("AFTER_CONTROL_HTML_NOTE", "这个HTML出现在每个选项的控制");
	define("AFTER_CONTROL_COMPONENT_NOTE", "HTML出现后，每个成分控制");
	define("END_HTML_MSG", "结束HTML");
	define("END_HTML_NOTE", "此HTML的选项块的结束出现在");
	define("END_COMPONENT_NOTE", "此HTML出现在组件块的端");
	define("JAVASCRIPT_SETTINGS_MSG", "JavaScript设置");
	define("ONCHANGE_EVENT_MSG", "OnChange事件");
	define("ONCLICK_EVENT_MSG", "OnClick事件");
	define("CONTROL_CODE_MSG", "控制代码");
	define("OPTIONS_VALUES_MSG", "选项值");
	define("DESCRIPTION_AND_CODE_MSG", "说明及代码");
	define("SELLING_MSG", "销售");
	define("PERCENTAGE_MSG", "比率");
	define("OPTION_PERCENTAGE_PRICE_DESC", "设置期权价格的百分比从原来的产品价格");
	define("PERCENTAGE_PRICE_TYPE_MSG", "Percentage Price Type");
	define("FROM_PRODUCT_PRICE_MSG", "from product price");
	define("FROM_OTHER_OPTION_MSG", "from other option");
	define("BUYING_MSG", "购买");
	define("USE_MSG", "使用");
	define("ACTIVATE_STOCK_CONTROL_MSG", "激活库存控制");
	define("ACTIVATE_CONTROL_CHECKBOX_MSG", "选中下面的复选框以激活库存控制这个选项值");
	define("CHECK_STOCK_USE_MSG", "请激活的库存水平\"选项，然后再使用\"隐藏关限制\"选项");
	define("HIDE_MSG", "隐藏");
	define("HIDE_IF_OUT_STOCK_MSG", "隐藏，如果它的股票");
	define("HIDE_OPTION_VALUE_DESC", "选中下面的复选框以隐藏该选项的值，如果它的股票");
	define("PATH_MSG", "路径");
	define("PERIOD_MSG", "期");
	define("STOCK_LEVEL_MSG", "库存水平");
	define("DOWNLOADABLE_OPTIONS_MSG", "可下载的选项");
	define("ADD_MORE_OPTIONS_QST", "添加更多选项值？");
	define("EDIT_SUBCOMP_MSG", "编辑子组件");
	define("SUBCOMP_ID_MSG", "子组件ID");
	define("SUBCOMP_NAME_MSG", "子组件名称");
	define("SUBCOMP_PRICE_MSG", "子组件价格");
	define("SUBCOMP_PRICE_NOTE", "在这里，您可以覆盖基本的产品价格");
	define("OVERRIDE_PRICE_MSG", "自定义价格");
	define("REAL_PRICE_MSG", "房地产价格");
	define("EDIT_SUBCOMP_SELECTION_MSG", "编辑\"选择组件\"");
	define("COMPONENT_ORDER_MSG", "元件订单");
	define("COMPONENT_NAME_MSG", "组件名称");
	define("COMPONENT_CONTROL_MSG", "组件控制");
	define("COMPONENT_CONTROL_DESC", "控制用于指定额外的子");
	define("COMPONENT_STYLE_MSG", "组件式");
	define("USE_CSS_TO_CHANGE_MSG", "使用CSS来改变组件块布局");
	define("SHOW_COMPONENT_MSG", "显示组件");
	define("COMPONENT_REQUIRED_MSG", "组件要求");
	define("COMPONENT_APPEARANCE_MSG", "组件外观");
	define("LIST_OF_SUBCOMPONENTS_MSG", "子组件列表");
	define("ADD_MORE_SUBCOMP_QST", "添加更多的子呢？");
	define("PRODUCT_SELECTION_MSG", "产品选型");
	define("SELECT_PRODUCT_MSG", "选择产品");
	define("PRODUCT_ID_MSG", "产品编号");
	define("POINTS_MSG", "积分");
	define("PROD_PAY_POINTS_MSG", "付点产品（S）");
	define("POINTS_NOT_ALLOWED_MSG", "不允许");
	define("POINTS_ALLOWED_MSG", "合法的");
	define("ONLY_POINTS_ALLOWED_MSG", "只需支付点");
	define("POINTS_PRICE_MSG", "点价格");
	define("POINTS_PRICE_DESC", "离开这一领域的空白，如果你想从一个点的价格来计算一个点的转换率");
	define("POINTS_AMOUNT_MSG", "点额");
	define("REWARD_POINTS_MSG", "积分");
	define("REWARD_POINTS_TYPE_MSG", "奖励积分类型");
	define("REWARD_POINTS_AMOUNT_MSG", "奖励积分额");
	define("PAY_WITH_POINTS_SYSTEM_MSG", "薪酬与计分制");
	define("PERCENT_PER_PROD_FULL_PRICE_MSG", "每个产品/选项售价的百分比");
	define("FIXED_AMOUNT_PER_PROD_MSG", "产品固定金额");
	define("PERCENT_PER_PROD_SELL_PRICE_MSG", "每个产品销售价格的百分比");
	define("PERCENT_PER_PROD_SELL_BUY_MSG", "百分比％（卖出价 - 买入价）");
	define("POINTS_CONVERSION_RATE_MSG", "转化率的钱分");
	define("SHIPPING_PAY_POINTS_MSG", "薪酬与装运点");
	define("ORDER_OPTIONS_PAY_POINTS_MSG", "支付点顺序\"选项（S）");
	define("POINTS_DECIMALS_MSG", "为点的小数数");
	define("ACCUMULATE_POINTS_MSG", "累积积分");
	define("ACCUMULATE_POINTS_FOR_POINTS_MSG", "你想客户所积累点时支付点？");
	define("POINTS_BALANCE_MSG", "积分余额");
	define("POINTS_REMAINING_MSG", "积分剩余的");
	define("POINTS_NEEDED_TOTAL_MSG", "所需的总点数");
	define("POINTS_CHECKBOXES_SELECT_MSG", "使用复选框来选择产品，选择你要付点。");
	define("POINTS_ENOUGH_ERROR", "很抱歉，但你没有足够的点{points_amount}支付您的订单。");
	define("CREDIT_BALANCE_MSG", "贷方余额");
	define("REWARDS_MSG", "奖励");
	define("REWARD_CREDITS_MSG", "积分奖励");
	define("REWARD_CREDITS_TYPE_MSG", "积分奖励类型");
	define("REWARD_CREDITS_AMOUNT_MSG", "积分奖励金额");
	define("REWARD_CREDITS_TOTAL_MSG", "总积分奖励");
	define("PRODUCT_REWARDS_MSG", "产品奖励");
	define("POINTS_AND_CREDITS_MSG", "积分与积分");
	define("CREDITS_MSG", "积分");
	define("DISCOUNT_PRICE_TYPE_MSG", "折扣价格类型");
	define("PARENT_OPTION_MSG", "母公司股权");
	define("PARENT_OPTION_DESC", "父选项被选中，显示当前选项");
	define("PARENT_OPTION_VALUE_MSG", "父选项值");
	define("PARENT_OPTION_VALUE_DESC", "父选项值被选中，显示当前选项");
	define("PARENT_COMPONENT_SELECTION_MSG", "父组件的选择");
	define("PARENT_COMPONENT_MSG", "父组件");
	define("ASSIGN_OPTION_MSG", "指定选项");
	define("ASSIGN_COMPONENT_MSG", "分配组件");
	define("ONLY_FOR_LABEL_MSG", "，只有为<b>的标签控制</ B>");
	define("AUTO_ADD_TO_ALL_PRODS_MSG", "自动添加的所有产品");
	define("SELECT_OPTION_AND_VALUES_MSG", "允许您选择此选项，选项的值分别为每个产品");
	define("SELECT_OPTION_ALL_VALUES_MSG", "允许您选择此选项，每个产品的所有值分别");
	define("SINGLE_TOTAL_PRICE_MSG", "单总价格");
	define("FOR_SPECIFIED_CONTOL_MSG", "对于指定的控制类型");
	define("FOR_SPECIFIED_LETTER_MSG", "对于指定的信");
	define("FOR_SPECIFIED_NONSPACE_MSG", "对于指定的非空间信");
	define("SUMMARY_DISCOUNT_MSG", "摘要折扣");
	define("FREE_CHARGE_CONTROLS_MSG", "免费的充电控制类型");
	define("FREE_CHARGE_LETTERS_MSG", "免费收费字母");
	define("FREE_CHARGE_NONSPACE_MSG", "免费收取非空间字母");
	define("MAX_LETTERS_ALL_CONTROLS_MSG", "最大数量的字母为所有类型的控件");
	define("MAX_LETTERS_EACH_CONTROL_MSG", "每个控件类型的最大数量的字母每");
	define("MAX_NONSPACE_ALL_CONTROLS_MSG", "所有类型的控件的最大数量的非空间的信件");
	define("MAX_NONSPACE_EACH_CONTROL_MSG", "每个控件类型的非空信元的最大数量");
	define("MAX_LIMIT_MSG", "最高赔偿额");
	define("MAX_LIMIT_TYPE_MSG", "最大限制类型");
	define("MAX_LIMIT_LENGTH_MSG", "最大极限长度");
	define("SELLING_PRICE_MSG", "售价");
	define("TRADE_SELLING_PRICE_MSG", "贸易销售价格");
	define("PERCENTAGE_PRICE_MSG", "百分比价格");
	define("PRODUCT_ID_NO_LONGER_EXISTS_MSG", "产品与\"ID\"<B>\"{item_id}</ B>\"不再存在于数据库中");
	define("PROD_TYPE_ID_NO_LONGER_EXISTS_MSG", "产品类型与ID的<b>的{item_type_id}</ B>\"不再存在于数据库中");
	define("STOCK_AND_SHIPPING_MSG", "股票及运输");
	define("IMAGES_AND_APPEARANCE_MSG", "图像和外观");
	define("MINIMUM_ITEMS_QTY_MSG", "最低数量");
	define("MAXIMUM_ITEMS_QTY_MSG", "最大数量");
	define("MINIMUM_ITEMS_QTY_NOTE", "允许的最小数量的项目购买");
	define("MAXIMUM_ITEMS_QTY_NOTE", "允许的最大数量，以购买的商品");
	define("QTY_INCREMENT_MSG", "数量增");
	define("ALLOWED_QUANTITIES_MSG", "宠物数量");
	define("ALLOWED_QUANTITIES_NOTE", "项目由逗号分隔的用户可以添加到购物车");
	define("FREE_SHIPPING_MSG", "免费送货");
	define("FREE_SHIPPING_DESC", "此选项不包括任何该产品的运输成本，其重量");
	define("HAS_BEEN_SUCCESSFULLY_COPIED_MSG", "已成功复制到以下产品：");
	define("ALREADY_COPIED_MSG", "已经复制到以下产品：");
	define("ALLOW_PRODUCT_COMPARISON_MSG", "让产品比较");
	define("FULL_DESCRIPTION_TYPE_MSG", "完整说明类型");
	define("IS_SPECIAL_OFFER_MSG", "特别优惠");
	define("HIDE_BUTTON_PROD_LIST_MSG", "隐藏添加到购物车\"按钮，在产品列表页面");
	define("HIDE_BUTTON_PROD_DETAILS_MSG", "产品详细信息隐藏添加到购物车\"按钮");
	define("HIDE_OFF_LIMITS_PRODUCTS_MSG", "隐藏限制产品");
	define("IS_DOWNLOADABLE_MSG", "可下载");
	define("DIRECT_BUY_LINK_MSG", "直接购买链接");
	define("SHIPPING_COST_MSG", "运费");
	define("SELECT_ONE_PRODUCT_MSG", "请选择至少一个产品。");
	define("SELECT_ONE_PRODUCT_TYPE_MSG", "请选择至少一个产品类型。");
	define("ADD_COMPONENTS_TO_PRODUCTS_MSG", "组件添加到其他产品");
	define("ADD_COMPONENTS_TO_PRODUCT_TYPES_MSG", "将组件添加到其他产品类型");
	define("COPY_COMPONENTS_TO_PRODUCTS_MSG", "将组件复制到选定的产品");
	define("COPY_COMPONENTS_TO_PRODUCT_TYPES_MSG", "将组件复制到选定的产品类型");
	define("SUCCESSFULLY_COPIED_TO_PRODUCT_TYPES_MSG", "已成功复制到以下产品类型：");
	define("ALREADY_COPIED_TO_PRODUCT_TYPES_MSG", "已经复制到以下产品类型：");
	define("CHOOSE_OPTIONS_MSG", "选择选项");
	define("EDIT_OPTIONS_MSG", "编辑选项");
	define("UPDATE_OPTIONS_MSG", "更新选项");
	define("PRODUCT_TABS_MSG", "Product Tabs");
	define("CUSTOM_TABS_MSG", "Custom Tabs");

	define("CART_TOTAL_MSG", "总订单成本");
	define("CONTINUE_SHOPPING_MSG", "继续购物");
	define("REMOVE_FROM_CART_MSG", "清除");
	define("EMPTY_CART_MSG", "您的购物车是空的！");
	define("CLEAR_CART_MSG", "清除购物车");
	define("PRE_ORDER_MSG", "预购");
	define("BUY_NOW_MSG", "Buy Now");
	define("ADD_TO_CART_MSG", "添加到购物车");
	define("ADD_TO_WISHLIST_MSG", "加入收藏");
	define("VIEW_CART_MSG", "查看购物车");
	define("AMEND_CART_MSG", "修改购物车");
	define("MULTI_ADD_MSG", "多添加");
	define("MULTI_ADD_DESC", "一次添加一个多产品");
	define("MY_SAVED_CARTS_MSG", "我已保存购物车");
	define("MY_SAVED_CARTS_DESC", "在这里，您可以查看/获取保存在过去的篮子。");
	define("NO_CARTS_MSG", "没有发现任何推车");
	define("SAVE_CART_TITLE", "保存你的购物车");
	define("SAVE_CART_BUTTON", "保存购物车");
	define("SAVE_CART_INFO_MSG", "您可以保存您当前的购物车，在任何时候和检索。请输入购物车的名称，然后按\"保存购物车\"按钮。我们会为您提供一个独特的购物车号码，您可以使用与车名中检索您的购物车内容。如果你是注册用户，您可以检索您的购物车内容从您的主页。");
	define("SAVE_CART_EMAIL_NOTE", "请输入您的电子邮件地址收到一份已保存的购物车的购物车号码和车名。");
	define("CART_NO_FIELD", "购物车号码");
	define("CART_NAME_FIELD", "车名");
	define("CART_SAVED_DATE_COLUMN", "保存日期");
	define("CART_TOTAL_COLUMN", "车总");
	define("CART_SAVED_MSG", "您的购物车已保存。您的购物车号码是<b> cart_id}</ b>。");
	define("RETRIEVE_CART_TITLE", "找回你的购物车");
	define("RETRIEVE_CART_BUTTON", "检索的购物车");
	define("RETRIEVE_CART_INFO_MSG", "请输入您的购物车的数量和车名来检索以前保存的购物车。");
	define("RETRIEVE_CART_NOTE_MSG", "请注意，检索的购物车将覆盖您目前的购物车。如果你做任何改变这车一旦加载，请确保您再次保存它。");
	define("CART_RETRIEVED_MSG", "您的购物车已经被找回。");
	define("RETRIEVE_CART_ERROR", "我们无法检索您的购物车。 <br>请检查您所输入的信息正确，然后再试一次。");
	define("PROD_NOT_AVAILABLE_ERROR", "目前这款产品在店里不再提供。");
	define("PROD_OPTIONS_MISSED_ERROR", "本产品的某些选项被错过了。请在产品页面选择。");
	define("PROD_PRICE_CHANGED_MSG", "产品价格变化");

	define("GOTO_CHECKOUT_MSG", "退房");
	define("CHECKOUT_WITHOUT_MSG", "结帐，而无需创建帐户");
	define("OPEN_AND_CHECKOUT_MSG", "开立帐户，并检查了");
	define("REMOVE_FROM_CART_JS", "你确定要删除此{item_type}从您的购物车吗？");
	define("CLEAR_CART_JS", "你确定你想从您的购物车中删除所有的产品吗？");
	define("CART_QTY_ZERO_JS", "您将要更改数量\"的{old_quantity}''0'。\\ n这将删除\"{product_name}'从您的购物车。\\ n继续吗？");
	define("ALTER_CART_QTY_JS", "您将要更改数量的\\ n\"{product_name}\"{old_quantity}\"到\"的{new_quantity}'\\ n继续吗？");
	define("ADD_PRODUCT_MSG", "该产品添加到您的购物车？");
	define("PRODUCT_OUT_STOCK_MSG", "很抱歉，但你可以不买这个产品，因为它是目前缺货。");
	define("REQUIRED_PROPERTY_MSG", "请注明的{property_name}{product_name}。");
	define("PRODUCT_LIMIT_MSG", "您可以添加多{limit_quantity}{product_name}的项目。");
	define("PRODUCT_MIN_LIMIT_MSG", "您不能添加小于{limit_quantity}{product_name}的项目。");
	define("PRODUCT_QUANTITY_ERROR", "您不能添加{数量}{product_name}的项目。");
	define("PRODUCT_ALLOWED_QUANTITIES_MSG", "此产品允许的数量是：{quantities_list}");
	define("ADDED_PRODUCT_MSG", "{product_name}添加到您的购物车中。");
	define("ADDED_TO_WISHLIST_MSG", "{product_name}已添加到您的收藏夹。");
	define("REQUIRED_DELIVERY_MSG", "请选择提供方法。");
	define("PROD_RESTRICTED_DELIVERY_MSG", "{product_name}不能交付到{country_name}。");
	define("NO_PRODUCT_MSG", "这个ID是不可用的产品在这个类别");
	define("NO_PRODUCTS_MSG", "没有发现产品");
	define("NO_PRODUCTS_MATCH_MSG", "没有发现产品符合给定标准");
	define("FOUND_PRODUCTS_MSG", "我们发现<b> {found_records} </ b>产品匹配项（s）\"<b> {search_string} </ b>");
	define("PROD_DOWNLOAD_MSG", "下载");
	define("PROD_VER_MSG", "ver.");
	define("PROD_RELEASES_MSG", "{product_name}发布");
	define("PROD_CHANGES_LOG_MSG", "{product_name}登录");
	define("CHANGES_LOG_MSG", "更新日志");
	define("ALL_PRODUCTS_MSG", "所有产品");
	define("ALL_PROD_RELEASES_MSG", "所有版本");
	define("NO_PROD_RELEASES_MSG", "没有可用的版本");
	define("NO_RELEASE_CHANGES_MSG", "修改");
	define("SERIAL_NUMBER_MSG", "S/N");
	define("RECURRING_OPTIONS_MSG", "经常性选项");
	define("RECURRING_ACTIVATE_MSG", "启动定期付款");
	define("RECURRING_PERIOD_MSG", "经常时期");
	define("RECURRING_INTERVAL_MSG", "周期性间隔");
	define("RECURRING_INTERVAL_DESC", "这是的计费周期的长度。");
	define("RECURRING_PAYMENTS_TOTAL_MSG", "支付总计");
	define("RECURRING_PAYMENTS_TOTAL_DESC", "作出的付款总数");
	define("RECURRING_PAYMENTS_MADE_MSG", "支付的款项");
	define("RECURRING_PAYMENTS_FAILED_MSG", "付款失败");
	define("RECURRING_START_DATE_MSG", "付款开始日期");
	define("RECURRING_START_DATE_DESC", "定期付款的开始日期是经常性收支将开始");
	define("RECURRING_END_DATE_MSG", "付款结束日期");
	define("RECURRING_END_DATE_DESC", "定期付款结束日期是经常性的支付将被取消");
	define("RECURRING_LAST_PAYMENT_MSG", "最后付款日期");
	define("RECURRING_PLAN_PAYMENT_MSG", "计划付款日期");
	define("RECURRING_NEXT_PAYMENT_MSG", "下一个付款日期");
	define("RECURRING_METHOD_MSG", "经常性的方法");
	define("RECURRING_NOT_ALLOWED_MSG", "不允许");
	define("RECURRING_NOT_ALLOWED_ERROR", "定期付款的产品是不允许的\"的{payment_name}'付款方式。请选择不同的付款方式。");
	define("RECURRING_AUTO_CREATE_MSG", "自动创建为了下一次付款");
	define("RECURRING_AUTO_BILL_MSG", "自动创建和比尔经常性订单");
	define("RECURRING_SHIPPING_MSG", "适用于运输的经常性收支");
	define("RECURRING_PROCEED_CURRENT_MSG", "进行当前的经常性订单");
	define("SUBSCRIPTION_MSG", "订阅");
	define("SUBSCRIPTION_OPTIONS_MSG", "订阅选项");
	define("SUBSCRIPTION_ACTIVATE_MSG", "激活订阅");
	define("SUBSCRIPTION_RECURRING_MSG", "激活本次认购的经常性支付的");
	define("SUBSCRIPTION_NAME_MSG", "认购名称");
	define("SUBSCRIPTION_FEE_MSG", "认购费用");
	define("SUBSCRIPTION_PERIOD_MSG", "认购期");
	define("SUBSCRIPTION_INTERVAL_MSG", "认购间隔");
	define("SUBSCRIPTION_INTERVAL_DESC", "这是订阅周期的长度。");
	define("SUBSCRIPTION_SUSPEND_MSG", "认购暂停");
	define("SUBSCRIPTION_SUSPEND_DESC", "所有客户的活动时，被暂停的天数");
	define("SUBSCRIPTION_CANCEL_MSG", "取消订阅");
	define("SUBSCRIPTION_REWARDS_MSG", "认购奖励");
	define("SUBSCRIPTION_FEE_PERCENTAGE_MSG", "订阅费用的百分比");
	define("SUBSCRIPTION_FIXED_AMOUNT_MSG", "固定金额订阅");
	define("CONFIRM_SUBSCRIPTION_MSG", "本次认购添加到您的购物车？");
	define("ADDED_SUBSCRIPTION_MSG", "{subscription_name}添加到您的购物车中。");
	define("SELECT_SUBSCRIPTION_MSG", "请选择订阅添加到您的购物车。");
	define("NO_ACTIVE_PS_MSG", "很抱歉，但没有活跃的支付系统。");
	define("ORDER_STATUS_MSG", "我的订单状态");
	define("SELECT_ORDER_STATUS_MSG", "选择订单状态");
	define("PRODUCT_STATUS_MSG", "产品状态");
	define("SELECT_PRODUCT_STATUS_MSG", "选择产品状态");

	define("WISHLIST_PRODUCTS_MSG", "愿望清单产品");
	define("WISHLIST_NOT_EXISTS_MSG", "不存在您所请求的愿望清单。");
	define("WISHLIST_BOUGHT_MSG", "买");
	define("WISHLIST_WANTS_MSG", "想要");
	define("WISHLIST_HAS_MSG", "有");
	define("FIND_FRIEND_WISHLIST_MSG", "一个朋友的愿望清单");
	define("FIND_WISHLIST_BUTTON", "查找愿望清单");
	define("FIND_WISHLIST_DESC", "如果你想查看一个属于给朋友或家庭成员的愿望清单，也许是为了购买礼物送给他们，请输入他们的电子邮件地址。");
	define("CONFIRM_WISHLIST_DELETE_MSG", "你确定要删除此愿望清单项目？");

	define("COUPON_MSG", "优惠券");
	define("COUPON_NOT_FOUND_MSG", "这个代码没有优惠券被发现。");
	define("COUPON_NON_ACTIVE_MSG", "此券不活跃。");
	define("COUPON_USED_MSG", "此优惠券已被使用。");
	define("COUPON_EXPIRED_MSG", "此优惠券已过期。");
	define("COUPON_EXCLUSIVE_MSG", "此优惠券不能使用的优惠券已经应用。");
	define("COUPON_APPLIED_MSG", "此优惠券已经得到了应用。");
	define("COUPON_PRODUCTS_MSG", "很抱歉，此优惠券不能使用您的购物车中的产品。");
	define("COUPON_ORDER_AMOUNT_MSG", "很抱歉，此优惠券不能用于您当前的购买。此优惠券<BR>最低金额为是{minimum_amount的}");
	define("COUPON_PROD_PRICE_MSG", "很抱歉，此优惠券不能用于您的产品。此优惠券<BR>最低的产品价格是{minimum_amount的}");
	define("COUPON_REMOVE_MSG", "删除优惠券");
	define("COUPON_CODE_FIELD", "优惠券");
	define("COUPON_UPCOMING_MSG", "此优惠券不能使用。");
	define("COUPON_CANT_BE_USED_MSG", "你不能使用此优惠券。");
	define("COUPON_CAN_BE_USED_ONCE_MSG", "此券只能使用一次注册用户。");
	define("COUPON_SAME_USE_LIMIT_MSG", "此优惠券只可用于{use_limit}次，注册用户。");
	define("COUPON_ADDED_MSG", "优惠券已成功添加到购物车。");
	define("COUPON_MIN_QTY_ERROR", "很抱歉，此优惠券不能用于您当前的购买。此优惠券是<BR>最小起订量{min_quantity}。");
	define("COUPON_MAX_QTY_ERROR", "很抱歉，此优惠券不能用于您当前的购买。此优惠券<BR>的最大数量为{max_quantity}。");
	define("COUPON_CANT_BE_APPLIED_ERROR", "很抱歉，但此优惠券不能适用于您的目前申购。");
	define("MIN_CART_COST_ERROR", "此优惠券的最低购物车数量是{cart_amount的}");
	define("MAX_CART_COST_ERROR", "该优惠券的最大购物车数量是{cart_amount的}");
	define("FRIEND_AFFILIATE_FORM_MSG", "Friend / Affiliate Form");
	define("FRIEND_AFFILIATE_FORM_DESC", "Please enter in the field below your friend's nickname or affiliate code and press '{APPLY_BUTTON}'.");
	define("NO_USERS_MSG", "没有发现任何使用者");
	define("FRIEND_FOUND_MSG", "We've found your friend.");
	define("AFFILIATE_FOUND_MSG", "Your affiliate code was accepted.");

	define("CC_NAME_FIELD", "持卡人姓名");
	define("CC_NAME_DESC", "因为它似乎在卡上");
	define("CC_FIRST_NAME_FIELD", "名字");
	define("CC_LAST_NAME_FIELD", "姓");
	define("CC_NUMBER_FIELD", "身份证号码");
	define("CC_NUMBER_ERROR_MSG", "很抱歉，似乎有一个问题与您的信用卡号码 - 请检查并再试一次。");
	define("CC_NUMBER_ALLOWED_MSG", "很抱歉，但这张信用卡号码不允许此款项。");
	define("CC_START_DATE_FIELD", "开始日期");
	define("CC_EXPIRY_DATE_FIELD", "失效日期");
	define("CC_TYPE_FIELD", "卡类型");
	define("CC_ISSUE_NUMBER_FIELD", "发行编号");
	define("CC_ISSUE_NUMBER_DESC", "开关和单独的卡只");
	define("CC_SECURITY_CODE_FIELD", "验证码");
	define("CC_SECURITY_CODE_HELP_MSG", "帮助？");
	define("CC_SECURITY_CODE_TITLE", "验证码？");
	define("CC_SECURITY_CODE_1_DESC", "信用卡安全码是一种独特的三位数字号码印在您的借记卡/信用卡。这个数字是不浮雕卡上的，并没有印在收据上 - 因此很难为持卡人以外的人知道它。有些发卡机构是指这个数字，\"信用卡安全码\"其他人的人身安全守则\"和\"信用卡验证值\"。");
	define("CC_SECURITY_CODE_2_DESC", "大多数卡，有一个三位数的数字，在该卡上的反向的签名条的顶部印刷。");
	define("PAY_WITHOUT_CC_MSG", "如果你不想用信用卡支付的，在这里打勾");
	define("PAY_WITHOUT_CC_FIELD", "其他付款信息");
	define("PAY_WITHOUT_CC_DESC", "告诉我们您想为您的货物支付");

	define("ORDER_NUMBER_COLUMN", "没有");
	define("ORDER_ADDED_COLUMN", "下订单");
	define("ORDER_TOTAL_COLUMN", "总");
	define("ORDER_NUMBER_MSG", "订单号");
	define("PARENT_ORDER_NUMBER_MSG", "家长订单号");
	define("ORDER_DATE_MSG", "订购日期");
	define("ORDER_TOTAL_MSG", "总");
	define("INVOICE_MSG", "单据");
	define("INVOICE_NUMBER_MSG", "发票号码");
	define("INVOICE_DATE_MSG", "发票日期");
	define("INVOICE_TO_MSG", "发票到");
	define("ORIGINAL_COPY_MSG", "原稿复印");
	define("COPY_NUMBER_MSG", "副本＃{copy_number}");
	define("CREDIT_NOTE_MSG", "贷项通知单");
	define("CREDIT_NUMBER_MSG", "信用证号");
	define("CREDIT_DATE_MSG", "信贷日期");
	define("CREDIT_TO_MSG", "信贷");
	define("DELIVERY_TO_MSG", "送货到");
	define("PAYMENT_GATEWAY_MSG", "支付网关");
	define("SELECT_PAYMENT_MSG", "请选择喜欢的支付网关");
	define("GOTO_PAYMENT_MSG", "现在，你将被重定向为{payment_system}。如果没有反应，请点击\"{button_name}\"按钮继续。");
	define("MY_ORDERS_MSG", "我的订单");
	define("MY_ORDERS_DESC", "一旦你把你订购我们的产品，您将能够跟踪您的订单状态，查看你的订单的详细信息。");
	define("MY_SALES_ORDERS_MSG", "我的销售订单");
	define("MY_SALES_ORDERS_DESC", "允许跟踪您的商家销售订单");
	define("PURCHASED_ORDERS_MSG", "购买订单");
	define("NO_ORDERS_MSG", "没有发现任何订单");
	define("NO_ORDERS_MATCH_MSG", "没有订单找到符合给定的条件");
	define("VIEW_ORDER_DETAILS_MSG", "查看详细信息");
	define("ORDER_DETAILS_MSG", "订单详细信息");
	define("PAYMENT_DETAILS_MSG", "付款方式");
	define("CHECKOUT_SUCCESS_TITLE", "您的订单已成功提交！");
	define("CHECKOUT_SUCCESS_MSG", "感谢您的订单。您的参考编号是{order_id}！");
	define("CHECKOUT_PENDING_TITLE", "您的订单正在等待…");
	define("CHECKOUT_PENDING_MSG", "您的交易没有完成，目前正在等待审批。");
	define("CHECKOUT_ERROR_TITLE", "命令错误");
	define("CHECKOUT_ERROR_MSG", "处理您的订单时发生错误。为您带来任何不便，我们很抱歉。");
	define("ORDER_CODE_ERROR", "验证参数有错误的值。");
	define("ORDER_PLACED_ERROR", "<b>訂單</b> 已送出");
	define("ORDER_EXISTS_ERROR", "这样的<B>订购</ B>不存在。");
	define("ORDER_NOTES_MSG", "订购注意事项");
	define("ORDER_NOTE_MSG", "订货注意事项");
	define("CANCEL_ORDER_MSG", "取消订单");
	define("CANCEL_ORDER_CONFIRM_MSG", "您确定要取消该订单吗？");
	define("GROSS_SALES_MSG", "销售总额");
	define("FEES_MSG", "费用");
	define("NET_SALES_MSG", "营业收入净额");
	define("ITEMS_NUMBER_COLUMN", "＃项目");
	define("AVERAGE_PRICE_COLUMN", "平均价格");
	define("PAID_STATUS_MSG", "有偿状态");
	define("PAID_MSG", "缴款");
	define("NOT_PAID_MSG", "未支付");
	define("PAY_FOR_YOUR_ORDER_MSG", "支付您的订单");
	define("REORDER_MSG", "重新排序");
	define("ORDER_MIN_PRODUCTS_COST_FIELD", "每个订单的成本最低的产品");
	define("ORDER_MAX_PRODUCTS_COST_FIELD", "最高每个订单的产品成本");
	define("ORDER_MIN_WEIGHT_FIELD", "最小订货量体重");
	define("ORDER_MAX_WEIGHT_FIELD", "最大阶数重量");
	define("ORDER_MIN_PRODUCTS_COST_ERROR", "每一个订单的产品的总成本也不能少比{min_cost}。");
	define("ORDER_MAX_PRODUCTS_COST_ERROR", "每一个订单的产品的总成本应不超过{max_cost}。");
	define("ORDER_MIN_WEIGHT_ERROR", "产品的每一个订单的总重量也不能少{min_weight}。");
	define("ORDER_MAX_WEIGHT_ERROR", "每一个订单的产品的总重量计不应该超过{max_weight}。");
	define("PURCHASED_PRODUCT_ERROR", "对不起，你已经购买了\"{product_name}的产品，你不能购回。");
	define("PURCHASED_PRODUCT_DAYS_ERROR", "对不起，你已经购买了\"{product_name}的产品，你不得购回其{days_number}天之内。");
	define("PREVENT_REPURCHASE_MSG", "防止回购");
	define("PREVENT_PRODUCT_REPURCHASE_MSG", "以上指定的期限内一次购回同样的产品，防止客户。");
	define("REPURCHASE_PERIOD_MSG", "回购期");
	define("REPURCHASE_PERIOD_DESC", "离开这一领域的空白，如果你想阻止客户购回同样的产品");
	define("MANUFACTURER_CODE_MSG", "制造商代码");
	define("SHOW_MANUFACTURER_CODE_MSG", "显示制造商代码");
	define("APPROPRIATE_CODE_ERROR_MSG", "无法找到合适的顺序");
	define("APPROPRIATE_LIBRARY_ERROR_MSG", "找不到合适的PHP库");
	define("LINKS_SENT_MSG", "链接发送");
	define("LINKS_FOR_ORDER_MSG", "友情链接查询您的订单＃");
	define("SERIAL_NUMBERS_FOR_ORDER_MSG", "序列号查询您的订单＃");
	define("SERIAL_NUMBERS_SENT_MSG", "发送的序列号");
	define("NO_SERIAL_NUMBERS_MSG", "没有系列号");
	define("ADD_GIFT_VOUCHER_MSG", "礼券");
	define("GIFT_VOUCHERS_MSG", "礼券");
	define("EDIT_GIFT_VOUCHER_MSG", "编辑礼券");
	define("GIFT_VOUCHERS_FOR_ORDERS_MSG", "您的订单礼券＃");
	define("GIFT_VOUCHERS_SENT_MSG", "发送礼券");
	define("CREDIT_AMOUNT_MSG", "信用额度");
	define("SUBSTRACT_CREDIT_AMOUNT_MSG", "信用额度减去从用户平衡");
	define("ADD_CREDIT_AMOUNT_MSG", "新增信贷总量用户平衡");
	define("CREDIT_ACTION_MSG", "信用行为");
	define("PACKING_SLIP_NO_MSG", "装箱单没有：");
	define("REGISTER_PRODUCT_MSG", "注册产品");
	define("MY_PRODUCT_REGISTRATIONS_MSG", "我已注册的产品");
	define("MY_PRODUCT_REGISTRATIONS_DESC", " ");
	define("REGISTER_MORE_PRODUCTS_MSG", "注册更多产品");
	define("REGISTRATION_NUMBER_MSG", "注册号");
	define("NO_PRODUCT_REGISTRATIONS_MSG", "没有产品注册");
	define("REGISTRATION_PROD_CODE_COLUMN", "码");
	define("REGISTRATION_TOTAL_COLUMN", "总");
	define("REGISTRATION_PROD_TITLE_COLUMN", "标题");
	define("PRODUCT_REGISTRATION_MSG", "注册");
	define("PRODUCT_REGISTRATION_SETTINGS_MSG", "产品注册设置");
	define("VIEW_REGISTERED_PRODUCTS_MSG", "查看已注册的产品");
	define("EDIT_REGISTERED_PRODUCTS_MSG", "编辑注册产品");
	define("EDIT_REGISTRATION_CATEGORIES_MSG", "编辑登记注册类型分");
	define("EDIT_REGISTRATION_PRODUCTS_MSG", "编辑产品注册");
	define("OPTIONS_TRADE_PRICE_MSG", "期权交易价格");
	define("DEFAULT_LARGE_IMAGE_DESC", "如果产品没有大的图像");
	define("DEFAULT_LARGE_IMAGE_MSG", "默认大图");
	define("LATEST_ADDED_PRODUCTS_REGISTRATIONS_MSG", "最新添加的注册");
	define("LATEST_MODIFIED_PRODUCTS_REGISTRATIONS_MSG", "最新修改注册");
	define("LATEST_ADDED_REGISTRATION_PRODUCTS_MSG", "最新添加的注册产品");
	define("LATEST_MODIFIED_REGISTRATION_PRODUCTS_MSG", "最新修改注册产品");
	define("REGISTRATION_PRODUCTS_MSG", "注册产品");
	define("NO_REGISTRATION_PRODUCTS_MSG", "暂无产品注册");
	define("BY_REGISTRATION_NUMBER_MSG", "按登记注册号码");
	define("BY_PRODUCT_ID_MSG", "按产品ID");
	define("SEARCH_REGISTRATIONS_MSG", "搜索注册");
	define("SELECT_REGISTRATIONS_NOTE", "选择注册");
	define("REMOVE_SELECTED_REGISTRATIONS_QST", "删除所选的注册");
	define("EDIT_REGISTRATION_CATEGORY_MSG", "编辑注册类别");
	define("EDIT_PRODUCT_REGISTRATION_MSG", "编辑注册");
	define("IM_DONE_REGISTERING_MSG", "我所做的一切注册");
	define("PRODUCT_REGISTRATION_PLACED_EMAIL_MSG", "放置电子邮件");
	define("PRODUCT_REGISTRATION_APPROVED_EMAIL_MSG", "批准的电子邮件");
	define("PRODUCT_REGISTRATION_DECLINED_EMAIL_MSG", "拒收电子邮件");
	define("STORE_NAME_FORM_MSG", "购买（店铺名称）");
	define("PREDEFINED_ORDER_EMAIL_MSG", "预定义的顺序电子邮件");
	define("DATE_OF_PURCHASE_MSG", "购买日期");
	define("STORE_NAME_MSG", "店铺名称");
	define("NO_PRODUCTS_IN_CATEGORY_MSG", "在选定的类别中没有产品。请选择另一个。");
	define("REGISTRATION_ID_MSG", "注册ID");
	define("DAY_OF_PURCHASE_MSG", "购买日");
	define("MONTH_OF_PURCHASE_MSG", "月购买");
	define("YEAR_OF_PURCHASE_MSG", "购买年份");
	define("MERCHANT_STATUS_NOTIFY_MSG", "商人（S）发送通知，如果状态应用");
	define("MERCHANT_EMAIL_IF_EMPTY_MSG", "商户电子邮件，如果是空的");
	define("MERCHANT_PRODUCTS_MSG", "Merchant products");
	define("ADMIN_STATUS_NOTIFY_MSG", "发送通知到管理员（S），如果状态应用");
	define("SUPPLIER_NOTIFY_MSG", "供应商的通知");
	define("SUPPLIER_STATUS_NOTIFY_MSG", "发送通知供应商（S），如果状态应用");
	define("SUPPLIER_EMAIL_IF_EMPTY_MSG", "供应商的电子邮件使用，如果是空的");
	define("SUPPLIER_PRODUCTS_MSG", "Supplier products");
	define("AFFILIATE_STATUS_NOTIFY_MSG", "Send notification to affiliate if status applied");
	define("AFFILIATE_EMAIL_IF_EMPTY_MSG", "Affiliate email used if is empty");
	define("AFFILIATE_PRODUCTS_MSG", "Affiliate products");

	define("RECURRING_PRICE_MSG", "经常性价格");
	define("RECURRING_PRICE_DESC", "这笔款项将被添加到所有重复付款");
	define("CART_PRODUCTS_MSG", "购物车产品");
	define("CART_RESTRICTIONS_MSG", "车限制");
	define("CART_QUANTITY_MSG", "购物车数量");
	define("SUBCOMPONENT_ADDED_ONCE_MSG", "子组件指定的数量只加一次");
	define("SUBCOMPONENT_QTY_MULTIPLY_MSG", "子数量乘以母公司产品数量");
	define("CUSTOMERS_LIST_BOUGHT_ITEM_TITLE", "购买此项的客户");

	define("VIEW_MERCHANT_PRODUCTS_MSG", "查看商家的产品");
	define("SHIPPING_CALCULATOR_MSG", "运费计算器");
	define("NO_SHIPPING_METHODS_MSG", "运输方式");
	define("NO_SHIPPING_MSG", "不出货");
	define("CUSTOM_SHIPPING_MSG", "自定义商品");
	define("NEW_SHIPPING_MSG", "New Shipping");
	define("REMOVE_PRODUCT_SHIPPING_MSG", "Would you like to remove {item_name} from this shipping?");

	define("ADD_MORE_COLUMNS_QST", "添加更多的列呢？");
	define("DEFAULT_TABLE_VIEW_MSG", "默认表视图");
	define("OVERRIDE_TABLE_VIEW_MSG", "覆盖表视图");
	define("TABLE_VIEW_TYPE_MSG", "表格视图类型");

	define("PARAMETER_WRONG_VALUE_MSG", "{param_name}参数有错误的值。");
	define("CANNOT_OBTAIN_PARAMETER_MSG", "无法获取{param_name}参数。");
	define("TRANSACTION_DECLINED_MSG", "您的交易被拒绝。");
	define("UNEXPECTED_GATEWAY_RESPONSE_MSG", "从网关意外的响应格式。");
	define("EMPTY_GATEWAY_RESPONSE_MSG", "从网关的空响应。请检查您的设置。");
	define("CURL_INIT_ERROR_MSG", "无法初始化卷曲。");
	define("PROCESSING_TRANSACTION_ERROR_MSG", "发生了一个错误，而处理事务。");
	define("UPS_PARAMETER_REQUIRED_MSG", "UPS模块错误：{param_name}是必需的。");

	define("STATUS_NEW_ORDER_MSG", "新订单");
	define("STATUS_PAYMENT_DATA_MSG", "付款数据");
	define("STATUS_CONFIRMED_MSG", "已确认");
	define("STATUS_PAID_MSG", "缴款");
	define("STATUS_SHIPPED_MSG", "出货");
	define("STATUS_PENDING_MSG", "有待");
	define("STATUS_CLOSED_MSG", "关闭");
	define("STATUS_DECLINED_MSG", "拒收");
	define("STATUS_VALIDATED_MSG", "经过验证");
	define("STATUS_FAILED_MSG", "失败");
	define("STATUS_DISPATCHED_MSG", "调度");
	define("STATUS_CANCELLED_MSG", "注销");
	define("STATUS_REFUNDED_MSG", "退还");
	define("STATUS_CAPTURED_MSG", "拍摄的");
	define("STATUS_VOIDED_MSG", "空心");
	define("STATUS_AUTHORIZED_MSG", "授权");
	define("STATUS_INVOICE_SENT_MSG", "发票已寄出");

?>