<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 4.6.1                                                ***
  ***      File:  support_messages.php                                     ***
  ***      Built: Thu Dec 10 05:08:32 2015                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	// support messages
	define("SUPPORT_TITLE", "支援中心");
	define("SUPPORT_REQUEST_INF_TITLE", "要求資料");
	define("SUPPORT_REPLY_FORM_TITLE", "回覆");
	define("SUPPORT_SHORT_TITLE", "Support");

	define("MY_SUPPORT_ISSUES_MSG", "我的支援要請");
	define("MY_SUPPORT_ISSUES_DESC", "如對任何有關所購的產品有問題,我們的支援中心隨時可提供幫助. 歡迎按此連結送出你的協助要求");
	define("NEW_SUPPORT_REQUEST_MSG", "新請求");
	define("SUPPORT_REQUEST_ADDED_MSG", "多謝<br />支援中心會盡快提供協助");
	define("SUPPORT_SELECT_DEP_MSG", "選擇部門");
	define("SUPPORT_SELECT_PROD_MSG", "選擇產品");
	define("SUPPORT_SELECT_STATUS_MSG", "選擇狀態");
	define("SUPPORT_NOT_VIEWED_MSG", "未閱讀");
	define("SUPPORT_VIEWED_BY_USER_MSG", "用戶已閱讀");
	define("SUPPORT_VIEWED_BY_ADMIN_MSG", "管理員已閱讀");
	define("SUPPORT_STATUS_NEW_MSG", "新");
	define("NO_SUPPORT_REQUEST_MSG", "沒有記錄");

	define("SUPPORT_SUMMARY_COLUMN", "總覽");
	define("SUPPORT_TYPE_COLUMN", "類型");
	define("SUPPORT_UPDATED_COLUMN", "最後更新");

	define("SUPPORT_USER_NAME_FIELD", "你的名稱");
	define("SUPPORT_USER_EMAIL_FIELD", "你的電郵");
	define("SUPPORT_IDENTIFIER_FIELD", "參考 (帳單 #)");
	define("SUPPORT_ENVIRONMENT_FIELD", "產品種類");
	define("SUPPORT_DEPARTMENT_FIELD", "部門");
	define("SUPPORT_PRODUCT_FIELD", "產品");
	define("SUPPORT_TYPE_FIELD", "類型");
	define("SUPPORT_CURRENT_STATUS_FIELD", "現在狀態");
	define("SUPPORT_SUMMARY_FIELD", "一覽");
	define("SUPPORT_DESCRIPTION_FIELD", "說明");
	define("SUPPORT_MESSAGE_FIELD", "訊息");
	define("SUPPORT_ADDED_FIELD", "增加");
	define("SUPPORT_ADDED_BY_FIELD", "新增者");
	define("SUPPORT_UPDATED_FIELD", "最後更新");

	define("SUPPORT_REQUEST_BUTTON", "送出請求");
	                                    
	define("SUPPORT_MISS_ID_ERROR", "Missing <b>Support ID</b> parameter");
	define("SUPPORT_MISS_CODE_ERROR", "Missing <b>Verification</b> parameter");
	define("SUPPORT_WRONG_ID_ERROR", "<b>Support ID</b> parameter has wrong value");
	define("SUPPORT_WRONG_CODE_ERROR", "<b>Verification</b> parameter has wrong value");

	define("MAIL_DATA_MSG", "Mail Data");
	define("HEADERS_MSG", "Headers");
	define("ORIGINAL_TEXT_MSG", "Original Text");
	define("ORIGINAL_HTML_MSG", "Original HTML");
	define("CLOSE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to close tickets.<br>");
	define("REPLY_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to reply tickets.<br>");
	define("CREATE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to create new tickets.<br>");
	define("REMOVE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to remove tickets.<br>");
	define("UPDATE_TICKET_NOT_ALLOWED_MSG", "Sorry, but you are not allowed to update tickets.<br>");
	define("NO_TICKETS_FOUND_MSG", "No tickets were found.");
	define("HIDDEN_TICKETS_MSG", "Hidden Tickets");
	define("ALL_TICKETS_MSG", "All Tickets");
	define("ACTIVE_TICKETS_MSG", "Active Tickets");
	define("NOT_ASSIGNED_THIS_DEP_MSG", "You are not assigned to this department.");
	define("NOT_ASSIGNED_ANY_DEP_MSG", "You are not assigned to any department.");
	define("REPLY_TO_NAME_MSG", "Reply to {name}");
	define("KNOWLEDGE_CATEGORY_MSG", "Knowledge Category");
	define("KNOWLEDGE_TITLE_MSG", "Knowledge Title");
	define("KNOWLEDGE_ARTICLE_STATUS_MSG", "Knowledge Article Status");
	define("SELECT_RESPONSIBLE_MSG", "Select Responsible");
	//ticket types
	define("TICKET_BUG_ISSUE_MSG", "Bug/Issue");
	define("TICKET_QUESTION_MSG", "Question");
	define("TICKET_WISH_REQUEST_MSG", "Wish/Request");
	define("TICKET_OTHER_MSG", "Other");
	define("TICKET_QUOTE_MSG", "Quote");
	//ticket statuses
	define("TICKET_NEW_MSG", "New");
	define("TICKET_ANSWERED_MSG", "Answered");
	define("TICKET_REQUEST_INFO_MSG", "Request More Information");
	define("TICKET_INVESTIGATING_MSG", "Investigating");
	define("TICKET_CLOSED_MSG", "Closed");
	define("TICKET_ASSIGNED_MANAGER_MSG", "Assigned to Manager");
	define("TICKET_CUSOMER_REPLY_MSG", "Customer Reply");
	define("TICKET_ADDED_KB_MSG", "Added to Knowledge Base ");

	define("CHATS_MSG", "Chats");
	define("START_CHATTING_MSG", "Start Chatting");
	define("SUPPORT_LIVE_MSG", "Live Support");
	define("SUPPORT_ONLINE_DESC", "Hello, we are online, <br />click here to start chatting");
	define("SUPPORT_OFFLINE_DESC", "Sorry, we are offline, <br />click here to send us message");
	define("CHATS_WAITING_MSG", "<b>{number}</b> chats waiting");
	define("CHAT_QUESTION_MSG", "Question");
	define("INCOMING_REQUESTS_MSG", "{number} incomming requests");
	define("YOUR_STATUS_MSG", "Your status:");
	define("NO_CHATS_WAITING_MSG", "There are no users waiting to chat.");
	define("WAITING_MSG", "Waiting");
	define("CHATTING_MSG", "Chatting");
	define("EXIT_CHAT_MSG", "Exit Chat");
	define("CLOSE_CHAT_MSG", "Close Chat");
	define("CLOSE_CHAT_QST", "Whould you like to close this chat?");
	define("CHAT_SYSTEM_MSG", "System");
	define("USER_JOINED_CHAT_MSG", "{name} has joined chat.");
	define("USER_CLOSED_CHAT_MSG", "{name} has closed chat.");
	define("CHAT_AUTO_CLOSED_MSG", "Chat has been closed automatically due to inactivity.");

?>