<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 4.6.1                                                ***
  ***      File:  cart_messages.php                                        ***
  ***      Built: Thu Dec 10 05:08:32 2015                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	// cart messages
	define("CART_TITLE", "買い物かご");
	define("SMALL_CART_TITLE", "買い物かご");
	define("PRODUCTS_TITLE", "製品");
	define("LATEST_PRODUCTS_TITLE", "Latest Products");
	define("RELATED_PRODUCTS_TITLE", "関連商品");
	define("TOP_SELLERS_TITLE", "ベストセラー");
	define("PRODUCTS_RECOMMENDED_TITLE", "おすすめ製品");
	define("ONE_PAGE_CHECKOUT_TITLE", "One Page Checkout");
	define("CHECKOUT_LOGIN_TITLE", "チェックアウト :: ログイン");
	define("CHECKOUT_INFO_TITLE", "チェックアウト :: 個人情報");
	define("CHECKOUT_PAYMENT_TITLE", "チェックアウト :: 支払詳細");
	define("CHECKOUT_CONFIRM_TITLE", "チェックアウト :: 確認");
	define("CHECKOUT_FINAL_TITLE", "チェックアウト :: 完了");
	define("CHANGES_LOG_TITLE", "変更したログ");
	define("COMPARE_TITLE", "製品比較");
	define("CUSTOMERS_WHO_BOUGHT_TITLE", "このアイテムを購入したお客様はこちらの製品も購入しました。");

	define("PRODUCT_MSG", "商品");
	define("PRICES_MSG", "価格");
	define("OUR_PRICE_MSG", "弊社価格");
	define("YOU_SAVE_MSG", "割り引き");
	define("PROD_OPTIONS_MSG", "オプション");
	define("PROD_SUBCOMPONENTS_MSG", "サブコンポーネント");
	define("OPTIONS_AND_COMPONENTS_MSG", "オプション＆コンポーネント");
	define("PROD_AVAILABILITY_MSG", "在庫");
	define("PROD_HIGHLIGHT_MSG", "ハイライト");
	define("PROD_SUPER_IMAGE_MSG", "より大きい画像を見るにはここをクリック");
	define("PROD_PREVIEW_MSG", "プレビュー");
	define("PROD_PREVIEW_CLICK_MSG", "プレビューを見るにはここをクリック");
	define("PROD_DESCRIPTION_MSG", "詳細内容");
	define("PROD_SPECIFICATION_MSG", "仕様");
	define("PROD_IMAGES_MSG", "画像");
	define("PROD_ACCESSORIES_MSG", "アクセサリ");
	define("PROD_NOTE_MSG", "注意");
	define("PROD_SHIPPING_MSG", "発送");
	define("PROD_WEIGHT_MSG", "重量");
	define("PROD_DOWNLOAD_COLUMN", "リンク");
	define("PROD_TITLE_COLUMN", "商品");
	define("PROD_CODE_MSG", "コード");
	define("PROD_QTY_COLUMN", "数量");
	define("PROD_PRICE_COLUMN", "価格");
	define("PROD_TOTAL_COLUMN", "合計");
	define("PROD_TAX_TOTAL_COLUMN", "合計");
	define("GOODS_TOTAL_MSG", "商品の合計");
	define("PAYMENT_AMOUNT_MSG", "Payment Amount");
	define("TOTAL_DISCOUNT_MSG", "割引額合計");
	define("GOODS_WITH_DISCOUNT_MSG", "割引後金額");
	define("SHIPPING_TRACKING_NUMBER_MSG", "出荷番号");
	define("SHIPPING_EXPECTING_MSG", "出荷予定日");
	define("SELECT_SHIPPING_METHOD_MSG", "発送方法の選択");
	define("SHIPPING_METHOD_MSG", "配送方法");
	define("PROCESSING_FEE_MSG", "手数料");
	define("MY_PRODUCTS_MSG", "My 製品");
	define("MY_PRODUCTS_DESC", "新規製品の追加、または既存製品の修正を行うには、ここをクリックしてください。");
	define("EDIT_PRODUCT_MSG", "商品を編集");
	define("ORDER_STEP_ONE_MSG", "ステップ1 お客様情報と配送先情報");
	define("ORDER_STEP_TWO_MSG", "ステップ2 支払い情報");
	define("ORDER_STEP_THREE_MSG", "ステップ3 注文内容の確認");
	define("PROD_NEW_ERROR", "新規商品を作成する権限がありません。");
	define("PROD_EDIT_ERROR", "この商品を編集する権限がありません。");
	define("PROD_DELETE_ERROR", "この商品を削除する権限がありません。");
	define("PROD_DELETE_CONFIRM_MSG", "この商品を削除しますか？");
	define("PROD_NOT_APPROVED_MSG", "承認待ち");
	define("PROD_ACTIVE_MSG", "有効");
	define("PROD_GENERAL_TAB", "一般");
	define("PROD_DOWNLOADABLE_TAB", "ダウンロード製品/ソフトウェア");
	define("PROD_SPECIAL_OFFER_TAB", "特別価格");
	define("PROD_RECURRING_TAB", "自動更新");
	define("PROD_NOTIFICATION_TAB", "通知");
	define("PROD_NOTES_TAB", "評価/メモ");
	define("PROD_GENERAL_INFO_MSG", "製品情報");
	define("PROD_SHOWN_MSG", "この商品を販売可能に設定する");
	define("PROD_ORDER_MSG", "製品注文");
	define("PROD_TYPE_MSG", "製品タイプ");
	define("PROD_TYPE_NOTE", "Note: if you select 'Gift Voucher' type the system will automatically generate a gift voucher coupon after placing the order, if you select 'Bundle' then you should add subcomponents to this product as only they are visible on checkout.");
	define("PROD_NAME_MSG", "製品名");
	define("PROD_MANUFACTURER_MSG", "メーカー");
	define("PROD_ISSUE_DATE_MSG", "製品発売日");
	define("PROD_ADDITIONAL_OPTIONS_MSG", "追加オプション");
	define("PROD_ALLOWED_COMPARISON_MSG", "製品比較を許可");
	define("PROD_TAX_FREE_MSG", "非課税製品");
	define("PROD_LANGUAGE_DESC", "選択した言語で製品表示");
	define("PROD_PRICING_MSG", "価格設定");
	define("PROD_CHANGE_PRICE_MSG", "顧客に価格の変更を許可する");
	define("PROD_LIST_PRICE_MSG", "価格 (定価)");
	define("PROD_DISCOUNT_PRICE_MSG", "割引価格");
	define("PROD_ACTIVATE_DISCOUNT_MSG", "割引を有効にする");
	define("PROD_TRADE_PRICE_MSG", "卸売価格");
	define("PROD_DISCOUNT_TRADE_MSG", "割引価格 ");
	define("PROD_BUYING_PRICE_MSG", "購入価格");
	define("PROD_SHOWN_DISCOUNT_MSG", "割引表示(%)");
	define("PROD_OPTIONS_PRICE_MSG", "オプション価格");
	define("PROD_OPTIONS_PRICE_DESC", "オプションが使用できないブロックのオプション価格を含む価格を表示したい場合、このフィールドを使用してください。");
	define("PROD_PRICE_PREVIEW_MSG", "価格をプレビュー表示する");
	define("PROD_APPEARANCE_MSG", "表示");
	define("PROD_LANGUAGE_MSG", "言語");
	define("CUSTOM_TEMPLATE_MSG", "カスタムテンプレート");
	define("HIDE_ADD_BUTTON_MSG", "<b>{ADD_TO_CART_MSG}</b>' ボタンを非表示にする");
	define("ON_PROD_LIST_MSG", "製品リストページに");
	define("ON_PROD_DETAILS_MSG", "製品詳細ページに");
	define("ON_TABLE_VIEW_MSG", "テーブルビューリストに");
	define("ON_GRID_VIEW_MSG", "グリッドビューリストに");
	define("ON_SEPARATE_PAGE_MSG", "別のページに");
	define("ON_CHECKOUT_PROCESS_MSG", "支払いプロセスに");
	define("PROD_PREVIEW_URL_MSG", "製品プレビュー URL");
	define("PROD_STOCK_MSG", "在庫");
	define("USE_STOCK_MSG", "ストックレベルを使用");
	define("STOCK_QUANTITY_MSG", "在庫数");
	define("HIDE_OUT_STOCK_MSG", "品切れのときは商品を非表示");
	define("HIDE_OUT_STOCK_DESC", "品切れのときは Webページに商品を非表示");
	define("DISABLE_OUT_STOCK_MSG", "期限切れ商品を無効にする");
	define("DISABLE_OUT_STOCK_DESC", "品切れのとき '<b>{ADD_TO_CART_MSG}</b>' ボタンを無効にする");
	define("IN_STOCK_AVAILABILITY_MSG", "出荷タイミング");
	define("IN_STOCK_AVAILABILITY_DESC", "在庫がある場合またはストックレベルが設定されていない場合の出荷タイミング");
	define("OUT_STOCK_AVAILABILITY_MSG", "品切れ");
	define("OUT_STOCK_AVAILABILITY_DESC", "品切れの場合の出荷タイミング");
	define("SHIPPING_RESTRICTIONS_MSG", "配送制限");
	define("PROD_OFFER_ACTIVATE_MSG", "この製品を特別価格セクションに加える");
	define("PROD_RATING_MSG", "製品評価");
	define("PROD_DIRECT_LINK_MSG", "製品購入への直接リンク");
	define("PRODUCTS_REPORT_MSG", "製品レポート");
	define("MERCHANT_SALES_MSG", "加盟店売上げ");
	define("MERCHANT_SALES_DESC", "このセクションで、提出製品と関連する販売リストを参照できます。 手数料の合計をチェックすることもできます。");
	define("AFFILIATE_SALES_MSG", "アフィリエイト販売");
	define("AFFILIATE_SALES_DESC", "弊社のアカウントに加盟しているすべての販売リストを見るにはここをクリックしてください。 アフィリエイト報酬の合計をチェックすることもできます。");
	define("COMMISSION_PAYMENTS_MSG", "報酬のお支払い");
	define("COMMISSION_PAYMENTS_DESC", "報酬として受け取る支払いを調整するには、このセクションを訪問してください。");
	define("PAYMENT_NAME_COLUMN", "支払い人名義");
	define("PAYMENT_TOTAL_COLUMN", "合計");
	define("PAYMENT_DATE_COLUMN", "支払予定日");
	define("NO_COMMISSION_PAYMENTS_MSG", "報酬の支払いは見つかりませんでした。");
	define("COMMISSIONS_MSG", "報酬");
	define("COMMISSION_AMOUNT_COLUMN", "報酬総額");
	define("COMMISSION_DATE_COLUMN", "報酬日時");
	define("NO_COMMISSIONS_MSG", "報酬はありません。");
	define("AFFILIATE_MSG", "アフィリエイト");
	define("MERCHANT_MSG", "加盟店");
	define("CONTACT_MERCHANT_TITLE", "加盟店問合せ");
	define("PROD_SORT_BY_MSG", "並び順");
	define("PROD_SORT_DEFAULT_MSG", "デフォルト");
	define("PROD_SORT_MANUFACTURER_MSG", "メーカー");
	define("PROD_SORT_CODE_MSG", "コード");
	define("PROD_MOST_POPULAR_MSG", "一番人気");
	define("PROD_FIELDS_TAB", "項目");
	define("PROD_TERMS_TAB", "規約");
	define("PROD_SHOW_TERMS_MSG", "ご利用規約を表示");
	define("PROD_SHOW_TERMS_DESC", "商品を出品するためには、ユーザーの皆様にはご利用規約を読んで同意していただく必要があります。");
	define("PROD_TERMS_USER_ERROR", "商品を出品ためには、ご利用規約を読んで同意してください。");
	define("MERCHANT_PRODUCTS_LIMIT_MSG", "加盟店が追加できる製品数");
	define("MERCHANT_PRODUCTS_LIMIT_DESC", "加盟店が追加できる製品数を制限したくない場合、この項目は空白のままにしてください。");
	define("MERCHANT_PRODUCTS_LIMIT_ERROR", "{products_limit} 製品以上の追加は許可されていません。");
	define("FEES_COMMISSIONS_MSG", "手数料および報酬額");
	define("DISCOUNTS_FEES_COMMISSIONS_MSG", "割引、手数料、報酬");
	define("DISCOUNT_MSG", "割引");
	define("MERCHANT_FEE_MSG", "加盟手数料");
	define("AFFILIATE_COMMISSION_MSG", "アフィリエイト報酬額");
	define("NO_OPTIONS_AVAILABLE_MSG", "利用できるオプションまたはコンポーネントがありません");
	define("OPTION_MSG", "オプション");
	define("SUBCOMPONENT_MSG", "サブコンポーネント");
	define("SUBCOMPONENT_SELECTION_MSG", "サブコンポーネントの選択");
	define("ADD_SUBCOMPONENT_MSG", "サブコンポーネントを追加");
	define("ADD_SUBCOMPONENT_SELECTION_MSG", "サブコンポーネントの選択を追加");
	define("EDIT_OPTION_MSG", "オプションの編集");
	define("OPTION_ORDER_MSG", "オプションの順番");
	define("OPTION_NAME_MSG", "オプション名");
	define("OPTION_HINT_MSG", "Option Hint");
	define("OPTION_HINT_DESC", "shown instead of Option Name");
	define("OPTION_CONTROL_MSG", "オプション制御");
	define("CONTROL_TYPE_USE_DESC", "<b>チェックボックスリスト</b>, <b>リストボックス</b>および<b>ラジオボタン</b>には、以下の行に値を追加する必要があります。");
	define("OPTION_TEXT_MSG", "オプションテキスト");
	define("OPTION_STYLE_MSG", "オプションスタイル");
	define("OPTION_STYLE_NOTE", "オプションブロックのレイアウトを変更するには CSS を使用してください。");
	define("SHOW_OPTION_MSG", "プロパティの表示");
	define("OPTION_REQUIRED_MSG", "必須オプション");
	define("OPTIONS_APPEARANCE_MSG", "オプションの表示");
	define("CONTROL_STYLE_MSG", "制御形式");
	define("CONTROL_STYLE_NOTE", "制御レイアウトを変更するには、 CSS を使用してください。");
	define("BEFORE_TITLE_HTML_MSG", "タイトル HTML の前");
	define("BEFORE_TITLE_HTML_NOTE", "この HTML はオプション名の前に表示");
	define("BEFORE_TITLE_COMPONENT_NOTE", "この HTML はコンポーネント名の前に表示");
	define("AFTER_TITLE_HTML_MSG", "タイトル HTML の後ろ");
	define("AFTER_TITLE_HTML_NOTE", "この HTML はオプション名の後ろに表示");
	define("AFTER_TITLE_COMPONENT_NOTE", "この HTML はコンポーネント名の後ろに表示");
	define("BEFORE_CONTROL_HTML_MSG", "制御 HTML の前");
	define("BEFORE_CONTROL_HTML_NOTE", "この HTML は個々のオプション制御の前に表示");
	define("BEFORE_CONTROL_COMPONENT_NOTE", "この HTML は個々のコンポーネント制御の前に表示");
	define("AFTER_CONTROL_HTML_MSG", "制御 HTML の後ろ");
	define("AFTER_CONTROL_HTML_NOTE", "この HTML は個々のオプション制御の後ろに表示");
	define("AFTER_CONTROL_COMPONENT_NOTE", "この HTML は個々のコンポーネント制御の後ろに表示");
	define("END_HTML_MSG", "エンド HTML");
	define("END_HTML_NOTE", "この HTML はオプションブロックの最後に表示");
	define("END_COMPONENT_NOTE", "この HTML はコンポーネントブロックの最後に表示");
	define("JAVASCRIPT_SETTINGS_MSG", "Javascript の設定");
	define("ONCHANGE_EVENT_MSG", "OnChange イベント");
	define("ONCLICK_EVENT_MSG", "OnClick イベント");
	define("CONTROL_CODE_MSG", "制御コード");
	define("OPTIONS_VALUES_MSG", "オプション値");
	define("DESCRIPTION_AND_CODE_MSG", "ディスクリプション＆コード");
	define("SELLING_MSG", "販売");
	define("PERCENTAGE_MSG", "パーセンテージ(%)");
	define("OPTION_PERCENTAGE_PRICE_DESC", "オリジナル製品価格の割合に応じてオプション価格を設定");
	define("PERCENTAGE_PRICE_TYPE_MSG", "Percentage Price Type");
	define("FROM_PRODUCT_PRICE_MSG", "from product price");
	define("FROM_OTHER_OPTION_MSG", "from other option");
	define("BUYING_MSG", "購入");
	define("USE_MSG", "使用");
	define("ACTIVATE_STOCK_CONTROL_MSG", "ストックコントロールを有効にする");
	define("ACTIVATE_CONTROL_CHECKBOX_MSG", "このオプションのストックコントロールを有効にするには、次のボックスをチェックしてください。");
	define("CHECK_STOCK_USE_MSG", "Hide Off Limits' オプションを使用する前に、ストックレベルオプションを有効にしてください。 ");
	define("HIDE_MSG", "非表示");
	define("HIDE_IF_OUT_STOCK_MSG", "品切れの場合非表示");
	define("HIDE_OPTION_VALUE_DESC", "品切れのときこのオプションを非表示にするには、次のボックスをチェックしてください。");
	define("PATH_MSG", "パス");
	define("PERIOD_MSG", "期間");
	define("STOCK_LEVEL_MSG", "在庫数");
	define("DOWNLOADABLE_OPTIONS_MSG", "ダウンロードオプション");
	define("ADD_MORE_OPTIONS_QST", "オプションを更に追加しますか？");
	define("EDIT_SUBCOMP_MSG", "サブコンポーネント編集");
	define("SUBCOMP_ID_MSG", "サブコンポーネント ID");
	define("SUBCOMP_NAME_MSG", "サブコンポーネント名");
	define("SUBCOMP_PRICE_MSG", "サブコンポーネント価格");
	define("SUBCOMP_PRICE_NOTE", "ここで製品の基本価格に上乗せすることができます。");
	define("OVERRIDE_PRICE_MSG", "上乗せ価格");
	define("REAL_PRICE_MSG", "実質価格");
	define("EDIT_SUBCOMP_SELECTION_MSG", "コンポーネント選択を編集");
	define("COMPONENT_ORDER_MSG", "コンポーネントの順番");
	define("COMPONENT_NAME_MSG", "コンポーネント名");
	define("COMPONENT_CONTROL_MSG", "コンポーネント コントロール");
	define("COMPONENT_CONTROL_DESC", "追加サブコンポーネントを指定するコントロール");
	define("COMPONENT_STYLE_MSG", "コンポーネントスタイル");
	define("USE_CSS_TO_CHANGE_MSG", "コンポーネントブロックのレイアウトを変更するには CSS を使用してください");
	define("SHOW_COMPONENT_MSG", "コンポーネントを表示");
	define("COMPONENT_REQUIRED_MSG", "必須コンポーネント");
	define("COMPONENT_APPEARANCE_MSG", "コンポーネント表示");
	define("LIST_OF_SUBCOMPONENTS_MSG", "サブコンポーネントのリスト");
	define("ADD_MORE_SUBCOMP_QST", "サブコンポーネントを更に追加しますか？");
	define("PRODUCT_SELECTION_MSG", "製品選択");
	define("SELECT_PRODUCT_MSG", "製品を選択");
	define("PRODUCT_ID_MSG", "製品 ID");
	define("POINTS_MSG", "ポイント");
	define("PROD_PAY_POINTS_MSG", "ポイントで支払う");
	define("POINTS_NOT_ALLOWED_MSG", "許可されていません");
	define("POINTS_ALLOWED_MSG", "許可");
	define("ONLY_POINTS_ALLOWED_MSG", "ポイントのみで支払う");
	define("POINTS_PRICE_MSG", "ポイント価格");
	define("POINTS_PRICE_DESC", "ポイント交換レートからポイント価格の計算をご希望の場合、この項目は空白のままにしてください");
	define("POINTS_AMOUNT_MSG", "ポイント数");
	define("REWARD_POINTS_MSG", "リワード ポイント");
	define("REWARD_POINTS_TYPE_MSG", "リワード ポイントタイプ");
	define("REWARD_POINTS_AMOUNT_MSG", "リワード ポイント数");
	define("PAY_WITH_POINTS_SYSTEM_MSG", "ポイント システムで支払う");
	define("PERCENT_PER_PROD_FULL_PRICE_MSG", "製品もしくはオプションの販売価格ごとの割合");
	define("FIXED_AMOUNT_PER_PROD_MSG", "製品ごとの固定金額");
	define("PERCENT_PER_PROD_SELL_PRICE_MSG", "製品の販売価格ごとの割合");
	define("PERCENT_PER_PROD_SELL_BUY_MSG", "（販売価格 - 購入価格） ごとの割合");
	define("POINTS_CONVERSION_RATE_MSG", "現金からポイントへの交換レート");
	define("SHIPPING_PAY_POINTS_MSG", "送料をポイントで支払う");
	define("ORDER_OPTIONS_PAY_POINTS_MSG", "注文オプションをポイントで支払う");
	define("POINTS_DECIMALS_MSG", "ポイントの小数点以下の桁数");
	define("ACCUMULATE_POINTS_MSG", "累積ポイント");
	define("ACCUMULATE_POINTS_FOR_POINTS_MSG", "ポイントでの支払いの場合、お客様のポイントを累積しますか？");
	define("POINTS_BALANCE_MSG", "ポイントバランス");
	define("POINTS_REMAINING_MSG", "ポイント残高");
	define("POINTS_NEEDED_TOTAL_MSG", "必要なポイント数");
	define("POINTS_CHECKBOXES_SELECT_MSG", "ポイントで支払いたい製品およびオプションのボックスをチェックしてください。");
	define("POINTS_ENOUGH_ERROR", "ご注文のお支払いに必要なポイント {points_amount} がありません。");
	define("CREDIT_BALANCE_MSG", "Credit Balance");
	define("REWARDS_MSG", "リワード");
	define("REWARD_CREDITS_MSG", "リワード クレジット");
	define("REWARD_CREDITS_TYPE_MSG", "リワード クレジット タイプ");
	define("REWARD_CREDITS_AMOUNT_MSG", "リワード クレジット数");
	define("REWARD_CREDITS_TOTAL_MSG", "リワード クレジット合計");
	define("PRODUCT_REWARDS_MSG", "製品リワード");
	define("POINTS_AND_CREDITS_MSG", "ポイントとクレジット");
	define("CREDITS_MSG", "クレジット");
	define("DISCOUNT_PRICE_TYPE_MSG", "割引価格タイプ");
	define("PARENT_OPTION_MSG", "親オプション");
	define("PARENT_OPTION_DESC", "親オプションを選択して、現在のオプションを表示");
	define("PARENT_OPTION_VALUE_MSG", "親オプション値");
	define("PARENT_OPTION_VALUE_DESC", "親オプション値を選択して、現在のオプションを表示");
	define("PARENT_COMPONENT_SELECTION_MSG", "コンポーネント選択");
	define("PARENT_COMPONENT_MSG", "親コンポーネント");
	define("ASSIGN_OPTION_MSG", "オプション割り当て");
	define("ASSIGN_COMPONENT_MSG", "コンポーネント割り当て");
	define("ONLY_FOR_LABEL_MSG", "<b>ラベルコントロール</b> のみ");
	define("AUTO_ADD_TO_ALL_PRODS_MSG", "すべての製品に自動的に追加する");
	define("SELECT_OPTION_AND_VALUES_MSG", "製品ごとにこのオプションとオプション値を選択できるようにする");
	define("SELECT_OPTION_ALL_VALUES_MSG", "製品ごとにこのオプションとすべての値を選択できるようにする");
	define("SINGLE_TOTAL_PRICE_MSG", "シングル合計金額");
	define("FOR_SPECIFIED_CONTOL_MSG", "指定された制御タイプ");
	define("FOR_SPECIFIED_LETTER_MSG", "指定された文字");
	define("FOR_SPECIFIED_NONSPACE_MSG", "指定されたノンスペース");
	define("SUMMARY_DISCOUNT_MSG", "割り引き概要");
	define("FREE_CHARGE_CONTROLS_MSG", "無料コントロール タイプ");
	define("FREE_CHARGE_LETTERS_MSG", "無料の文字");
	define("FREE_CHARGE_NONSPACE_MSG", "無料のノンスペース文字");
	define("MAX_LETTERS_ALL_CONTROLS_MSG", "すべての制御タイプの最大文字数");
	define("MAX_LETTERS_EACH_CONTROL_MSG", "個々の制御タイプの最大文字数");
	define("MAX_NONSPACE_ALL_CONTROLS_MSG", "すべての制御タイプの最大ノンスペース文字数");
	define("MAX_NONSPACE_EACH_CONTROL_MSG", "個々の制御タイプの最大ノンスペース文字数");
	define("MAX_LIMIT_MSG", "上限");
	define("MAX_LIMIT_TYPE_MSG", "上限タイプ");
	define("MAX_LIMIT_LENGTH_MSG", "長さの上限");
	define("SELLING_PRICE_MSG", "販売価格");
	define("TRADE_SELLING_PRICE_MSG", "卸売価格");
	define("PERCENTAGE_PRICE_MSG", "割合価格");
	define("PRODUCT_ID_NO_LONGER_EXISTS_MSG", "製品 ID '<b>{item_id}</b>' はデータベースに存在しません。");
	define("PROD_TYPE_ID_NO_LONGER_EXISTS_MSG", "製品タイプ ID '<b>{item_type_id}</b>' はデータベースに存在しません。");
	define("STOCK_AND_SHIPPING_MSG", "在庫 & 配送");
	define("IMAGES_AND_APPEARANCE_MSG", "画像 & 表示");
	define("MINIMUM_ITEMS_QTY_MSG", "最小数");
	define("MAXIMUM_ITEMS_QTY_MSG", "最大数");
	define("MINIMUM_ITEMS_QTY_NOTE", "購入可能なアイテム最小数");
	define("MAXIMUM_ITEMS_QTY_NOTE", "購入可能なアイテム最大数");
	define("QTY_INCREMENT_MSG", "増分量");
	define("ALLOWED_QUANTITIES_MSG", "Allowed Quantities");
	define("ALLOWED_QUANTITIES_NOTE", "the number of items separated by commas user can add to the cart");
	define("FREE_SHIPPING_MSG", "送料無料");
	define("FREE_SHIPPING_DESC", "このオプションで、製品の送料および重量を排除します");
	define("HAS_BEEN_SUCCESSFULLY_COPIED_MSG", "は次の製品へのコピーがされました:");
	define("ALREADY_COPIED_MSG", "はすでに次の製品へコピーされています:");
	define("ALLOW_PRODUCT_COMPARISON_MSG", "製品比較を許可");
	define("FULL_DESCRIPTION_TYPE_MSG", "詳細説明タイプ");
	define("IS_SPECIAL_OFFER_MSG", "特別価格設定");
	define("HIDE_BUTTON_PROD_LIST_MSG", "製品リストページでカートへ追加ボタンを非表示にする");
	define("HIDE_BUTTON_PROD_DETAILS_MSG", "製品詳細ページでカートへ追加ボタンを非表示にする");
	define("HIDE_OFF_LIMITS_PRODUCTS_MSG", "期限切れ商品を非表示にする");
	define("IS_DOWNLOADABLE_MSG", "ダウンロード製品");
	define("DIRECT_BUY_LINK_MSG", "ダイレクト購入リンク");
	define("SHIPPING_COST_MSG", "送料");
	define("SELECT_ONE_PRODUCT_MSG", "少なくとも一つの製品を選択してください。");
	define("SELECT_ONE_PRODUCT_TYPE_MSG", "少なくとも一つの製品タイプを選択してください。");
	define("ADD_COMPONENTS_TO_PRODUCTS_MSG", "コンポーネントを他の製品に追加");
	define("ADD_COMPONENTS_TO_PRODUCT_TYPES_MSG", "コンポーネントを他の製品タイプに追加");
	define("COPY_COMPONENTS_TO_PRODUCTS_MSG", "コンポーネントを選択した製品へコピー");
	define("COPY_COMPONENTS_TO_PRODUCT_TYPES_MSG", "コンポーネントを選択した製品タイプへコピー");
	define("SUCCESSFULLY_COPIED_TO_PRODUCT_TYPES_MSG", "は次の製品タイプへのコピーされました:");
	define("ALREADY_COPIED_TO_PRODUCT_TYPES_MSG", "は次の製品タイプへ既にコピーされています:");
	define("CHOOSE_OPTIONS_MSG", "Choose Options");
	define("EDIT_OPTIONS_MSG", "Edit Options");
	define("UPDATE_OPTIONS_MSG", "Update Options");
	define("PRODUCT_TABS_MSG", "Product Tabs");
	define("CUSTOM_TABS_MSG", "Custom Tabs");

	define("CART_TOTAL_MSG", "合計金額");
	define("CONTINUE_SHOPPING_MSG", "お買物を続ける");
	define("REMOVE_FROM_CART_MSG", "削除");
	define("EMPTY_CART_MSG", "お客様のカートには製品がございません。");
	define("CLEAR_CART_MSG", "カートを空にする");
	define("PRE_ORDER_MSG", "先行予約");
	define("BUY_NOW_MSG", "Buy Now");
	define("ADD_TO_CART_MSG", "カートに追加");
	define("ADD_TO_WISHLIST_MSG", "お気に入りに追加");
	define("VIEW_CART_MSG", "カートの中を見る");
	define("AMEND_CART_MSG", "カートを修正");
	define("MULTI_ADD_MSG", "Multi-Add");
	define("MULTI_ADD_DESC", "add one and more products at once");
	define("MY_SAVED_CARTS_MSG", "マイカート");
	define("MY_SAVED_CARTS_DESC", "保存したバスケットの取り出し、および参照することができます。");
	define("NO_CARTS_MSG", "カートが見つかりません");
	define("SAVE_CART_TITLE", "カートを保存");
	define("SAVE_CART_BUTTON", "カートを保存");
	define("SAVE_CART_INFO_MSG", "現在のカートを保存しいつでも取り出し可能です。 カート名を入力し「カートを保存」をクリックするとカート番号が作成されます。この番号およびカート名を使用して、現在のカートの中身を取りことができます。 登録ユーザーは、My ページからカートの中身を取り出すこともできます。");
	define("SAVE_CART_EMAIL_NOTE", "Please enter your email address to receive a copy of your saved cart along with the cart number and cart name.");
	define("CART_NO_FIELD", "カート番号");
	define("CART_NAME_FIELD", "カート名");
	define("CART_SAVED_DATE_COLUMN", "保存日");
	define("CART_TOTAL_COLUMN", "カート合計");
	define("CART_SAVED_MSG", "お客様のカートは保存されました。 お客様のカート番号は <b> {cart_id} </b> です。");
	define("RETRIEVE_CART_TITLE", "お客様のカートを取り出す");
	define("RETRIEVE_CART_BUTTON", "カートを取り出す");
	define("RETRIEVE_CART_INFO_MSG", "過去に保存したカートを取り出すには、カート番号とカート名を入力してください。");
	define("RETRIEVE_CART_NOTE_MSG", "取り出されたカートは現在のカートに上書きされます。ご注意ください。 一度読み込んだこのカートを変更した場合、再度保存されているかお確かめください。");
	define("CART_RETRIEVED_MSG", "お客様のカートは取り出されました。");
	define("RETRIEVE_CART_ERROR", "お客様のカートを取り出すことができませんでした。 <br>入力した情報が正しいか確認し、再度お試しください。");
	define("PROD_NOT_AVAILABLE_ERROR", "この製品は現在販売しておりません。");
	define("PROD_OPTIONS_MISSED_ERROR", "この製品のいくつかのオプションがありません。 それらを選択するには製品ページを確認してください。");
	define("PROD_PRICE_CHANGED_MSG", "Product price changed");

	define("GOTO_CHECKOUT_MSG", "ご注文手続きへ");
	define("CHECKOUT_WITHOUT_MSG", "アカウントを作らずに注文手続きをする");
	define("OPEN_AND_CHECKOUT_MSG", "アカウントを作って注文手続きをする");
	define("REMOVE_FROM_CART_JS", "カートから {item_type} を削除しますか？");
	define("CLEAR_CART_JS", "カートから全ての商品を削除しますか？");
	define("CART_QTY_ZERO_JS", "数量を '{old_quantity}' から '0' へ変更します。\\nカートから '{product_name}' が削除されます。\\nよろしいですか？");
	define("ALTER_CART_QTY_JS", "{product_name}' の数量を \\n'{old_quantity}' から '{new_quantity}' へ変更します。\\nよろしいですか？");
	define("ADD_PRODUCT_MSG", "この商品をカートに追加しますか？");
	define("PRODUCT_OUT_STOCK_MSG", "現在品切れのためこの製品を購入できません。");
	define("REQUIRED_PROPERTY_MSG", "{product_name} の {property_name}  を指定してください。");
	define("PRODUCT_LIMIT_MSG", "{product_name}  は、 {limit_quantity} つ以上、追加できません。");
	define("PRODUCT_MIN_LIMIT_MSG", "{product_name} には、 {limit_quantity} アイテム以下は追加できません。");
	define("PRODUCT_QUANTITY_ERROR", "You can't add {quantity} items for {product_name}.");
	define("PRODUCT_ALLOWED_QUANTITIES_MSG", "The quantities allowed for this product are: {quantities_list}");
	define("ADDED_PRODUCT_MSG", "{product_name} はショッピングカートに追加されました。");
	define("ADDED_TO_WISHLIST_MSG", "{product_name} has been added to your Wishlist.");
	define("REQUIRED_DELIVERY_MSG", "配送方法を選択してください。");
	define("PROD_RESTRICTED_DELIVERY_MSG", "{country_name} は {product_name} へ配送することはできません。");
	define("NO_PRODUCT_MSG", "この ID の製品は、このカテゴリーにはありません。");
	define("NO_PRODUCTS_MSG", "製品が見つかりませんでした");
	define("NO_PRODUCTS_MATCH_MSG", "一致する製品は見つかりませんでした。");
	define("FOUND_PRODUCTS_MSG", "<b>{search_string}</b>' に一致する製品が <b>{found_records}</b> つ見つかりました。");
	define("PROD_DOWNLOAD_MSG", "ダウンロード");
	define("PROD_VER_MSG", "バージョン");
	define("PROD_RELEASES_MSG", "{product_name} リリース");
	define("PROD_CHANGES_LOG_MSG", "{product_name} 変更ログ");
	define("CHANGES_LOG_MSG", "変更ログ");
	define("ALL_PRODUCTS_MSG", "すべての製品");
	define("ALL_PROD_RELEASES_MSG", "すべてのリリース");
	define("NO_PROD_RELEASES_MSG", "リリースはありません。");
	define("NO_RELEASE_CHANGES_MSG", "変更はありません。");
	define("SERIAL_NUMBER_MSG", "S/N");
	define("RECURRING_OPTIONS_MSG", "自動更新オプション");
	define("RECURRING_ACTIVATE_MSG", "自動更新支払いを有効にする");
	define("RECURRING_PERIOD_MSG", "自動更新期間");
	define("RECURRING_INTERVAL_MSG", "自動更新の間隔");
	define("RECURRING_INTERVAL_DESC", "これは、支払い請求サイクルの期間です。");
	define("RECURRING_PAYMENTS_TOTAL_MSG", "支払い合計");
	define("RECURRING_PAYMENTS_TOTAL_DESC", "未払いの合計数");
	define("RECURRING_PAYMENTS_MADE_MSG", "支払い済み");
	define("RECURRING_PAYMENTS_FAILED_MSG", "支払い処理に失敗しました。");
	define("RECURRING_START_DATE_MSG", "支払い開始日");
	define("RECURRING_START_DATE_DESC", "支払いの自動更新が始まる日が、自動支払い開始日となります。");
	define("RECURRING_END_DATE_MSG", "支払い終了日");
	define("RECURRING_END_DATE_DESC", "支払いの自動更新を取り消した日が、自動支払いの終了日となります。");
	define("RECURRING_LAST_PAYMENT_MSG", "最終支払い日");
	define("RECURRING_PLAN_PAYMENT_MSG", "支払い計画日程");
	define("RECURRING_NEXT_PAYMENT_MSG", "次の支払い日");
	define("RECURRING_METHOD_MSG", "自動更新方法");
	define("RECURRING_NOT_ALLOWED_MSG", "認められていません");
	define("RECURRING_NOT_ALLOWED_ERROR", "自動更新支払いする製品は、 '{payment_name}' によるお支払いはできません。 別のお支払い方法を選択してください。");
	define("RECURRING_AUTO_CREATE_MSG", "次の支払いの注文を自動作成");
	define("RECURRING_AUTO_BILL_MSG", "自動更新の注文を自動で作成、請求する");
	define("RECURRING_SHIPPING_MSG", "自動更新の支払いに送料を適用");
	define("RECURRING_PROCEED_CURRENT_MSG", "現在の自動更新注文を処理");
	define("SUBSCRIPTION_MSG", "購読");
	define("SUBSCRIPTION_OPTIONS_MSG", "購読オプション");
	define("SUBSCRIPTION_ACTIVATE_MSG", "購読を有効にする");
	define("SUBSCRIPTION_RECURRING_MSG", "この購読を自動更新支払いにする");
	define("SUBSCRIPTION_NAME_MSG", "購読名");
	define("SUBSCRIPTION_FEE_MSG", "購読料");
	define("SUBSCRIPTION_PERIOD_MSG", "購読期間");
	define("SUBSCRIPTION_INTERVAL_MSG", "購読間隔");
	define("SUBSCRIPTION_INTERVAL_DESC", "これは、購読サイクルの期間です");
	define("SUBSCRIPTION_SUSPEND_MSG", "購読の一時停止");
	define("SUBSCRIPTION_SUSPEND_DESC", "すべてのお客様のアクティビティが中断された日数 ");
	define("SUBSCRIPTION_CANCEL_MSG", "購読の取り消し");
	define("SUBSCRIPTION_REWARDS_MSG", "購読ポイント");
	define("SUBSCRIPTION_FEE_PERCENTAGE_MSG", "購読料の割合");
	define("SUBSCRIPTION_FIXED_AMOUNT_MSG", "購読の固定料金");
	define("CONFIRM_SUBSCRIPTION_MSG", "Add this subscription to your Shopping Cart?");
	define("ADDED_SUBSCRIPTION_MSG", "{subscription_name} was added to your Shopping Cart.");
	define("SELECT_SUBSCRIPTION_MSG", "Please select subscription to add to your Shopping Cart.");
	define("NO_ACTIVE_PS_MSG", "Sorry, but there is no active payment system.");
	define("ORDER_STATUS_MSG", "注文ステータス");
	define("SELECT_ORDER_STATUS_MSG", "注文ステータスを選択");
	define("PRODUCT_STATUS_MSG", "Product Status");
	define("SELECT_PRODUCT_STATUS_MSG", "select product status");

	define("WISHLIST_PRODUCTS_MSG", "Wish List Products");
	define("WISHLIST_NOT_EXISTS_MSG", "The wish list you have requested does not exist.");
	define("WISHLIST_BOUGHT_MSG", "Bought");
	define("WISHLIST_WANTS_MSG", "Wants");
	define("WISHLIST_HAS_MSG", "Has");
	define("FIND_FRIEND_WISHLIST_MSG", "Find a Friend's Wish List");
	define("FIND_WISHLIST_BUTTON", "Find Wish List");
	define("FIND_WISHLIST_DESC", "If you would like to view a Wish List belonging to a friend or family member, perhaps to purchase a gift for them, please enter their e-mail address.");
	define("CONFIRM_WISHLIST_DELETE_MSG", "Are you sure you want delete this wishlist item?");

	define("COUPON_MSG", "クーポン");
	define("COUPON_NOT_FOUND_MSG", "このコードのクーポンは見つかりませんでした。");
	define("COUPON_NON_ACTIVE_MSG", "このクーポンは有効ではありません。");
	define("COUPON_USED_MSG", "このクーポンは既に使用済みです。");
	define("COUPON_EXPIRED_MSG", "このクーポンの有効期限は切れています。");
	define("COUPON_EXCLUSIVE_MSG", "このクーポンは、既に利用されたクーポンと併用することはできません。");
	define("COUPON_APPLIED_MSG", "このクーポンは既に適用されています。");
	define("COUPON_PRODUCTS_MSG", "このクーポンはショッピングカート内の商品に使用することはできません。");
	define("COUPON_ORDER_AMOUNT_MSG", "このクーポンはこの購入に使用することはできません。 <br>このクーポンを使用するための最低数量は {minimum_amount} です。");
	define("COUPON_PROD_PRICE_MSG", "このクーポンはこの製品に使用することはできません。 <br>このクーポンを使用するための製品最低価格は {minimum_amount} です。");
	define("COUPON_REMOVE_MSG", "クーポンを削除");
	define("COUPON_CODE_FIELD", "クーポン");
	define("COUPON_UPCOMING_MSG", "This coupon can't be used yet.");
	define("COUPON_CANT_BE_USED_MSG", "You are not allowed to use this coupon.");
	define("COUPON_CAN_BE_USED_ONCE_MSG", "This coupon can be used only once by registered users.");
	define("COUPON_SAME_USE_LIMIT_MSG", "This coupon can be used only {use_limit} times by registered users.");
	define("COUPON_ADDED_MSG", "The coupon has been successfully added to the cart.");
	define("COUPON_MIN_QTY_ERROR", "Sorry, this coupon cannot be applied for your current purchase. <br>Minimum quantity for this coupon is {min_quantity}.");
	define("COUPON_MAX_QTY_ERROR", "Sorry, this coupon cannot be applied for your current purchase. <br>Maximum quantity for this coupon is {max_quantity}.");
	define("COUPON_CANT_BE_APPLIED_ERROR", "Sorry, but this coupon cannot be applied for your current purchase.");
	define("MIN_CART_COST_ERROR", "Minimum cart amount for this coupon is {cart_amount}");
	define("MAX_CART_COST_ERROR", "Maximum cart amount for this coupon is {cart_amount}");
	define("FRIEND_AFFILIATE_FORM_MSG", "Friend / Affiliate Form");
	define("FRIEND_AFFILIATE_FORM_DESC", "Please enter in the field below your friend's nickname or affiliate code and press '{APPLY_BUTTON}'.");
	define("NO_USERS_MSG", "No users were found");
	define("FRIEND_FOUND_MSG", "We've found your friend.");
	define("AFFILIATE_FOUND_MSG", "Your affiliate code was accepted.");

	define("CC_NAME_FIELD", "カード名義人氏名");
	define("CC_NAME_DESC", "クレジットカードに記載されている氏名");
	define("CC_FIRST_NAME_FIELD", "名");
	define("CC_LAST_NAME_FIELD", "姓");
	define("CC_NUMBER_FIELD", "カード番号");
	define("CC_NUMBER_ERROR_MSG", "お客様のクレジットカード番号が間違っているようです。もう一度、ご確認の上、お試しください。");
	define("CC_NUMBER_ALLOWED_MSG", "このクレジットカード番号は、この支払いに利用することはできません。");
	define("CC_START_DATE_FIELD", "開始日");
	define("CC_EXPIRY_DATE_FIELD", "有効期限");
	define("CC_TYPE_FIELD", "カードの種類");
	define("CC_ISSUE_NUMBER_FIELD", "発行番号");
	define("CC_ISSUE_NUMBER_DESC", "Switch & Solo カードのみ");
	define("CC_SECURITY_CODE_FIELD", "セキュリティコード");
	define("CC_SECURITY_CODE_HELP_MSG", "ヘルプ");
	define("CC_SECURITY_CODE_TITLE", "セキュリティコードとは？");
	define("CC_SECURITY_CODE_1_DESC", "クレジットカード裏面のご署名欄の上部に印刷されている末尾 3 桁の数字です。 この数は、カードに浮彫りにされておらず、領収書にも印刷されません。カード所有者以外の人に分からないようにしてあります。 カード会社によっては、このセキュリティコードを、'カード認証番号'、'個人的なセキュリティ番号'または、'カードセキュリティコード'と呼ぶことがあります。 ");
	define("CC_SECURITY_CODE_2_DESC", "カードの裏面の署名欄の上に 3 桁の番号が印刷されています。");
	define("PAY_WITHOUT_CC_MSG", "クレジットカードでのお支払いを希望されない場合は、ここをチェックしてください。");
	define("PAY_WITHOUT_CC_FIELD", "他の支払い情報");
	define("PAY_WITHOUT_CC_DESC", "希望する支払い方法をご記入ください。");

	define("ORDER_NUMBER_COLUMN", "いいえ");
	define("ORDER_ADDED_COLUMN", "注文日");
	define("ORDER_TOTAL_COLUMN", "合計");
	define("ORDER_NUMBER_MSG", "注文番号");
	define("PARENT_ORDER_NUMBER_MSG", "親注文番号");
	define("ORDER_DATE_MSG", "注文日");
	define("ORDER_TOTAL_MSG", "合計");
	define("INVOICE_MSG", "請求書");
	define("INVOICE_NUMBER_MSG", "請求書番号");
	define("INVOICE_DATE_MSG", "請求日");
	define("INVOICE_TO_MSG", "請求先");
	define("ORIGINAL_COPY_MSG", "Original Copy");
	define("COPY_NUMBER_MSG", "Copy #{copy_number}");
	define("CREDIT_NOTE_MSG", "Credit Note");
	define("CREDIT_NUMBER_MSG", "Credit number");
	define("CREDIT_DATE_MSG", "Credit Date");
	define("CREDIT_TO_MSG", "Credit to");
	define("DELIVERY_TO_MSG", "配送先");
	define("PAYMENT_GATEWAY_MSG", "支払い方法");
	define("SELECT_PAYMENT_MSG", "希望するお支払方法を選択してください。");
	define("GOTO_PAYMENT_MSG", "{payment_system} にリダイレクトしています。 ページが自動で移動しない場合は '{button_name}' をクリックして処理を続けてください。");
	define("MY_ORDERS_MSG", "My オーダー");
	define("MY_ORDERS_DESC", "ご注文後、注文内容や状況を確認することができます。");
	define("MY_SALES_ORDERS_MSG", "My セールスオーダー");
	define("MY_SALES_ORDERS_DESC", "加盟店の販売注文の追跡を許可");
	define("PURCHASED_ORDERS_MSG", "注文書");
	define("NO_ORDERS_MSG", "注文はありません。");
	define("NO_ORDERS_MATCH_MSG", "一致する注文は見つかりませんでした。");
	define("VIEW_ORDER_DETAILS_MSG", "詳細を見る");
	define("ORDER_DETAILS_MSG", "注文詳細");
	define("PAYMENT_DETAILS_MSG", "お支払い情報");
	define("CHECKOUT_SUCCESS_TITLE", "お客様のご注文を受け付けました。");
	define("CHECKOUT_SUCCESS_MSG", "ご注文ありがとうございます。 お客様の注文番号は {order_id} です。");
	define("CHECKOUT_PENDING_TITLE", "お客様の注文は保留されています。");
	define("CHECKOUT_PENDING_MSG", "この処理はまだ完了していません。承認待ちです。");
	define("CHECKOUT_ERROR_TITLE", "注文エラー");
	define("CHECKOUT_ERROR_MSG", "注文処理中にエラーが生じました。 ご迷惑をおかけして申し訳ありません。");
	define("ORDER_CODE_ERROR", "認証パラメータに正しくない値が含まれています。");
	define("ORDER_PLACED_ERROR", "<b>注文</b> は既に送られました。");
	define("ORDER_EXISTS_ERROR", "<b>注文</b> は存在しません。");
	define("ORDER_NOTES_MSG", "注文メモ");
	define("ORDER_NOTE_MSG", "注文メモ");
	define("CANCEL_ORDER_MSG", "注文取り消し");
	define("CANCEL_ORDER_CONFIRM_MSG", "本当にこの注文を取り消しますか？");
	define("GROSS_SALES_MSG", "総売上");
	define("FEES_MSG", "手数料");
	define("NET_SALES_MSG", "純売上");
	define("ITEMS_NUMBER_COLUMN", "#Items");
	define("AVERAGE_PRICE_COLUMN", "平均価格");
	define("PAID_STATUS_MSG", "支払いステータス");
	define("PAID_MSG", "支払い済");
	define("NOT_PAID_MSG", "未払い");
	define("PAY_FOR_YOUR_ORDER_MSG", "この注文の支払いをする");
	define("REORDER_MSG", "Reorder");
	define("ORDER_MIN_PRODUCTS_COST_FIELD", "注文ごとの製品最小額");
	define("ORDER_MAX_PRODUCTS_COST_FIELD", "注文ごとの製品最大額");
	define("ORDER_MIN_WEIGHT_FIELD", "最小注文重量");
	define("ORDER_MAX_WEIGHT_FIELD", "最大注文重量");
	define("ORDER_MIN_PRODUCTS_COST_ERROR", "注文ごとの製品総コストの最少額は {min_cost} です。");
	define("ORDER_MAX_PRODUCTS_COST_ERROR", "注文ごとの製品総コストの最大額は {max_cost} です。");
	define("ORDER_MIN_WEIGHT_ERROR", "注文ごとの製品総重量の最小値は {min_weight} です。");
	define("ORDER_MAX_WEIGHT_ERROR", "注文ごとの製品総重量の最大値は {max_weight} です。");
	define("PURCHASED_PRODUCT_ERROR", "お客様は '{product_name}' を既に購入されています。再購入することはできません。");
	define("PURCHASED_PRODUCT_DAYS_ERROR", "お客様は '{product_name}' を既に購入されています。 {days_number} 日以内に再購入することはできません。");
	define("PREVENT_REPURCHASE_MSG", "再購入を不可にする");
	define("PREVENT_PRODUCT_REPURCHASE_MSG", "ある一定期間の間、お客様が同じ製品を再購入できないようにする。");
	define("REPURCHASE_PERIOD_MSG", "再購入期限");
	define("REPURCHASE_PERIOD_DESC", "お客様が同じ製品の再購入をできないようにするには、この項目は空欄にしてください。");
	define("MANUFACTURER_CODE_MSG", "メーカーコード");
	define("SHOW_MANUFACTURER_CODE_MSG", "メーカーコードを表示");
	define("APPROPRIATE_CODE_ERROR_MSG", "適切な注文を見つけることができません。");
	define("APPROPRIATE_LIBRARY_ERROR_MSG", "適切な PHP ライブラリを見つけることができません。");
	define("LINKS_SENT_MSG", "リンク送信");
	define("LINKS_FOR_ORDER_MSG", "お客様の注文番号へリンク");
	define("SERIAL_NUMBERS_FOR_ORDER_MSG", "Serial Numbers For Your Order #");
	define("SERIAL_NUMBERS_SENT_MSG", "Serial Numbers sent");
	define("NO_SERIAL_NUMBERS_MSG", "利用可能なシリアル番号はありません。");
	define("ADD_GIFT_VOUCHER_MSG", "ギフト券を追加");
	define("GIFT_VOUCHERS_MSG", "ギフト券");
	define("EDIT_GIFT_VOUCHER_MSG", "ギフト券を編集");
	define("GIFT_VOUCHERS_FOR_ORDERS_MSG", "Gift Vouchers For Your Order #");
	define("GIFT_VOUCHERS_SENT_MSG", "Gift Vouchers sent");
	define("CREDIT_AMOUNT_MSG", "クレジット金額");
	define("SUBSTRACT_CREDIT_AMOUNT_MSG", "Subtract credit amount from user balance");
	define("ADD_CREDIT_AMOUNT_MSG", "Add credit amount to user balance");
	define("CREDIT_ACTION_MSG", "Credit Action");
	define("PACKING_SLIP_NO_MSG", "Packing Slip No: ");
	define("REGISTER_PRODUCT_MSG", "Register Product");
	define("MY_PRODUCT_REGISTRATIONS_MSG", "My Registered Products");
	define("MY_PRODUCT_REGISTRATIONS_DESC", " ");
	define("REGISTER_MORE_PRODUCTS_MSG", "Register more products");
	define("REGISTRATION_NUMBER_MSG", "Registration Number");
	define("NO_PRODUCT_REGISTRATIONS_MSG", "No Product Registrations");
	define("REGISTRATION_PROD_CODE_COLUMN", "Code");
	define("REGISTRATION_TOTAL_COLUMN", "Total");
	define("REGISTRATION_PROD_TITLE_COLUMN", "Title");
	define("PRODUCT_REGISTRATION_MSG", "Product Registration");
	define("PRODUCT_REGISTRATION_SETTINGS_MSG", "Products Registration Settings");
	define("VIEW_REGISTERED_PRODUCTS_MSG", "View Registered Products");
	define("EDIT_REGISTERED_PRODUCTS_MSG", "Edit Registered Products");
	define("EDIT_REGISTRATION_CATEGORIES_MSG", "Edit Registration Categories");
	define("EDIT_REGISTRATION_PRODUCTS_MSG", "Edit Products Registrations");
	define("OPTIONS_TRADE_PRICE_MSG", "Options Trade Price");
	define("DEFAULT_LARGE_IMAGE_DESC", "shown if product doesn't have large image");
	define("DEFAULT_LARGE_IMAGE_MSG", "Default Large Image");
	define("LATEST_ADDED_PRODUCTS_REGISTRATIONS_MSG", "Latest Added Registrations");
	define("LATEST_MODIFIED_PRODUCTS_REGISTRATIONS_MSG", "Latest Modified Registrations");
	define("LATEST_ADDED_REGISTRATION_PRODUCTS_MSG", "Latest Added Registration Products");
	define("LATEST_MODIFIED_REGISTRATION_PRODUCTS_MSG", "Latest Modified Registration Products");
	define("REGISTRATION_PRODUCTS_MSG", "Registration Products");
	define("NO_REGISTRATION_PRODUCTS_MSG", "No Products Registration");
	define("BY_REGISTRATION_NUMBER_MSG", "By Registration Number");
	define("BY_PRODUCT_ID_MSG", "By Product ID");
	define("SEARCH_REGISTRATIONS_MSG", "Search Registrations");
	define("SELECT_REGISTRATIONS_NOTE", "Select Registrations");
	define("REMOVE_SELECTED_REGISTRATIONS_QST", "Remove selected registrations");
	define("EDIT_REGISTRATION_CATEGORY_MSG", "Edit Registration Category");
	define("EDIT_PRODUCT_REGISTRATION_MSG", "Edit Registration");
	define("IM_DONE_REGISTERING_MSG", "Im done registering");
	define("PRODUCT_REGISTRATION_PLACED_EMAIL_MSG", "Placed Email");
	define("PRODUCT_REGISTRATION_APPROVED_EMAIL_MSG", "Approved Email");
	define("PRODUCT_REGISTRATION_DECLINED_EMAIL_MSG", "Declined Email");
	define("STORE_NAME_FORM_MSG", "purchased from (Store name)");
	define("PREDEFINED_ORDER_EMAIL_MSG", "Predefined Order Email");
	define("DATE_OF_PURCHASE_MSG", "Date of purchase");
	define("STORE_NAME_MSG", "Store Name");
	define("NO_PRODUCTS_IN_CATEGORY_MSG", "There are no products in selected category. Please, select another one.");
	define("REGISTRATION_ID_MSG", "Registration ID");
	define("DAY_OF_PURCHASE_MSG", "Day of purchase");
	define("MONTH_OF_PURCHASE_MSG", "Month of purchase");
	define("YEAR_OF_PURCHASE_MSG", "Year of purchase");
	define("MERCHANT_STATUS_NOTIFY_MSG", "Send notification to Merchant(s) if status applied");
	define("MERCHANT_EMAIL_IF_EMPTY_MSG", "Merchant email used if is empty");
	define("MERCHANT_PRODUCTS_MSG", "Merchant products");
	define("ADMIN_STATUS_NOTIFY_MSG", "Send notification to Administrator(s) if status applied");
	define("SUPPLIER_NOTIFY_MSG", "Supplier notification");
	define("SUPPLIER_STATUS_NOTIFY_MSG", "Send notification to Supplier(s) if status applied");
	define("SUPPLIER_EMAIL_IF_EMPTY_MSG", "Supplier email used if is empty");
	define("SUPPLIER_PRODUCTS_MSG", "Supplier products");
	define("AFFILIATE_STATUS_NOTIFY_MSG", "Send notification to affiliate if status applied");
	define("AFFILIATE_EMAIL_IF_EMPTY_MSG", "Affiliate email used if is empty");
	define("AFFILIATE_PRODUCTS_MSG", "Affiliate products");

	define("RECURRING_PRICE_MSG", "Recurring Price");
	define("RECURRING_PRICE_DESC", "this amount will be added to all recurring payments");
	define("CART_PRODUCTS_MSG", "Cart Products");
	define("CART_RESTRICTIONS_MSG", "Cart Restrictions");
	define("CART_QUANTITY_MSG", "Cart Quantity");
	define("SUBCOMPONENT_ADDED_ONCE_MSG", "Subcomponent added only once with specified quantity");
	define("SUBCOMPONENT_QTY_MULTIPLY_MSG", "Multiply subcomponent quantity by parent product quantity");
	define("CUSTOMERS_LIST_BOUGHT_ITEM_TITLE", "Customers Who Bought This Item");

	define("VIEW_MERCHANT_PRODUCTS_MSG", "View Merchant's Products");
	define("SHIPPING_CALCULATOR_MSG", "Shipping Calculator");
	define("NO_SHIPPING_METHODS_MSG", "No shipping methods were found");
	define("NO_SHIPPING_MSG", "No Shipping");
	define("CUSTOM_SHIPPING_MSG", "Custom Shipping");
	define("NEW_SHIPPING_MSG", "New Shipping");
	define("REMOVE_PRODUCT_SHIPPING_MSG", "Would you like to remove {item_name} from this shipping?");

	define("ADD_MORE_COLUMNS_QST", "Add more columns?");
	define("DEFAULT_TABLE_VIEW_MSG", "Default Table View");
	define("OVERRIDE_TABLE_VIEW_MSG", "Override Table View");
	define("TABLE_VIEW_TYPE_MSG", "Table View Type");

	define("PARAMETER_WRONG_VALUE_MSG", "{param_name} parameter has wrong value.");
	define("CANNOT_OBTAIN_PARAMETER_MSG", "Can't obtain {param_name} parameter.");
	define("TRANSACTION_DECLINED_MSG", "Your transaction has been declined.");
	define("UNEXPECTED_GATEWAY_RESPONSE_MSG", "Unexpected response format from gateway.");
	define("EMPTY_GATEWAY_RESPONSE_MSG", "Empty response from gateway. Please check your settings.");
	define("CURL_INIT_ERROR_MSG", "Can't initialize cURL.");
	define("PROCESSING_TRANSACTION_ERROR_MSG", "There has occurred an error while processing the transaction.");
	define("UPS_PARAMETER_REQUIRED_MSG", "UPS module error: {param_name} is required.");

	define("STATUS_NEW_ORDER_MSG", "New Order");
	define("STATUS_PAYMENT_DATA_MSG", "Payment Data");
	define("STATUS_CONFIRMED_MSG", "Confirmed");
	define("STATUS_PAID_MSG", "Paid");
	define("STATUS_SHIPPED_MSG", "Shipped");
	define("STATUS_PENDING_MSG", "Pending");
	define("STATUS_CLOSED_MSG", "Closed");
	define("STATUS_DECLINED_MSG", "Declined");
	define("STATUS_VALIDATED_MSG", "Validated");
	define("STATUS_FAILED_MSG", "Failed");
	define("STATUS_DISPATCHED_MSG", "Dispatched");
	define("STATUS_CANCELLED_MSG", "Cancelled");
	define("STATUS_REFUNDED_MSG", "Refunded");
	define("STATUS_CAPTURED_MSG", "Captured");
	define("STATUS_VOIDED_MSG", "Voided");
	define("STATUS_AUTHORIZED_MSG", "Authorized");
	define("STATUS_INVOICE_SENT_MSG", "Invoice Sent");

?>