<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop 4.6.1                                                ***
  ***      File:  messages.php                                             ***
  ***      Built: Thu Dec 10 05:08:32 2015                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/

	define("CHARSET", "utf-8");
	// date messages
	define("YEAR_MSG", "年");
	define("YEARS_QTY_MSG", "{quantity} 年");
	define("MONTH_MSG", "月");
	define("MONTHS_QTY_MSG", "{quantity} 月");
	define("DAY_MSG", "日");
	define("DAYS_MSG", "日");
	define("DAYS_QTY_MSG", "{quantity} 日");
	define("HOUR_MSG", "時");
	define("HOURS_QTY_MSG", "{quantity} 時");
	define("MINUTE_MSG", "分");
	define("MINUTES_QTY_MSG", "{quantity} 分");
	define("SECOND_MSG", "秒");
	define("SECONDS_QTY_MSG", "{quantity} 秒");
	define("WEEK_MSG", "週");
	define("WEEKS_QTY_MSG", "{quantity} 週");
	define("TODAY_MSG", "今日");
	define("YESTERDAY_MSG", "昨日");
	define("LAST_7DAYS_MSG", "最近7日");
	define("THIS_MONTH_MSG", "今月");
	define("LAST_MONTH_MSG", "先月");
	define("THIS_QUARTER_MSG", "当四半期");
	define("THIS_YEAR_MSG", "今年");
	define("CURRENT_DATE_MSG", "現在の日付");
	define("CURRENT_TIME_MSG", "Current Time");
	define("DATE_MSG", "日付");

	// months
	define("JANUARY", "１月");
	define("FEBRUARY", "２月");
	define("MARCH", "３月");
	define("APRIL", "４月");
	define("MAY", "５月");
	define("JUNE", "６月");
	define("JULY", "７月");
	define("AUGUST", "８月");
	define("SEPTEMBER", "９月");
	define("OCTOBER", "１０月");
	define("NOVEMBER", "１１月");
	define("DECEMBER", "１２月");

	define("JANUARY_SHORT", "１月");
	define("FEBRUARY_SHORT", "２月");
	define("MARCH_SHORT", "３月");
	define("APRIL_SHORT", "４月");
	define("MAY_SHORT", "５月");
	define("JUNE_SHORT", "６月");
	define("JULY_SHORT", "７月");
	define("AUGUST_SHORT", "８月");
	define("SEPTEMBER_SHORT", "９月");
	define("OCTOBER_SHORT", "１０月");
	define("NOVEMBER_SHORT", "１１月");
	define("DECEMBER_SHORT", "１２月");

	// weekdays
	define("SUNDAY", "日曜日");
	define("MONDAY", "月曜日");
	define("TUESDAY", "火曜日");
	define("WEDNESDAY", "水曜日");
	define("THURSDAY", "木曜日");
	define("FRIDAY", "金曜日");
	define("SATURDAY", "土曜日");

	define("SUNDAY_SHORT", "日");
	define("MONDAY_SHORT", "月");
	define("TUESDAY_SHORT", "火");
	define("WEDNESDAY_SHORT", "水");
	define("THURSDAY_SHORT", "木");
	define("FRIDAY_SHORT", "金");
	define("SATURDAY_SHORT", "土");

	// validation messages
	define("REQUIRED_MESSAGE", "<b>{field_name}</b> は必須項目です。");
	define("UNIQUE_MESSAGE", "<b>{field_name}</b> の値はデータベースの中に存在しています。");
	define("VALIDATION_MESSAGE", "フィールド <b>{field_name}</b> の認証に失敗しました。");
	define("MATCHED_MESSAGE", "<b>{field_one}</b> と <b>{field_two}</b> は一致しませんでした。");
	define("INSERT_ALLOWED_ERROR", "挿入する権限はありません。");
	define("UPDATE_ALLOWED_ERROR", "アップデートする権限はありません。");
	define("DELETE_ALLOWED_ERROR", "削除する権限はありません。");
	define("ALPHANUMERIC_ALLOWED_ERROR", "フィールド <b>{field_name}</b> には、英数字、ハイフン、アンダーバーのみ使用することができます。");
	define("CORRECT_ERRORS_BELOW_MSG", "Please correct the errors below before continuing.");
	define("CORRECT_HIGHLIGHTED_FIELDS_MSG", "Please fill in all highlighted fields with correct values.");

	define("INCORRECT_DATE_MESSAGE", "<b>{field_name}</b> は不正な日付が含まれています。 カレンダーの日付を使用してください。");
	define("INCORRECT_MASK_MESSAGE", "<b>{field_name}</b> はマスクと一致しませんでした。 以下の '<b>{field_mask}</b>' を使用してください。");
	define("INCORRECT_EMAIL_MESSAGE", "フィールド {field_name} のＥメールが無効です");
	define("INCORRECT_VALUE_MESSAGE", "<b>{field_name}</b> の値が無効です");

	define("MIN_VALUE_MESSAGE", "フィールド <b> {field_name}</b> の最小値は {min_value} です。");
	define("MAX_VALUE_MESSAGE", "フィールド <b> {field_name}</b> の最大値は {max_value} です。");
	define("MIN_LENGTH_MESSAGE", "フィールド <b> {field_name}</b> の最小値は {min_value} 文字です。");
	define("MAX_LENGTH_MESSAGE", "フィールド <b> {field_name}</b> の最大値は {max_length} 文字です。");
	define("MIN_MAX_VALUE_MSG", "Please enter a value between {min_value} and {max_value}.");


	define("FILE_PERMISSION_MESSAGE", "ファイル <b>'{file_name}'</b> の書き込み権限がありません。 処理を続ける前にファイル権限を変更してください。");
	define("FOLDER_PERMISSION_MESSAGE", "フォルダ <b>'{folder_name}'</b> の書き込み権限がありません。 処理を続ける前にフォルダ権限を変更してください。");
	define("INVALID_EMAIL_MSG", "お客様のメールアドレスは無効です");
	define("DATABASE_ERROR_MSG", "データベースエラー");
	define("BLACK_IP_MSG", "この操作はホストから許可されていません");
	define("BANNED_CONTENT_MSG", "提供されたコンテンツに無効な内容が含まれています。");
	define("ERRORS_MSG", "エラー");
	define("REGISTERED_ACCESS_MSG", "このオプションは登録ユーザーの方のみご利用いただけます。");
	define("SELECT_FROM_LIST_MSG", "リストから選択");

	// titles 
	define("TOP_RATED_TITLE", "ランキング");
	define("TOP_VIEWED_TITLE", "最多閲覧");
	define("RECENTLY_VIEWED_TITLE", "最新の閲覧");
	define("HOT_TITLE", "お勧め");
	define("LATEST_TITLE", "最新記事");
	define("CONTENT_TITLE", "コンテンツ");
	define("RELATED_TITLE", "関連記事");
	define("SEARCH_TITLE", "検索");
	define("ADVANCED_SEARCH_TITLE", "詳細検索");
	define("LOGIN_TITLE", "ログイン名");
	define("CATEGORIES_TITLE", "カテゴリー");
	define("MANUFACTURERS_TITLE", "メーカー情報");
	define("SPECIAL_OFFER_TITLE", "特別価格");
	define("NEWS_TITLE", "News");
	define("EVENTS_TITLE", "キャンペーン");
	define("PROFILE_TITLE", "プロフィール");
	define("USER_HOME_TITLE", "個人ページ");
	define("DOWNLOAD_TITLE", "ダウンロード");
	define("FAQ_TITLE", "FAQ");
	define("POLL_TITLE", "投票");
	define("HOME_PAGE_TITLE", "ホームページ");
	define("CURRENCY_TITLE", "通貨");
	define("SUBSCRIBE_TITLE", "購読");
	define("UNSUBSCRIBE_TITLE", "購読解除");
	define("UPLOAD_TITLE", "アップロード");
	define("ADS_TITLE", "広告");
	define("ADS_COMPARE_TITLE", "広告比較");
	define("ADS_SELLERS_TITLE", "開発元");
	define("AD_REQUEST_TITLE", "依頼する/開発元に質問する");
	define("LANGUAGE_TITLE", "言語");
	define("MERCHANTS_TITLE", "加盟店");
	define("PREVIEW_TITLE", "プレビュー");
	define("ARTICLES_TITLE", "記事");
	define("SITE_MAP_TITLE", "サイトマップ");
	define("LAYOUTS_TITLE", "レイアウト");
	define("LINKS_TITLE", "Links");
	define("PROFILES_TITLE", "Profiles");
	define("DATING_TITLE", "Dating");
	define("RANDOM_TITLE", "Random");
	define("AUTHORS_MSG", "著者");
	define("AUTHOR_MSG", "Author");
	define("ALBUMS_MSG", "Albums");
	define("ALBUM_MSG", "Album");

	// menu items
	define("MENU_MSG", "メニュー");
	define("MENU_ABOUT", "会社概要");
	define("MENU_ACCOUNT", "アカウント");
	define("MENU_BASKET", "買い物かご");
	define("MENU_CONTACT", "お問い合わせ");
	define("MENU_DOCUMENTATION", "説明書");
	define("MENU_DOWNLOADS", "ダウンロード");
	define("MENU_EVENTS", "キャンペーン");
	define("MENU_FAQ", "FAQ");
	define("MENU_FORUM", "フォーラム");
	define("MENU_HELP", "ヘルプ");
	define("MENU_HOME", "ホーム");
	define("MENU_HOW", "ご注文方法");
	define("MENU_MEMBERS", "メンバー");
	define("MENU_MYPROFILE", "マイプロフィール");
	define("MENU_NEWS", "News");
	define("MENU_PRIVACY", "プライバシー");
	define("MENU_PRODUCTS", "製品");
	define("MENU_REGISTRATION", "登録");
	define("MENU_SHIPPING", "製品発送");
	define("MENU_SIGNIN", "サインイン");
	define("MENU_SIGNOUT", "サインアウト");
	define("MENU_SUPPORT", "サポート");
	define("MENU_USERHOME", "お客様個人ページ");
	define("MENU_ADS", "案内広告");
	define("MENU_ADMIN", "管理者メニュー");
	define("MENU_KNOWLEDGE", "ナレッジベース");
	define("NAVIGATION_BAR_MSG", "Navigation Bar");
	define("MAIN_PAGES_MSG", "メインページ");

	// main terms
	define("NO_MSG", "いいえ");
	define("YES_MSG", "はい");
	define("NOT_AVAILABLE_MSG", "在庫切れ");
	define("MORE_MSG", "続き");
	define("READ_MORE_MSG", "続きを読む");
	define("ADD_MORE_MSG", "Add more");
	define("CLICK_HERE_MSG", "ここをクリック");
	define("ENTER_YOUR_MSG", "入力");
	define("CHOOSE_A_MSG", "選択");
	define("PLEASE_CHOOSE_MSG", "選択してください");
	define("SELECT_MSG", "選択");
	define("DATE_FORMAT_MSG", "<b>{date_format}</b> の形式で入力してください");
	define("NEXT_PAGE_MSG", "次へ");
	define("PREV_PAGE_MSG", "戻る");
	define("FIRST_PAGE_MSG", "はじめ");
	define("LAST_PAGE_MSG", "最後");
	define("OF_PAGE_MSG", "の");
	define("TOP_CATEGORY_MSG", "トップ");
	define("SEARCH_IN_CURRENT_MSG", "現在のカテゴリー");
	define("SEARCH_IN_ALL_MSG", "全てのカテゴリー");
	define("FOUND_IN_MSG", "から探す");
	define("TOTAL_VIEWS_MSG", "全てのビュー");
	define("VOTES_MSG", "票");
	define("TOTAL_VOTES_MSG", "全ての票");
	define("TOTAL_POINTS_MSG", "全てのポイント");
	define("VIEW_RESULTS_MSG", "結果を見る");
	define("PREVIOUS_POLLS_MSG", "投票プレビュー");
	define("TOTAL_MSG", "合計");
	define("CLOSED_MSG", "閉じる");
	define("CLOSE_WINDOW_MSG", "閉じる");
	define("ASTERISK_MSG", "* -必須項目");
	define("PROVIDE_INFO_MSG", "赤色の項目に情報を入力し、'{button_name}' をクリックしてください");
	define("FOUND_ARTICLES_MSG", "{search_string}' を含む記事が {found_records} 件見つかりました");
	define("NO_ARTICLE_MSG", "このＩＤの記事は利用できません。");
	define("NO_ARTICLES_MSG", "記事が見つかりません");
	define("COMMENT_MSG", "Comment");
	define("NOTES_MSG", "メモ");
	define("KEYWORDS_MSG", "キーワード");
	define("TAGS_MSG", "Tags");
	define("TAG_MSG", "Tag");
	define("LINK_URL_MSG", "リンク");
	define("DOWNLOAD_URL_MSG", "ダウンロード");
	define("SUBSCRIBE_FORM_MSG", "ニュースレターをご希望の方は、メールアドレスを入力し '{button_name}' ボタンをクリックしてください。");
	define("UNSUBSCRIBE_FORM_MSG", "下記ボックスにメールアドレスを入力し、 '{button_name}' ボタンをクリックしてください。");
	define("SUBSCRIBE_LINK_MSG", "購読");
	define("UNSUBSCRIBE_LINK_MSG", "購読解除");
	define("SUBSCRIBED_MSG", "ありがとうございます。 ニュースレターに登録されました。");
	define("ALREADY_SUBSCRIBED_MSG", "メーリングリストに既に登録されています。 ");
	define("UNSUBSCRIBED_MSG", "ニュースレターの会員登録を解除しました。");
	define("UNSUBSCRIBED_ERROR_MSG", "お客様のメールアドレスは登録されていません。または、すでにニュースレターの購読を解除しています。");
	define("FORGOT_PASSWORD_MSG", "パスワードをお忘れの方");
	define("FORGOT_PASSWORD_DESC", "登録時のメールアドレスを入力してください。");
	define("FORGOT_EMAIL_ERROR_MSG", "お客様のメールアドレスは登録されていません。");
	define("FORGOT_EMAIL_SENT_MSG", "ログイン情報が、お客様のメールアドレス宛に送られました。");
	define("RESET_PASSWORD_REQUIRE_MSG", "いくつかの必須項目が欠けています。");
	define("RESET_PASSWORD_PARAMS_MSG", "入力されたパラメーターはデータベース内のパラメーターと一致しません。");
	define("RESET_PASSWORD_EXPIRY_MSG", "入力されたコードは期限切れです。 パスワードをリセットするには、新しいコードをリクエストしてください。");
	define("RESET_PASSWORD_SAVED_MSG", "新しいパスワードが正しく保存されました。");
	define("PRINTER_FRIENDLY_MSG", "印刷用画面");
	define("PRINT_PAGE_MSG", "このページを印刷");
	define("ATTACHMENTS_MSG", "添付ファイル");
	define("ATTACHMENT_MSG", "Attachment");
	define("VIEW_DETAILS_MSG", "詳細を見る");
	define("HTML_MSG", "ＨＴＭＬ");
	define("PLAIN_TEXT_MSG", "テキスト形式");
	define("META_DATA_MSG", "メタデータ");
	define("META_TITLE_MSG", "ページタイトル");
	define("META_KEYWORDS_MSG", "メタキーワード");
	define("META_DESCRIPTION_MSG", "メタディスクリプション");
	define("FRIENDLY_URL_MSG", "フレンドリー URL");
	define("IMAGES_MSG", "画像");
	define("IMAGE_MSG", "画像");
	define("TINY_MSG", "Tiny");
	define("IMAGE_TINY_MSG", "極小画像");
	define("IMAGE_TINY_ALT_MSG", "別の極小画像");
	define("SMALL_MSG", "Small");
	define("IMAGE_SMALL_MSG", "小画像");
	define("IMAGE_SMALL_DESC", "リストページに表示");
	define("IMAGE_SMALL_ALT_MSG", "別の小画像");
	define("LARGE_MSG", "Large");
	define("IMAGE_LARGE_MSG", "大画像");
	define("IMAGE_LARGE_DESC", "詳細ページに表示");
	define("IMAGE_LARGE_ALT_MSG", "別の大画像");
	define("SUPERSIZED_MSG", "Supersized");
	define("IMAGE_SUPER_MSG", "極大画像");
	define("IMAGE_SUPER_DESC", "新しいポップアップ ウィンドウで画像を表示");
	define("IMAGE_POSITION_MSG", "画像位置");
	define("UPLOAD_IMAGE_MSG", "画像をアップロード");
	define("UPLOAD_FILE_MSG", "ファイルをアップロード");
	define("SELECT_IMAGE_MSG", "画像を選択");
	define("SELECT_FILE_MSG", "ファイルを選択");
	define("UPLOAD_PHOTO_MSG", "Upload Photo");
	define("MANAGE_PHOTOS_MSG", "Manage Photos");
	define("SHOW_BELOW_PRODUCT_IMAGE_MSG", "大きい製品画像の下に画像を表示");
	define("SHOW_IN_SEPARATE_SECTION_MSG", "別のイメージセクションで画像を表示");
	define("IS_APPROVED_MSG", "承認済み");
	define("NOT_APPROVED_MSG", "承認待ち");
	define("IS_ACTIVE_MSG", "有効");
	define("CATEGORY_MSG", "カテゴリー");
	define("SELECT_CATEGORY_MSG", "カテゴリーの選択");
	define("REDIRECT_TO_CATEGORY_MSG", "Redirect to Category");
	define("DESCRIPTION_MSG", "詳細内容");
	define("SHORT_DESCRIPTION_MSG", "概要説明");
	define("FULL_DESCRIPTION_MSG", "詳細説明");
	define("HIGHLIGHTS_MSG", "ハイライト");
	define("SPECIAL_OFFER_MSG", "特別価格");
	define("ARTICLE_MSG", "記事");
	define("OTHER_MSG", "その他");
	define("MEASUREMENT_UNITS_MSG", "Measurement Units");
	define("WIDTH_MSG", "幅");
	define("HEIGHT_MSG", "高さ");
	define("LENGTH_MSG", "長さ");
	define("WEIGHT_MSG", "重さ");
	define("QUANTITY_MSG", "数量");
	define("CALENDAR_MSG", "カレンダー");
	define("FROM_DATE_MSG", "対象期間（開始日）");
	define("TO_DATE_MSG", "対象期間（終了日）");
	define("TIME_PERIOD_MSG", "期間");
	define("GROUP_BY_MSG", "集計単位");
	define("BIRTHDAY_MSG", "誕生日");
	define("BIRTH_DATE_MSG", "誕生日");
	define("BIRTH_YEAR_MSG", "年");
	define("BIRTH_MONTH_MSG", "月");
	define("BIRTH_DAY_MSG", "日");
	define("STEP_NUMBER_MSG", "{total_steps} の {current_step} ステップ");
	define("WHERE_STATUS_IS_MSG", "のステータス");
	define("ID_MSG", "ID");
	define("QTY_MSG", "数量");
	define("TYPE_MSG", "タイプ");
	define("NAME_MSG", "名前");
	define("TITLE_MSG", "タイトル");
	define("DEFAULT_MSG", "デフォルト");
	define("OPTIONS_MSG", "オプション");
	define("EDIT_MSG", "編集");
	define("MULTI_EDIT_MSG", "Multi-edit");
	define("CONFIRM_DELETE_MSG", "この {record_name} を削除しますか?");
	define("DESC_MSG", "降順");
	define("ASC_MSG", "昇順");
	define("ACTIVE_MSG", "有効");
	define("INACTIVE_MSG", "無効");
	define("EXPIRED_MSG", "期限切れ");
	define("EMOTICONS_MSG", "顔文字");
	define("EMOTION_ICONS_MSG", "顔文字");
	define("VIEW_MORE_EMOTICONS_MSG", "その他の顔文字を見る");
	define("SITE_NAME_MSG", "サイト名");
	define("SITE_URL_MSG", "サイトURL");
	define("SORT_ORDER_MSG", "並び替え");
	define("NEW_MSG", "新規");
	define("USED_MSG", "使用済み");
	define("REFURBISHED_MSG", "修復済み");
	define("ADD_NEW_MSG", "新規追加");
	define("SETTINGS_MSG", "設定");
	define("VIEW_MSG", "見る");
	define("STATUS_MSG", "ステータス");
	define("NONE_MSG", "なし");
	define("PRICE_MSG", "価格");
	define("TEXT_MSG", "テキスト");
	define("WARNING_MSG", "警告");
	define("HIDDEN_MSG", "非表示");
	define("CODE_MSG", "コード");
	define("LANGUAGE_MSG", "言語");
	define("DEFAULT_VIEW_TYPE_MSG", "デフォルト表示");
	define("CLICK_TO_OPEN_SECTION_MSG", "クリックしセクションを開く");
	define("CURRENCY_WRONG_VALUE_MSG", "通貨コードが正しくありません。");
	define("TRANSACTION_AMOUNT_DOESNT_MATCH_MSG", "<b>決済価格</b> と <b>注文価格</b> が一致しません。");
	define("STATUS_CANT_BE_UPDATED_MSG", "注文 #{order_id} のステータスは更新することはできません。 ");
	define("CANT_FIND_STATUS_MSG", "ステータス ID:{status_id} を見つけることができません。");
	define("NOTIFICATION_SENT_MSG", "お知らせ通知送信");
	define("AUTO_SUBMITTED_PAYMENT_MSG", "自動提示支払い");
	define("FONT_METRIC_FILE_ERROR", "フォント メトリック ファイルを含むことができませんでした。");
	define("PER_LINE_MSG", "行ごとに");
	define("PER_LETTER_MSG", "文字ごとに");
	define("PER_NON_SPACE_LETTER_MSG", "ノンスペース文字ごとに");
	define("LETTERS_ALLOWED_MSG", "許可された文字");
	define("LETTERS_ALLOWED_PER_LINEMSG", "行ごとに許可された文字");
	define("RENAME_MSG", "名前を変更");
	define("IMAGE_FORMAT_ERROR_MSG", "画像フォーマットは GD ライブラリによってサポートされていません。");
	define("GD_LIBRARY_ERROR_MSG", "GD ライブラリがロードされていません。");
	define("INVALID_CODE_MSG", "無効コード: ");
	define("INVALID_CODE_TYPE_MSG", "無効コードタイプ:");
	define("INVALID_FILE_EXTENSION_MSG", "無効ファイル拡張子:");
	define("FOLDER_WRITE_PERMISSION_MSG", "ファイルが存在しません、または、許可されていません。");
	define("UNDEFINED_RECORD_PARAMETER_MSG", "未定義レコードパラメータ: <b>{parameter_name}</b>");
	define("MAX_RECORDS_LIMITATION_MSG", "このバージョンでは、<b>{max_records}</b> {records_name} 以上は追加することができません。");
	define("ACCESS_DENIED_MSG", "このセクションにアクセスすることはできません。");
	define("DELETE_RECORDS_BEFORE_PROCEED_MSG", "処理を進める前に、いくつかの {records_name} を削除してください。");
	define("FOLDER_DOESNT_EXIST_MSG", "フォルダは存在しません。");
	define("FILE_DOESNT_EXIST_MSG", "ファイルは存在しません。");
	define("PARSE_ERROR_IN_BLOCK_MSG", "ブロック構文エラー:");
	define("BLOCK_DOENT_EXIST_MSG", "ブロックは存在しません:");
	define("NUMBER_OF_ELEMENTS_MSG", "エレメント数");
	define("MISSING_COMPONENT_MSG", "コンポーネントまたはパラメータがありません。");
	define("RELEASES_TITLE", "リリース");
	define("DETAILED_MSG", "詳細");
	define("LIST_MSG", "リスト");
	define("READONLY_MSG", "読み取り専用");
	define("CREDIT_MSG", "クレジット");
	define("ONLINE_MSG", "オンライン");
	define("OFFLINE_MSG", "オフライン");
	define("SMALL_CART_MSG", "スモールカート");
	define("NEVER_MSG", "Never");
	define("SEARCH_EXACT_WORD_OR_PHRASE", "exact wording or phrase");
	define("SEARCH_ONE_OR_MORE", "one or more of these words");
	define("SEARCH_ALL", "all these words");
	define("RELATED_ARTICLES_MSG", "関連記事");
	define("RELATED_FORUMS_MSG", "Related Forums");
	define("APPEARANCE_MSG", "Appearance");
	define("REMOVE_FILTER_MSG", "remove filter");

	define("RECORD_UPDATED_MSG", "The record has been successfully updated.");
	define("RECORD_ADDED_MSG", "New record has been successfully added.");
	define("RECORD_DELETED_MSG", "The record has been successfully deleted.");
	define("FAST_PRODUCT_ADDING_MSG", "Fast Product Adding");
	define("CHANGES_SAVED_MSG", "Changes saved");
	define("CURRENT_SUBSCRIPTION_MSG", "Current Subscription");
	define("SUBSCRIPTION_EXPIRATION_MSG", "Subscription expiration date");
	define("UPGRADE_DOWNGRADE_MSG", "Upgrade/Downgrade");
	define("SUBSCRIPTION_MONEY_BACK_MSG", "Subscription Money Back");
	define("MONEY_TO_CREDITS_BALANCE_MSG", "money will be added to your credits balance");
	define("USED_VOUCHERS_MSG", "Used Vouchers");
	define("VOUCHERS_TOTAL_MSG", "Vouchers Total");
	define("SUBSCRIPTIONS_GROUPS_MSG", "Subscriptions Groups");
	define("SUBSCRIPTIONS_GROUP_MSG", "Subscriptions Group");
	define("SUBSCRIPTIONS_MSG", "Subscriptions");
	define("SUBSCRIPTION_START_DATE_MSG", "Subscription Start Date");
	define("SUBSCRIPTION_EXPIRY_DATE_MSG", "Subscription Expiration Date");
	define("RECALCULATE_COMMISSIONS_AND_POINTS_MSG", "Automatically recalculate commissions and points for this item using price value");
	define("SUBSCRIPTION_PAGE_MSG", "Subscription page");
	define("SUBSCRIPTION_WITHOUT_REGISTRATION_MSG", "User can add subscriptions to his cart without registration");
	define("SUBSCRIPTION_REQUIRE_REGISTRATION_MSG", "User must have an account before accessing subscription page");

	define("MATCH_EXISTED_PRODUCTS_MSG", "Match Existing Products");
	define("MATCH_BY_ITEM_CODE_MSG", "by product code");
	define("MATCH_BY_MANUFACTURER_CODE_MSG", "by manufacturer code");
	define("DISPLAY_COMPONENTS_AND_OPTIONS_LIST_MSG", "Display options and components list");
	define("AS_LIST_MSG", "as list");
	define("AS_TABLE_MSG", "as table");

	define("ACCOUNT_SUBSCRIPTION_MSG", "Account subscription");
	define("ACCOUNT_SUBSCRIPTION_DESC", "To activate his account user needs to pay the subscription fee");
	define("SUBSCRIPTION_CANCELLATION_MSG", "Subscription cancellation");
	define("CONFIRM_CANCEL_SUBSCRIPTION_MSG", "Are you sure you want cancel this subscription?");
	define("CONFIRM_RETURN_SUBSCRIPTION_MSG", "Are you sure you want cancel this subscription and return {credits_amount} to balance?");
	define("CANCEL_SUBSCRIPTION_MSG", "Cancel Subscription");
	define("DONT_RETURN_MONEY_MSG", "Don't return the money");
	define("RETURN_MONEY_TO_CREDITS_BALANCE_MSG", "Return money for unused period to credits balance");
	define("UPGRADE_DOWNGRADE_TYPE_MSG", "Can user upgrade/downgrade his account type");

	define("PREDEFINED_TYPES_MSG", "Predefined Types");
	define("SHIPPING_TAX_PERCENT_MSG", "Shipping Tax Percent");
	define("PACKAGES_NUMBER_MSG", "Number of Packages");
	define("PER_PACKAGE_MSG", "per package");
	define("CURRENCY_SHOW_DESC", "user can choose this currency in which prices will be shown");
	define("CURRENCY_DEFAULT_SHOW_DESC", "all prices shown by default in this currency");
	define("RECOMMENDED_MSG", "Recomended");
	define("UPDATE_STATUS_MSG", "Update status");

	define("FIRST_CONTROLS_ARE_FREE_MSG", "最初の {free_price_amount} コントロールは無料です。");
	define("FIRST_LETTERS_ARE_FREE_MSG", "最初の {free_price_amount} 文字は無料です。");
	define("FIRST_NONSPACE_LETTERS_ARE_FREE_MSG", "最初の {free_price_amount} 文字 (スペースを除く) は無料です。");

	// email & SMS messages
	define("EMAIL_NOTIFICATION_MSG", "Eメール通知");
	define("EMAIL_NOTIFICATION_ADMIN_MSG", "管理者Ｅメール通知");
	define("EMAIL_NOTIFICATION_USER_MSG", "ユーザーＥメール通知");
	define("EMAIL_SEND_ADMIN_MSF", "管理者に通知 ");
	define("EMAIL_SEND_USER_MSG", "ユーザーに通知");
	define("EMAIL_USER_IF_STATUS_MSG", "このステータスが適用されるとき、ユーザーにＥメール通知を送信する");
	define("EMAIL_TO_MSG", "To");
	define("EMAIL_TO_USER_DESC", "空白の場合、お客様の E メールを使用");
	define("EMAIL_FROM_MSG", "From ");
	define("EMAIL_CC_MSG", "Cc");
	define("EMAIL_BCC_MSG", "Bcc");
	define("EMAIL_REPLY_TO_MSG", "Reply To");
	define("EMAIL_RETURN_PATH_MSG", "リターンパス");
	define("EMAIL_SUBJECT_MSG", "件名");
	define("EMAIL_MESSAGE_TYPE_MSG", "メッセージ形式");
	define("EMAIL_MESSAGE_MSG", "メッセージ");
	define("SMS_NOTIFICATION_MSG", "SMS通知");
	define("SMS_NOTIFICATION_ADMIN_MSG", "管理者 SMS 通知");
	define("SMS_NOTIFICATION_USER_MSG", "ユーザー SMS 通知 ");
	define("SMS_SEND_ADMIN_MSG", "管理者に SMS 通知を送信");
	define("SMS_SEND_USER_MSG", "ユーザーに SMS 通知を送信 ");
	define("SMS_USER_IF_STATUS_MSG", "このステータスが適用されるとき、ユーザーに SMS 通知を送信する");
	define("SMS_RECIPIENT_MSG", "SMS の受信者");
	define("SMS_RECIPIENT_ADMIN_DESC", "管理者の携帯電話番号");
	define("SMS_RECIPIENT_USER_DESC", "空白の場合携帯電話番号を使用");
	define("SMS_ORIGINATOR_MSG", "SMS 発信者");
	define("SMS_MESSAGE_MSG", "SMS メッセージ");

	// account messages
	define("LOGIN_AS_MSG", "ユーザー名");
	define("LOGIN_INFO_MSG", "ログイン情報");
	define("ACCESS_HOME_MSG", "個人ページにアクセスするには");
	define("REMEMBER_LOGIN_MSG", "ユーザー名とパスワードを記憶");
	define("ENTER_LOGIN_MSG", "ユーザー名とパスワードを入力してください。");
	define("LOGIN_PASSWORD_ERROR", "パスワードまたはユーザー名が正しくありません。");
	define("ACCOUNT_APPROVE_ERROR", "アカウントはまだ承認されていません。");
	define("ACCOUNT_EXPIRED_MSG", "アカウントの有効期限が切れています。");
	define("SESSION_EXPIRED_MSG", "Your session has expired.");
	define("NEW_PROFILE_ERROR", "アカウントを作成する権限がありません。");
	define("EDIT_PROFILE_ERROR", "このプロフィールを編集する権限がありません。");
	define("CHANGE_DETAILS_MSG", "お客様情報を変更する");
	define("CHANGE_DETAILS_DESC", "お客様情報やログイン情報を変更するには上のリンクをクリックしてください。");
	define("CHANGE_PASSWORD_MSG", "パスワードを変更する");
	define("CHANGE_PASSWORD_DESC", "パスワード変更を変更するには以下のリンクをクリックしてください。");
	define("SIGN_UP_MSG", "新規会員登録はこちら ");
	define("MY_ACCOUNT_MSG", "マイアカウント");
	define("NEW_USER_MSG", "新しいユーザー");
	define("EXISTS_USER_MSG", "登録済みユーザー");
	define("EDIT_PROFILE_MSG", "プロフィールを編集");
	define("PERSONAL_DETAILS_MSG", "お客様情報");
	define("DELIVERY_DETAILS_MSG", "配送情報");
	define("SAME_DETAILS_MSG", "配送先が上記と同じ場合ここをチェックしてください。<br>異なる場合は、下記に配送先情報を入力してください。");
	define("DELIVERY_MSG", "配送");
	define("SUBSCRIBE_CHECKBOX_MSG", "ニュースレターの配信を希望する場合は、このボックスをチェックしてください。");
	define("ADDITIONAL_DETAILS_MSG", "追加詳細");
	define("GUEST_MSG", "ゲスト");
	define("USER_MSG", "User");
	define("SELECT_USER_MSG", "Select User");

	// ads messages
	define("MY_ADS_MSG", "My 広告");
	define("MY_ADS_DESC", "販売をご希望の製品がある場合、ここに広告を掲載することができます。 広告の設定は簡単に行えます。");
	define("AD_GENERAL_MSG", "広告概要");
	define("ALL_ADS_MSG", "すべての広告");
	define("AD_SELLER_MSG", "販売者");
	define("AD_START_MSG", "掲載開始日");
	define("AD_RUNS_MSG", "掲載期間");
	define("AD_QTY_MSG", "数量");
	define("AD_AVAILABILITY_MSG", "在庫");
	define("AD_COMPARED_MSG", "比較広告を許可");
	define("AD_UPLOAD_MSG", "画像をアップロード");
	define("AD_LOCATION_MSG", "場所");
	define("AD_LOCATION_INFO_MSG", "追加情報");
	define("AD_PROPERTIES_MSG", "広告プロパティ");
	define("AD_SPECIFICATION_MSG", "広告仕様");
	define("AD_MORE_IMAGES_MSG", "追加画像");
	define("AD_IMAGE_DESC_MSG", "画像の説明");
	define("AD_DELETE_CONFIRM_MSG", "この広告を削除しますか？");
	define("AD_NOT_APPROVED_MSG", "承認待ち");
	define("AD_RUNNING_MSG", "掲載中");
	define("AD_CLOSED_MSG", "終了");
	define("AD_NOT_STARTED_MSG", "開始待ち");
	define("AD_NEW_ERROR", "新しい広告を作成する権限がありません。");
	define("AD_EDIT_ERROR", "この広告を編集する権限がありません。");
	define("AD_DELETE_ERROR", "この広告を削除する権限がありません。");
	define("NO_ADS_MSG", "現在、登録されている広告はありません。");
	define("NO_AD_MSG", "この ID の広告はこのカテゴリー内では利用できません。");
	define("FOUND_ADS_MSG", "<b>{search_string}</b>' に一致する広告が {found_records} 件見つかりました。");
	define("AD_OFFER_MESSAGE_MSG", "質問");
	define("AD_OFFER_LOGIN_ERROR", "先へ進むには、ログインしてください。");
	define("AD_REQUEST_BUTTON", "質問を送信");
	define("AD_SENT_MSG", "あなたの質問は問題なく送信されました。");
	define("ADS_SETTINGS_MSG", "Ads Settings");
	define("ADS_DAYS_MSG", "Days to run Ad");
	define("ADS_HOT_DAYS_MSG", "Days to run Hot Ad");
	define("AD_HOT_OFFER_MSG", "Hot Offer");
	define("AD_HOT_ACTIVATE_MSG", "Add this Ad to Hot Offers section");
	define("AD_HOT_START_MSG", "Hot Offer Start Date");
	define("AD_HOT_DESCRIPTION_MSG", "Hot Description");
	define("ADS_SPECIAL_DAYS_MSG", "Days to run Special Ad");
	define("AD_SPECIAL_OFFER_MSG", "Special Offer");
	define("AD_SPECIAL_ACTIVATE_MSG", "Add this Ad to Special Offers section");
	define("AD_SPECIAL_START_MSG", "Special Offer Start Date");
	define("AD_SPECIAL_DESCRIPTION_MSG", "Special Offer Description");
	define("AD_CREDITS_BALANCE_ERROR", "Not enough credits on your balance, you need {more_credits} more to post this Ad.");
	define("AD_CREDITS_MSG", "Ad Credits");
	define("ADS_SPECIAL_OFFERS_SETTINGS_MSG", "Ads Special Offers Settings");
	//ad types
	define("AD_PRODUCT_TYPE_MSG", "Product");
	define("AD_ACCESSORY_TYPE_MSG", "Accessory");

	define("EDIT_DAY_MSG", "Edit Day");
	define("DAYS_PRICE_MSG", "Days Price");
	define("ADS_PUBLISH_PRICE_MSG", "Price to post Ad");
	define("DAYS_NUMBER_MSG", "Number of Days");
	define("DAYS_TITLE_MSG", "Days Title");
	define("USER_ADS_LIMIT_MSG", "Number of ads can be added by user");
	define("USER_ADS_LIMIT_DESC", "leave this field blank if you do not want to limit number of ads user can post");
	define("USER_ADS_LIMIT_ERROR", "Sorry, but you are not allowed to add more than {ads_limit} ads.");

	define("ADS_SHOW_TERMS_MSG", "Show Terms & Conditions");
	define("ADS_SHOW_TERMS_DESC", "To submit an ad user has to read and agree to our terms and conditions");
	define("ADS_TERMS_MSG", "Terms & Conditions");
	define("ADS_TERMS_USER_DESC", "I have read and agree to your terms and conditions");
	define("ADS_TERMS_USER_ERROR", "To submit an ad you have to read and agree to our terms and conditions");
	define("ADS_ACTIVATION_MSG", "Ads Activation");
	define("ACTIVATE_ADS_MSG", "Activate Ads");
	define("ACTIVATE_ADS_NOTE", "automatically activate all user ads if his status changed to 'Approved'");
	define("DEACTIVATE_ADS_MSG", "Deactivate Ads");
	define("DEACTIVATE_ADS_NOTE", "automatically deactivate all user ads if his status changed to 'Not Approved'");

	define("MIN_ALLOWED_ADS_PRICE_MSG", "Minimum Allowed Price");
	define("MIN_ALLOWED_ADS_PRICE_NOTE", "leave this field blank if you do not want to limit the lower price for ads");
	define("MAX_ALLOWED_ADS_PRICE_MSG", "Maximum Allowed Price");
	define("MAX_ALLOWED_ADS_PRICE_NOTE", "leave this field blank if you do not want to limit the higher price for ads");

	// search message
	define("SEARCH_FOR_MSG", "検索キーワード");
	define("SEARCH_IN_MSG", "検索項目");
	define("SEARCH_TITLE_MSG", "タイトル");
	define("SEARCH_CODE_MSG", "コード");
	define("SEARCH_SHORT_DESC_MSG", "概要説明");
	define("SEARCH_FULL_DESC_MSG", "詳細説明");
	define("SEARCH_CATEGORY_MSG", "カテゴリー");
	define("SEARCH_MANUFACTURER_MSG", "メーカー");
	define("SEARCH_SELLER_MSG", "販売元");
	define("SEARCH_PRICE_MSG", "価格帯");
	define("SEARCH_WEIGHT_MSG", "重量");
	define("SEARCH_RESULTS_MSG", "検索結果");
	define("FULL_SITE_SEARCH_MSG", "全サイト検索");
	define("KEYWORDS_CRITERION_MSG", "Keywords: <b>{keywords}</b>");
	define("AUTHOR_CRITERION_MSG", "Author: <b>{author}</b>");
	define("CATEGORY_CRITERION_MSG", "Category: <b>{category}</b>");
	define("DATE_CRITERION_MSG", "Date: <b>{date}</b>");
	define("TYPE_CRITERION_MSG", "Type: <b>{type}</b>");
	define("COUNTRY_CRITERION_MSG", "Country: <b>{country}</b>");
	define("STATE_CRITERION_MSG", "State: <b>{state}</b>");
	define("POSTAL_CODE_CRITERION_MSG", "Postal code: <b>{postal_code}</b>");
	define("AGE_CRITERION_MSG", "Age: <b>{age}</b>");

	// compare messages
	define("COMPARE_MSG", "比較");
	define("COMPARE_REMOVE_MSG", "削除");
	define("COMPARE_REMOVE_HELP_MSG", "比較テーブルからこの製品を削除するにはここをクリックしてください。");
	define("COMPARE_MIN_ALLOWED_MSG", "少なくとも製品を2つ選んでください。");
	define("COMPARE_MAX_ALLOWED_MSG", "製品を５つ以上選ぶことはできません。");
	define("COMPARE_PARAM_ERROR_MSG", "比較パラメーターに正しくない値が含まれています。");

	// Tell a friend messages
	define("TELL_FRIEND_TITLE", "友人に紹介する");
	define("TELL_FRIEND_SUBJECT_MSG", "このリンクはあなたの友人から送られてきました。");
	define("TELL_FRIEND_DEFAULT_MSG", "こんにちは {friend_name} 様- このサイト {site_url} の {item_title} にきっとご興味いただけると思います。");
	define("TELL_YOUR_NAME_FIELD", "名前");
	define("TELL_YOUR_EMAIL_FIELD", "メールアドレス");
	define("TELL_FRIENDS_NAME_FIELD", "友達の名前");
	define("TELL_FRIENDS_EMAIL_FIELD", "友達のＥメール");
	define("TELL_COMMENT_FIELD", "コメント");
	define("TELL_FRIEND_PRIVACY_NOTE_MSG", "プライバシーについて: お客様のメールアドレス、または友人のメールアドレスをこのサイト以外の目的には一切利用しません。");
	define("TELL_SENT_MSG", "メッセージは無事送信されました。<br>ありがとうございます。");
	define("TELL_FRIEND_MESSAGE_MSG", "Thought you might be interested in seeing the {item_title} at {item_url}\\n\\n{user_name} left you a note:\\n{user_comment}");
	define("TELL_FRIEND_PARAM_MSG", "Introduce a friend' URL");
	define("TELL_FRIEND_PARAM_DESC", "adds a friend's URL parameter to a 'Tell a Friend' link if it exists for a user");
	define("FRIEND_COOKIE_EXPIRES_MSG", "Friend Cookie Expires");
	// fields
	define("CONTACT_US_TITLE", "お問い合わせ");
	define("CONTACT_USER_NAME_FIELD", "名前");
	define("CONTACT_USER_EMAIL_FIELD", "メールアドレス");
	define("CONTACT_SUMMARY_FIELD", "件名");
	define("CONTACT_DESCRIPTION_FIELD", "詳細内容");
	define("CONTACT_REQUEST_SENT_MSG", "送信完了");

	// internal messages system
	define("FOLDER_INBOX_MSG", "Inbox");
	define("FOLDER_SENT_MSG", "Sent");
	define("FOLDER_DRAFT_MSG", "Draft");
	define("FOLDER_TRASH_MSG", "Trash");
	define("READ_MSG", "Read");
	define("USER_NOT_FOUND_MSG", "User {username} wasn't found.");
	define("MESSAGE_SAVED_MSG", "Your message has been saved.");
	define("NO_MESSAGES_MSG", "No messages were found");
	define("SEND_ME_MESSAGE_MSG", "Send me a Message");
	define("WRITE_NEW_MESSAGE_MSG", "Write a new Message");
	define("REACH_BOX_LIMIT_MSG", "You reach box limit - {box_limit} messages. Delete some messages before proceed.");
	define("MESSAGES_DAY_LIMIT_ERROR", "You can't send more than {day_limit} messages per day.");

	// buttons
	define("GO_BUTTON", "検索");
	define("CONTINUE_BUTTON", "次へ");
	define("BACK_BUTTON", "戻る");
	define("NEXT_BUTTON", "次へ");
	define("PREV_BUTTON", "戻る");
	define("SIGN_IN_BUTTON", "サインイン");
	define("LOGIN_BUTTON", "ログイン");
	define("LOGOUT_BUTTON", "ログアウト");
	define("SEARCH_BUTTON", "検索");
	define("RATE_IT_BUTTON", "評価する");
	define("ADD_BUTTON", "追加");
	define("UPDATE_BUTTON", "更新");
	define("APPLY_BUTTON", "適用");
	define("REGISTER_BUTTON", "登録");
	define("VOTE_BUTTON", "投票する");
	define("CANCEL_BUTTON", "キャンセル");
	define("CLEAR_BUTTON", "クリア");
	define("RESET_BUTTON", "リセット");
	define("DELETE_BUTTON", "削除");
	define("DELETE_ALL_BUTTON", "全て削除");
	define("SUBSCRIBE_BUTTON", "購読");
	define("UNSUBSCRIBE_BUTTON", "購読解除");
	define("SUBMIT_BUTTON", "送信");
	define("UPLOAD_BUTTON", "アップロード");
	define("SEND_BUTTON", "送信");
	define("PREVIEW_BUTTON", "プレビュー");
	define("FILTER_BUTTON", "フィルター");
	define("DOWNLOAD_BUTTON", "ダウンロード");
	define("REMOVE_BUTTON", "削除");
	define("EDIT_BUTTON", "編集");
	define("CHANGE_BUTTON", "Change");
	define("SAVE_BUTTON", "Save");
	define("REPLY_BUTTON", "返信");
	define("FORWARD_BUTTON", "Forward");

	// controls
	define("CHECKBOXLIST_MSG", "チェックボックスリスト");
	define("LABEL_MSG", "ラベル");
	define("LISTBOX_MSG", "リストボックス");
	define("RADIOBUTTON_MSG", "ラジオボタン");
	define("TEXTAREA_MSG", "テキストエリア");
	define("TEXTBOX_MSG", "テキストボックス　");
	define("TEXTBOXLIST_MSG", "テキストボックスリスト");
	define("WIDTH_AND_HEIGHT_MSG", "Width & Height");
	define("IMAGEUPLOAD_MSG", "画像アップデート");
	define("IMAGE_SELECT_MSG", "Image Select");
	define("CREDIT_CARD_MSG", "クレジットカード番号");
	define("GROUP_MSG", "グループ");

	// fields
	define("LOGIN_FIELD", "ユーザ名");
	define("USERNAME_FIELD", "ユーザ名");
	define("PASSWORD_FIELD", "パスワード");
	define("CONFIRM_PASS_FIELD", "パスワードの確認");
	define("NEW_PASS_FIELD", "新しいパスワード");
	define("CURRENT_PASS_FIELD", "現在のパスワード");
	define("FULL_NAME_FIELD", "名前");
	define("FIRST_NAME_FIELD", "名");
	define("LAST_NAME_FIELD", "姓");
	define("NICKNAME_FIELD", "ニックネーム");
	define("PERSONAL_IMAGE_FIELD", "個人画像");
	define("COMPANY_SELECT_FIELD", "会社");
	define("SELECT_COMPANY_MSG", "会社を選択");
	define("COMPANY_NAME_FIELD", "会社名");
	define("EMAIL_FIELD", "Ｅメール");
	define("STREET_FIRST_FIELD", "住所1");
	define("STREET_SECOND_FIELD", "住所2");
	define("CITY_FIELD", "市区郡");
	define("PROVINCE_FIELD", "都道府県");
	define("SELECT_STATE_MSG", "都道府県の選択");
	define("STATE_FIELD", "都道府県");
	define("ZIP_FIELD", "郵便番号");
	define("SELECT_COUNTRY_MSG", "国を選択");
	define("COUNTRY_FIELD", "国");
	define("PHONE_FIELD", "電話番号");
	define("DAYTIME_PHONE_FIELD", "昼間の連絡先");
	define("EVENING_PHONE_FIELD", "夜間の連絡先");
	define("CELL_PHONE_FIELD", "携帯電話");
	define("FAX_FIELD", "FAX");
	define("VALIDATION_CODE_FIELD", "確認コード");
	define("AFFILIATE_CODE_FIELD", "アフィリエイトコード");
	define("AFFILIATE_CODE_HELP_MSG", "弊社サイトへの加盟リンクの作成をご希望の方は、こちらの URL {affiliate_url} を使用してください。");
	define("PAYPAL_ACCOUNT_FIELD", "PayPal アカウント");
	define("TAX_ID_FIELD", "Tax 番号");
	define("MSN_ACCOUNT_FIELD", "MSN アカウント");
	define("ICQ_NUMBER_FIELD", "ICQ 番号");
	define("USER_SITE_URL_FIELD", "会員サイトURL");
	define("HIDDEN_STATUS_FIELD", "ステータスを非表示にする");
	define("HIDE_MY_ONLINE_STATUS_MSG", "オンラインステータスを表示しない");
	define("SHOW_ON_SITE_FIELD", "Show on site");
	define("SUMMARY_MSG", "概要");
	define("MY_ADDRESS_BOOK_MSG", "My Address Book");
	define("MY_ADDRESS_BOOK_DESC", "Manage your address book of delivery addresses so the next time you order anything you could pick it up on from the list of delivery addresses without having to re-type the address over again.");
	define("ADDRESS_MSG", "Address");
	define("ADDRESS_TYPE_MSG", "Address Type");
	define("MY_ADDRESSES_MSG", "My Addresses");
	define("NO_ADDRESSES_MSG", "No addresses were found");
	define("SELECT_ADDRESS_MSG", "Select Address");
	define("SELECT_COUNTRY_FIRST_MSG", "Select country first");
	define("NO_STATES_FOR_COUNTRY_MSG", "No states available for selected country");
	define("ACCESS_TOKEN_MSG", "Access Token");
	define("MY_MESSAGES_MSG", "My Messages");
	define("MY_MESSAGES_DESC", "Here you can communicate with other users without having to share your e-mail addresses.");
	define("TERMS_MSG", "Terms & Conditions");
	define("TERMS_USER_DESC", "I have read and agree to your terms and conditions");

	// general form tabs
	define("GENERAL_TAB", "General");
	define("DESCRIPTION_TAB", "Description");
	define("LOCATION_TAB", "Location");
	define("IMAGES_TAB", "Images");
	define("PHOTOS_TAB", "Photos");

	// no records messages
	define("NO_RECORDS_MSG", "レコードは見つかりませんでした。");
	define("NO_EVENTS_MSG", "キャンペーンは見つかりませんでした");
	define("NO_QUESTIONS_MSG", "質問は見つかりませんでした。");
	define("NO_NEWS_MSG", "ニュース記事は見つかりませんでした。");
	define("NO_POLLS_MSG", "投票結果は見つかりませんでした。");
	define("NO_REMINDERS_MSG", "No reminders were found");
	define("NO_DATA_WERE_FOUND_MSG", "データは見つかりませんでした。");


	// SMS messages
	define("SMS_TITLE", "SMS");
	define("SMS_TEST_TITLE", "SMS テスト");
	define("SMS_TEST_DESC", "携帯番号を入力し 'SEND_BUTTON' ボタンをクリックして、テストメッセージを送信してください。");
	define("INVALID_CELL_PHONE", "携帯番号が正しくありません。");

	define("ARTICLE_RELATED_PRODUCTS_TITLE", "記事に関連する製品");
	define("CATEGORY_RELATED_PRODUCTS_TITLE", "カテゴリー関連製品");
	define("SELECT_TYPE_MSG", "形式を選択");
	define("OFFER_PRICE_MSG", "提示価格");
	define("OFFER_MESSAGE_MSG", "提示メッセージ");

	define("MY_WISHLIST_MSG", "お気に入りリスト");
	define("MY_WISHLIST_DESC", "Here you can view wishlist items saved in the past.");
	define("SELECT_WISHLIST_TYPE_MSG", "Please select a type to save product in your wishlist");
	define("MY_REMINDERS_MSG", "マイリマインダー");
	define("EDIT_REMINDER_MSG", "リマインダーの編集");


	define("SELECT_SUBFOLDER_MSG", "Select Subfolder");
	define("CURRENT_DIR_MSG", "Current directory");
	define("NO_AVAILIABLE_CATEGORIES_MSG", "No categories available");
	define("SHOW_FOR_NON_REGISTERED_USERS_MSG", "Show for non registered users");
	define("SHOW_FOR_REGISTERED_USERS_MSG", "Show for all registered users");
	define("VIEW_ITEM_IN_THE_LIST_MSG", "View item in products list");
	define("ACCESS_DETAILS_MSG", "Access Details");
	define("ACCESS_ITEMS_DETAILS_MSG", "Access item details / buy item");
	define("OTHER_SUBSCRIPTIONS_MSG", "Other Subscriptions");
	define("USE_CATEGORY_ALL_SITES_MSG", "Use this category for all sites (untick this checkbox to select sites manually)");
	define("USE_ITEM_ALL_SITES_MSG", "Use this item for all sites (untick this checkbox to select sites manually) ");
	define("SAVE_SUBSCRIPTIONS_SETTINGS_BY_CATEGORY_MSG", "Save subscriptions settings from categories");
	define("SAVE_SITES_SETTINGS_BY_CATEGORY_MSG", "Save sites settings from categories");
	define("ACCESS_LEVELS_MSG", "Access Levels");
	define("SITES_MSG", "Sites");
	define("NON_REGISTERED_USERS_MSG", "Non registered users");
	define("REGISTERED_CUSTOMERS_MSG", "Registered Users");
	define("PREVIEW_IN_SEPARATE_SECTION_MSG", "Show in separate section");
	define("PREVIEW_BELOW_DETAILS_IMAGE_MSG", "Show below image on details page");
	define("PREVIEW_BELOW_LIST_IMAGE_MSG", "Show below image on listing page");
	define("PREVIEW_POSITION_MSG", "Position");
	define("ADMIN_NOTES_MSG", "Administrator Notes");
	define("USER_NOTES_MSG", "User Notes");
	define("CMS_PERMISSIONS_MSG", "CMS Permissions");
	define("ARTICLES_PERMISSIONS_MSG", "Articles Permissions");
	define("WISHLIST_MSG", "お気に入りリスト");
	define("TYPE_IS_NOT_AVAILIABLE_MSG", "Type is not availiable");
	define("TYPE_IS_NOT_SELECTED_MSG", "Type is not selected");
	define("SHOW_ALL_MSG", "Show all");

	define("MEMBER_SINCE_MSG", "Member Since");
	define("SITEMAP_TITLE_INDEX", "title");
	define("SITEMAP_URL_INDEX", "url");
	define("SITEMAP_SUBS_INDEX", "subs");

	define("HOT_RELEASES_MSG", "Hot Releases");
	define("PAY_FOR_AD_MSG", "Pay for Ad");
	define("CHECK_SITE_MSG", "check the site");

	define("CONTACT_US_MSG", "Contact Us");
	define("REGISTERED_USERS_ALLOWED_MESSAGES_MSG", "Only registered users can send their messages.");
	define("NOT_ALLOWED_SEND_MESSAGES_MSG", "Sorry, but you are not allowed to send messages.");
	define("MESSAGE_SENT_MSG", "メッセージは送信されました。");
	define("MESSAGE_INTERVAL_ERROR", "Please wait for {interval_time} to send your message.");
	define("ONE_LINE_SUMMARY_MSG", "概要");
	define("DETAILED_COMMENT_MSG", "詳しいコメント");
	define("REMINDER_MSG", "Reminder");
	define("CHAINED_MENU_TITLE", "Chained Menu");
	//article statuses
	define("ARTICLE_NEW_MSG", "New");
	define("ARTICLE_PUBLISHED_MSG", "Published");
	define("ARTICLE_PENDING_MSG", "Pending");
	define("ARTICLE_HIDDEN_MSG", "Hidden");
	//priorities
	define("PRIORITY_HIGH_MSG", "High");
	define("PRIORITY_NORMAL_MSG", "Normal");
	define("PRIORITY_LOW_MSG", "Low");
	//customer types
	define("CUSTOMER_TYPE_MSG", "Customer");
	//cookies constants
	define("COOKIE_CONTROL_MSG", "Cookies Control");
	define("COOKIE_INFO_MSG", "<b>Cookies Control</b><br /><br />This site uses cookies to store information on your computer. If you turn off cookies, some site features will become unavailable.<br /><a href=\"page.php?page=use_of_cookies\">Read more</a><br /><br />Keep cookies?");
	define("CALL_CENTER_MODE_MSG", "You are in <b>Call Center mode</b>. It means all checkout settigns you see are visible only to you as administrator. <b>Logout</b> from admin panel to switch to usual mode.");

?>